<?php
/*
***********************************************************************************
DaDaBIK (DaDaBIK is a DataBase Interfaces Kreator) https://dadabik.com/
Copyright (C) 2001-2017  Eugenio Tacchini

This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
include ("./include/config.php");
include ("./include/functions.php");
include ("./include/common_start.php");
include ("./include/check_installation.php");
include ("./include/check_admin_login.php");

$page_name = 'API';

$_POST = unescape_array($_POST);
$_COOKIE = unescape_array($_COOKIE);
$_GET = unescape_array($_GET);

$json_answer = array();
$json_answer['status'] = 'ok';
$json_answer['result'] = 'done';
		
// variables:
// GET

if (isset($_GET['function'])){
	$function = $_GET['function'];
}


// POST
// 
// $function



?>


<?php

switch($function){
	
	case 'update_records':	
		
		// fix mettere un sistema di protezione per evitare che chiunque chiami un update record multiplo, per ora non necessario visto che e' limitato ad admin su due tabelle
		
		// example of input data I need to receive if I want to execute two update operations on the customers table, the first on record having PK 1 the second PK 10
		/*
		$tablename_to_update = 'customers';
		$field_names_to_update[0][0]='first_name';
		$field_names_to_update[0][1]='last_name';
		$field_names_to_update[1][0]='first_name';
		$field_names_to_update[1][1]='last_name';
		
		$field_values_to_update[0][0]='luigi';
		$field_values_to_update[0][1]='rossi';
		$field_values_to_update[1][0]='marco';
		$field_values_to_update[1][1]='blu';
		
		$where_values[0] = '1';
		$where_values[1] = '10';
		*/
		
		$tablename_to_update = $_POST['tablename_to_update'];		
		$field_names_to_update = $_POST['field_names_to_update'];		
		$field_values_to_update = $_POST['field_values_to_update'];	
		
		$where_values = $_POST['where_values'];
		
		$unique_field_tablename_to_update = get_unique_field_db($tablename_to_update, 0, 1);
		
		// fix, questo è termporaneo perche' per ora la usero' solo con $table_list_name e static pages
		if ($tablename_to_update !== $table_list_name && $tablename_to_update !== $prefix_internal_table.'static_pages') die('error');
		
		// fix, devo trovare un modo per non fare questa cosa se si tratta di tabelle tipo $table_list_name che non hanno il fields labels
		// get the array containg label ant other information about the fields
		//$fields_labels_ar = build_fields_labels_array($prefix_internal_table.$tablename_to_update, '1');
		$fields_labels_ar = array();
		
		// fix, devo trovare un modo per non fare questa cosa se si tratta di tabelle tipo $table_list_name che non hanno il fields labels
		// check if the current user has the permissions to update the table
		//$enabled_permissions_ar = build_enabled_permissions_ar($enable_granular_permissions, $enable_authentication, $tablename_to_update);
		
		// fix, questo è temporaneo, il permesso e' hardcoded, non solo anche i permessi dei singoli campi andrebbero controllati. Attenzione che static e table_list non fanno parte della table "installed" sono internal table e non hanno i permessi
		$enabled_permissions_ar['edit'] = 1;
		$enabled_permissions_ar['enable_update_authorization'] = 0;
		
		begin_trans_db();
		
		foreach($field_names_to_update as $key => $value){
			
		
			// fix, qua non va in errore solo perche' si ferma prima, ma $where_field non e' settato
			if ( $enabled_permissions_ar['edit'] === 1 && ($enable_authentication === 0 || ($enabled_permissions_ar['enable_update_authorization'] === 0 || current_user_is_owner($where_field, $where_value, $tablename_to_update, $fields_labels_ar))) ){
		
				$sql = "UPDATE ".$quote.escape($tablename_to_update).$quote." SET ";
		
				// for each field I need to update, add the relative part to the SQL statement
				foreach ($value as $key2 => $value2)
				{
					$sql .= $quote.escape($value2).$quote." = :".$value2.", ";
				}
		
				$sql = substr($sql, 0, strlen($sql)-2); // delete the last ", "
		
				// add the WHERE part
				$sql .= " WHERE ".$quote.$unique_field_tablename_to_update.$quote." = :where_value";
				
		
				$res_prepare = prepare_db($conn, $sql);
		
				// bind the values of the fields to update
				foreach ($field_values_to_update[$key] as $key2 => $value2)
				{
					$res_bind = bind_param_db($res_prepare, ':'.$value[$key2], $value2);
				}
				
				
		
				// bind the value of the primary key
				$res_bind = bind_param_db($res_prepare, ':where_value', $where_values[$key]);
		
				$res = execute_prepared_db($res_prepare,1);
			
				if (isset($res->error_message)){
					$json_answer['result'] = 'query error';
					$json_answer['error_message'] = $res->error_message;
				}
			
			}
			else{
				$json_answer['result'] = 'permission error';
				$json_answer['error_message'] = 'You don\'t have enough permissions to execute this operation.';
			}
		}
		
		complete_trans_db();
		
		echo json_encode($json_answer);
		exit;
		break;
	default:
		break;
} // end switch
?>
