<?php
/*
***********************************************************************************
DaDaBIK (DaDaBIK is a DataBase Interfaces Kreator) https://dadabik.com/
Copyright (C) 2001-2017  Eugenio Tacchini

This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php

/*
0: label
1: fieldname
2: field type
3: size or options
4: help
5: section
6: don't know, probably not used anymore
7: id of the TR
8: javascript function onchange (optional)
9: id of the html element  (optional)

the arr_index doesn't matter, I can add a new field in the middle of the others and everything will work
*/

$ar_index = 0;

$int_fields_ar[$ar_index][0] = "(*) Label: ";
$int_fields_ar[$ar_index][1] = "label_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "The text that DaDaBIK will display in the interface as label of the field.";
$int_fields_ar[$ar_index][5] = "General settings";

$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) Position (order):";
$int_fields_ar[$ar_index][1] = "order_form_field";
$int_fields_ar[$ar_index][2] = "order_form_field";
$int_fields_ar[$ar_index][4] = "The position of this field in the form (e.g. 2 means the field will be the second field in the form). When you specify a new position, all the other field positions will be shifted correctly. This also affects the datagrid order.";

$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) Field type:";
$int_fields_ar[$ar_index][1] = "type_field";
$int_fields_ar[$ar_index][2] = "select_custom";
//$int_fields_ar[$ar_index][3] = "text/textarea/password/insert_date/update_date/date/select_single/select_multiple_menu/select_multiple_checkbox/generic_file/image_file/ID_user/unique_ID";
$int_fields_ar[$ar_index][3] = "Text fields~text/textarea/rich_editor/Date and time fields~date/date_time/insert_date_time/update_date_time/List fields~select_single/select_single_radio/select_multiple_menu/select_multiple_checkbox/File fields~generic_file/image_file/Other~ID_user/unique_ID";
$int_fields_ar[$ar_index][4] = "<ul><li><b>text:</b> a text box</li><br/>
    <li><b>textarea:</b> a textarea box</li><br/>
    <li><b>rich_editor:</b> a rich text editor that allows to easily insert/modify HTML content. THIS COULD LEAD TO SECURITY PROBLEMS. READ THE DOCUMENTATION BEFORE USING!</li><br/>
    <li><b>insert_date_time:</b> the current date and time will be automatically inserted into this field when you insert a new record in your table; an insert_date_time field is automatically excluded from the insert form. Note that the corresponding database field type must be date or datetime</li><br/>
    <li><b>update_date_time:</b> the current date and time will be automatically inserted into this field when you update a record in your table; an update_date_time field is automatically excluded from the insert and edit forms. Note that the corresponding database field type must be date or datetime</li><br/>
    <li><b>date:</b> a datepicker tool. Note that the corresponding database field type must be date</li><br/>
    <li><b>date_time:</b> a datetimepicker tool. Note that the corresponding database field type must be datetime</li><br/>
    <li><b>select_single:</b> a customizable dropdown menu</li><br/>
    <li><b>select_single_radio:</b> a customizable list of radio buttons.</li><br/>
    <li><b>select_multiple_menu:</b> a customizable dropdown menu with the possibility to choose more than one option. Note that the corresponding database field type must be varchar.</li><br/>
    <li><b>select_multiple_checkbox:</b> a list of checkboxes, with the possibility to choose more than one. Note that the corresponding database field type must be varchar.</li><br/>
    <li><b>generic_file:</b> an input field which allows the user to browse his/her local file system and upload a file. You need to specify the allowed file extensions in config.php. Note that the corresponding database field type must be varchar.</li><br/>
    <li><b>image_file:</b> the same as the above, but in this case DaDaBIK supposes that the file is an image and shows it when the record is displayed.</li><br/>
    <li><b>ID_user:</b> the username of the current user will be automatically inserted into this field when you insert a new record; an ID_user field is automatically excluded from the insert form. Note that the corresponding database field type must be varchar.</li><br/>
    <li><b>unique_ID:</b> a unique ID generated by using the PHP function unique_ID() in conjunction with microtime(), getmypid() and md5() will be automatically inserted in this field when you insert a new record into your table; a unique_ID field is automatically excluded from the insert form. Note that the corresponding database field type must be varchar(50). Probably you will NEVER use this field type, it can be useful just in very special cases.</li></ul>";
    
$int_fields_ar[$ar_index][8] = "hide_show_interface_configurator_fields(this);";
$int_fields_ar[$ar_index][9] = 'e1';



$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) Content type:";
$int_fields_ar[$ar_index][1] = "content_field";
$int_fields_ar[$ar_index][2] = "select_custom";
$int_fields_ar[$ar_index][3] = "alphabetic/alphanumeric/numeric/url/timestamp/email/html/phone";
$int_fields_ar[$ar_index][4] = "The content type determines which validation process DaDaBIK will perform during an insert/update and how a field value is displayed (formatting); select among:<ul>

    <li><b>alphabetic</b> Validation: only alphabetic characters allowed. Formatting: none.</li><br/>
    <li><b>alphanumeric:</b> Validation: all characters allowed. Formatting: none.</li><br/>
    <li><b>numeric:</b> Validation: only numeric characters allowed. Formatting: none.</li><br/>
    <li><b>url:</b> Validation: only URL with a correct syntax allowed. Formatting: field displayed as a URL link.</li><br/>
    <li><b>timestamp:</b> Validation: only integers allowed. Formatting: field displayed as date and time according to the <i>date_format</i> parameter in config.php</li><br/>
    <li><b>email:</b> Validation: only e-mail addresses with a correct syntax allowed. Formatting: field displayed as a mailto: link</li><br/>
    <li><b>html:</b> Validation: all characters allowed. Formatting: DaDaBIK doesn\'t perform a conversion from special characters to HTML entities with htmlspecialchars for the fields having this content type. For example, this content type can be used to enter a full custom URL in the standard HTML format or an HTML formatted text. THIS COULD LEAD TO SECURITY PROBLEMS. READ THE DOCUMENTATION BEFORE USING!</li><br/>
    <li><b>phone:</b> Validation: only phone numbers with a correct syntax (a + sign followed by numbers e.g. +39025689781) allowed. Formatting: none.</li>
    </ul><br/>Note that, for select_single, select_single_radio, select_multiple_menu and select_multiple_checkbox field types, the validation is not performed and, if the options are driven from another table (lookup field), the content types set for the linked fields are used to derive the formatting.
";
$int_fields_ar[$ar_index][7] = 20;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Calculated field function:";
$int_fields_ar[$ar_index][1] = "calculated_function_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";

$int_fields_ar[$ar_index][4] = '';



$int_fields_ar[$ar_index][4] .= "<b>THIS FEATURE IS AVAILABLE ONLY WITH DADABIK ENTERPRISE</b><br><br>";


$int_fields_ar[$ar_index][4] .= "Specify here the <b>name</b> of the function (if any) to be used to compute the value of this field. If this parameter is set, the field is considered a <b>calculated field</b> and its value is not directly entered by the user but calculated according to this function. For example you might have a total_price field, which is calculated according to the values of other fields, e.g. as price + tax.<br><br>Please note that for this kind of fields, DaDaBIK does not execute the standard checks about length, requiredness and duplication before insert/update operations.<br/><br/>The function name must start with <b>dadabik_</b> and you must write the function code in <b>/include/custom_functions.php</b>. The <b>/include/custom_functions.php</b> contains all the instructions to write it correctly.";




$ar_index++;
$int_fields_ar[$ar_index][0] = "Custom validation function:";
$int_fields_ar[$ar_index][1] = "custom_validation_function_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "Specify here the <b>name</b> of the function to be used to validate this field\'s data. This function override the built-in validation functions executed according to the content type (if any).<br/><br/>The function name must start with <b>dadabik_</b> and you must write the function code in <b>/include/custom_functions.php</b>. The <b>/include/custom_functions.php</b> contains all the instructions to write it correctly.<br/><br/> <b>Please note</b> that these functions are only applied to text, textarea, rich_editor, date and date_time field.";

$ar_index++;
$int_fields_ar[$ar_index][0] = "Custom formatting function:";
$int_fields_ar[$ar_index][1] = "custom_formatting_function_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "Specify here the <b>name</b> of the function (if any) to be used to format this field\'s data in the datagrid view and details view. This function override the built-in formatting functions executed according to the content type (if any).<br/><br/>The function name must start with <b>dadabik_</b> and you must write the function code in <b>/include/custom_functions.php</b>. The <b>/include/custom_functions.php</b> contains all the instructions to write it correctly.";


$ar_index++;
$int_fields_ar[$ar_index][0] = "Custom CSV formatting function:";
$int_fields_ar[$ar_index][1] = "custom_csv_formatting_function_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "Specify here the <b>name</b> of the function (if any) to be used to format this field\'s data in the CSV view. This function override the built-in formatting functions executed according to the content type (if any).<br/><br/>The function name must start with <b>dadabik_</b> and you must write the function code in <b>/include/custom_functions.php</b>. The <b>/include/custom_functions.php</b> contains all the instructions to write it correctly.";


$ar_index++;
$int_fields_ar[$ar_index][0] = "Custom required function:";
$int_fields_ar[$ar_index][1] = "custom_required_function_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "Specify here the <b>name</b> of the function (if any) to be used to evaluate if this field needs to be considered required or not, for example according to the value of other fields. This function overrides the parameter <i>Is the field a required one?</i> (see later), if your field always has the same state (<i>required</i> or <i>not required</i>) leave this function empty and use the parameter <i>Is the field a required one?</i>.<br/><br/>The function name must start with <b>dadabik_</b> and you must write the function code in <b>/include/custom_functions.php</b>. The <b>/include/custom_functions.php</b> contains all the instructions to write it correctly.";

$ar_index++;
$int_fields_ar[$ar_index][0] = "Hard-coded list of the options:";
$int_fields_ar[$ar_index][1] = "select_options_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "100";
$int_fields_ar[$ar_index][4] = "Specify the possible options for a select_single/select_multiple field separated by ~ e.g. ~teacher~manager~student~<br/><br/>If the options must be driven from another table, you should instead fill the lookup* parameters; in this case the hard-coded options specified here are not taken into consideration.";
$int_fields_ar[$ar_index][5] = "Field type specific parameters";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][7] = 1;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Lookup table name";
$int_fields_ar[$ar_index][1] = "primary_key_table_field";
$int_fields_ar[$ar_index][2] = "primary_key_table_field";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "if a field is a select_single/select_multiple and the options must be driven from another table, specify here the name of that table.";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][7] = 3;
$int_fields_ar[$ar_index][9] = 'primary_key_table_field';

$ar_index++;
$int_fields_ar[$ar_index][0] = "Lookup table primary key field";
$int_fields_ar[$ar_index][1] = "primary_key_field_field";
$int_fields_ar[$ar_index][2] = "primary_key_field_field";
$int_fields_ar[$ar_index][3] = "";
$int_fields_ar[$ar_index][4] = "if a field is a select_single/select_multiple and the options must be driven from another table (so the field can be considered foreign key for DaDaBIK, regardless of an actual dbms foreign key declaration), specify here the primary key of that table.<br/><br/>For select_multiple type: please note that if the values of the primary key field you are configuring here contain the character ~ (or the character set as FORM_CONFIGURATOR_SEPARATOR in config.php) DaDaBIK will not work properly.";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][7] = 2;
$int_fields_ar[$ar_index][9] = 'primary_key_field_field';

$ar_index++;
$int_fields_ar[$ar_index][0] = "Lookup table linked fields";
$int_fields_ar[$ar_index][1] = "linked_fields_field";
$int_fields_ar[$ar_index][2] = "linked_fields_field";
$int_fields_ar[$ar_index][3] = "";
$int_fields_ar[$ar_index][4] = " The fields in the primary key table you want to display. Imagine you have a table <i>albums</i> that contains information about CDs. In this table you have a field <i>ID_author</i> that &quot;links&quot; the table <i>authors</i>. If you want to display, for each record, <i>first_name_author</i> and <i>last_name_author</i> of <i>authors</i>, you have to use <i>ID_author</i> as lookup table primary key field, <i>authors_tab</i> as lookup table name, <i>first_name_author</i> and <i>last_name_author</i> as Lookup table linked fields.<br>Please note that you cannot specify as linked field a select_multiple field or a field that has, in turn, linked fields associated.";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][7] = 4;
$int_fields_ar[$ar_index][9] = 'linked_fields_field';

$ar_index++;
$int_fields_ar[$ar_index][0] = "Lookup table order by";
$int_fields_ar[$ar_index][1] = "linked_fields_order_by_field";
$int_fields_ar[$ar_index][2] = "primary_key_order_by_field";
$int_fields_ar[$ar_index][3] = "";
$int_fields_ar[$ar_index][4] = "The linked field by which you want to order the items in the menu created by a select_single/select_multiple field.";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][7] = 5;
$int_fields_ar[$ar_index][9] = 'linked_fields_order_by_field';

$ar_index++;
$int_fields_ar[$ar_index][0] = "Lookup table Order type";
$int_fields_ar[$ar_index][1] = "linked_fields_order_type_field";
$int_fields_ar[$ar_index][2] = "select_custom";
$int_fields_ar[$ar_index][3] = "/ASC/DESC";
$int_fields_ar[$ar_index][4] = "The order type (ASC or DESC, if you leave blank ASC is the default) to be used on the &quot;order by&quot; field.";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][7] = 6;
$int_fields_ar[$ar_index][9] = 'linked_fields_order_type_field';

$ar_index++;
$int_fields_ar[$ar_index][0] = "Where clause ";
$int_fields_ar[$ar_index][1] = "where_clause_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "if a field is a select_single/select_multiple and the options must be driven from other tables, you can specify here a where clause to use in the query, eg. <b>id_customer > 10</b>.<br/><br/>";



$int_fields_ar[$ar_index][4] .= "With DaDaBIK ENTERPRISE, you can also use PHP variables inside the where clause, the variables will be evaluated runtime.";


$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][7] = 7;
$int_fields_ar[$ar_index][9] = 'where_clause_field';





$ar_index++;
$int_fields_ar[$ar_index][0] = "Cascade parent field";
$int_fields_ar[$ar_index][1] = "cascade_parent_field";
$int_fields_ar[$ar_index][2] = "cascade_parent_field";
$int_fields_ar[$ar_index][3] = "";
$int_fields_ar[$ar_index][4] = "You have to fill this parameter and the next one (Cascade filter field) if the field is a <i>select_single</i> with values coming from a table and the values to show need to be filtered according to the choice made on another select_single field belonging to the same form. <br/><br/>Let\'s say for example we are configuring the table <i>customers</i>, having, among the others, some fields that represent the address of the customer, including a field <i>id_region</i> (select_single, populated by values coming from the table <i>regions</i>) and a field <i>id_country</i> (select_single, populated by values coming from the table <i>regions</i>). Let also say the table <i>regions</i> contains a field <i>id_country</i>, saying the country a region belongs to and that we want to reload the dropdown menu <i>region</i>  (produced by the select_single field <i>id_region</i>) according to what the user selects from the dropdown menu <i>country</i> (produced by the select_single field <i>id_country</i>): in this case we would specify here the name of the parent field (<i>id_country</i>) and in the next parameter the name of the correspondant filter field in the table <i>regions</i> (in this case, again <i>id_country</i>, but the name could be different).<br/><br/>Pleas note that the cascade feature only works in EDIT and INSERT forms (not in search forms) and that a cascade child field is not compatible with the options <i>Other choices allowed?</i> or the option <i>Use ajax to load options?</i> set to yes.";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][7] = 21;
$int_fields_ar[$ar_index][9] = 'cascade_parent_field';

$ar_index++;
$int_fields_ar[$ar_index][0] = "Cascade filter field";
$int_fields_ar[$ar_index][1] = "cascade_filter_field";
$int_fields_ar[$ar_index][2] = "cascade_filter_field";
$int_fields_ar[$ar_index][3] = "";
$int_fields_ar[$ar_index][4] = "No help available, see help for Cascade parent field.";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][7] = 22;
$int_fields_ar[$ar_index][9] = 'cascade_filter_field';


$ar_index++;
$int_fields_ar[$ar_index][0] = "Other choices allowed?";
$int_fields_ar[$ar_index][1] = "other_choices_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "Choose if the field, a select_single one, can accept also values other than the pre-set options during an insert/update.<br><br>If the user add a different value, it will be included in the list of pre-set options. Note that if you fill the lookup parameters, the <i>other</i> value is used to insert a new record in the primary key table  <b>EVEN IF THE CURRENT USER HAS NOT INSERT PERMISSIONS ON THE PRIMARY KEY TABLE</b>.<br><br>The use of this option together with a foreign key field makes sense only if there is just one linked field and requires that <i>Primary key table</i> has a primary key <b>auto-increment</b> field.<br><br>The other choices option does not work if you set  <i>Use ajax to load options?</i> to yes.";
$int_fields_ar[$ar_index][7] = 9;


$ar_index++;
$int_fields_ar[$ar_index][0] = "Show link to record?";
$int_fields_ar[$ar_index][1] = "show_lookup_link_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "In results grid and details page, if you choose YES, an HTML link to the relatd linked record will be displayed close the value showed. E.g. in a table <i>sales</i> you might have an <i>id_customer</i> field, <i>select_single</i>, and show first and last name of the customer. If you choose yes here, the user will also see an HTML link close to the customer\'s name; the link allows the user to open a window displaying ALL the details of that customer (e.g. name, address, phone, ...). This option, of course, works only if the options are driven from another table (lookup field).";
$int_fields_ar[$ar_index][7] = 23;

$ar_index++;
$int_fields_ar[$ar_index][0] = "User-friendly searchable?";
$int_fields_ar[$ar_index][1] = "chosen_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "Choose yes if the number of option is high and you want to display the list together with an user-friendly searchable box (implemented using this jquery plugin https://harvesthq.github.io/chosen/)";
$int_fields_ar[$ar_index][7] = 24;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Use ajax to load options?";
$int_fields_ar[$ar_index][1] = "chosen_ajax_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "Choose yes if your menu has a lot of options and you do not want the browser to load all the options immediately, you want the browser to load options via ajax according to what the user is searching for. <br><br>This option has effect only if you selected Yes for the previous paramter, <i>User-friendly searchable</i> and it is not compatible with cascade drop-down fields so if you set <i>Cascade parent field</i>, the Ajax loading must be set to No.";
$int_fields_ar[$ar_index][7] = 25;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Prefix:";
$int_fields_ar[$ar_index][1] = "prefix_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "for text, textarea and rich_editor fields you can choose a prefix default value for your field, e.g. &quot;http://&quot; if your field need to be filled with a Web url; the prefix will be displayed directly in the insert form, but if the user doesn\'t fill-in the field it will be considered as blank.";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 2;
$int_fields_ar[$ar_index][7] = 10;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Default value:";
$int_fields_ar[$ar_index][1] = "default_value_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "For text, textarea, rich_editor, select_single and select_single_radio fields you can choose a default value for your field; the value will be displayed directly in the insert form or the corresponding option will be selected. You can also set a default value if the corresponding field is set not to be present in the insert form.<br/><br/>Furthermore, you can specify a default value through an SQL SELECT query; in this case the default value must start with SQL:SELECT (uppercase), for example SQL:SELECT MAX(id_customer) FROM customers; when you use a SQL: default value, instead of taking a static default value, the query is executed and the first selected field of the first row returned is used as default value. Don\'t add a semicolumn at the end of the query.";

$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 2;
$int_fields_ar[$ar_index][7] = 11;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Width (chars):";
$int_fields_ar[$ar_index][1] = "width_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "2";
$int_fields_ar[$ar_index][4] = "The width of an input box (only text, textarea and rich_editor field types are affected).";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 2;
$int_fields_ar[$ar_index][7] = 12;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Height (chars):";
$int_fields_ar[$ar_index][1] = "height_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "2";
$int_fields_ar[$ar_index][4] = "The height of an input box (only textarea and rich_editor field tyeps are affected).";
$int_fields_ar[$ar_index][7] = 13;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Maxlength:";
$int_fields_ar[$ar_index][1] = "maxlength_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "4";
$int_fields_ar[$ar_index][4] = "The maximum number of characters allowed in the input box (only text, textarea, rich_editor boxes and select_single - just for the &quot;other&quot; option - field types are affected ).";
$int_fields_ar[$ar_index][7] = 14;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Hint:";
$int_fields_ar[$ar_index][1] = "hint_insert_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "The text of a hint for the user that will appear during the insert/update procedure near the input field.";
$int_fields_ar[$ar_index][7] = 15;

$ar_index++;
$int_fields_ar[$ar_index][0] = "Tooltip:";
$int_fields_ar[$ar_index][1] = "tooltip_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "A tooltip which appears close to text, textarea and file fields when the mouse pointer is hover the field. Please note that it does not work with Internet Explorer.";
$int_fields_ar[$ar_index][7] = 16;


if ($enable_granular_permissions === 0 || $enable_authentication === 0){
	$ar_index++;
	$int_fields_ar[$ar_index][0] = "Field present in the search form?";
	$int_fields_ar[$ar_index][1] = "present_search_form_field";
	$int_fields_ar[$ar_index][2] = "select_yn";
	$int_fields_ar[$ar_index][4] = "No help available.";
	$int_fields_ar[$ar_index][5] = "Forms presence";
	$int_fields_ar[$ar_index][7] = 17;


	$ar_index++;
	$int_fields_ar[$ar_index][0] = "Field present in the results page?";
	$int_fields_ar[$ar_index][1] = "present_results_search_field";
	$int_fields_ar[$ar_index][2] = "select_yn";
	$int_fields_ar[$ar_index][4] = "No help available.";

	$ar_index++;
	$int_fields_ar[$ar_index][0] = "Field present in the details page?";
	$int_fields_ar[$ar_index][1] = "present_details_form_field";
	$int_fields_ar[$ar_index][2] = "select_yn";
	$int_fields_ar[$ar_index][4] = "No help available.";

	$ar_index++;
	$int_fields_ar[$ar_index][0] = "Field present in the insert form?";
	$int_fields_ar[$ar_index][1] = "present_insert_form_field";
	$int_fields_ar[$ar_index][2] = "select_yn";
	$int_fields_ar[$ar_index][4] = "If the field is auto-increment you should choose N.";

	$ar_index++;
	$int_fields_ar[$ar_index][0] = "Field present in the edit form?";
	$int_fields_ar[$ar_index][1] = "present_edit_form_field";
	$int_fields_ar[$ar_index][2] = "select_yn";
	$int_fields_ar[$ar_index][4] = "If the field is auto-increment you should choose N.";


	$ar_index++;
	$int_fields_ar[$ar_index][0] = "Field present in the quick search row?";
	$int_fields_ar[$ar_index][1] = "present_filter_form_field";
	$int_fields_ar[$ar_index][2] = "select_yn";
	$int_fields_ar[$ar_index][4] = "No help available";
}

$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) Is the field a required one?";
$int_fields_ar[$ar_index][1] = "required_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "Choose if the field is required during insert and update operations.";
$int_fields_ar[$ar_index][5] = "Insert, Update, Search parameters";

$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) Check for duplicated entries during INSERT?";
$int_fields_ar[$ar_index][1] = "check_duplicated_insert_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "Choose if the field value should be checked for possible duplication during the insert procedure. This feature does not work and can create unexpected issues with file, date, date_time, insert_date_time and update_date_time field types and with all fields which are hidden in the insert form.";

$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) Search operators:";
$int_fields_ar[$ar_index][1] = "select_type_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "Specify is_equal, is_different, contains, doesnt_contain, starts_with, ends_with, greater_than, less_than, is_null, is_not_null, is_empty, is_not_empty or a group of these operators separated by &quot;/&quot;. E.g. if you specify just &quot;contains&quot; DaDaBIK will always use the contains operator for this field during the search; if you use &quot;exactly/contains&quot; DaDaBIK will create for this field a listbox with the operators exactly/like, the user can then choose the preferred one during each search operation.<br/>Please note that you must use operators compatible with your field type, otherwise users get unhandled errors during search operations. Here is a list of incompatibility:<br/><br/>1) <i>select_single</i> fields are compatible just with <i>is_null</i>, <i>is_not_null</i>, <i>is_empty</i>, <i>is_not_empty</i>, <i>is_equals</i> and <i>is_different</i><br/><br/>2) <i>date, date_time, insert_date_time and update_date_time fields</i> are compatible just with <i>is_null</i>, <i>is_not_null</i>, <i>greater_than</i>, <i>less_than</i>, <i>is_equals</i> and <i>is_different</i><br/><br/>3) <i>select_multiple_menu and select_multiple_checkbox</i> are compatible just with <i>is_null</i>, <i>is_equals</i> and <i>is_different</i>; please note that when you search a value in a select_multiple_* field using <i>is_equals</i>, you will find records having the selected value for the field (which means only <i>that</i> value or <i>that</i> value AND also other ones if you selected several values).";

$ar_index++;
$int_fields_ar[$ar_index][0] = "Items table name:";
$int_fields_ar[$ar_index][1] = "items_table_names_field";
$int_fields_ar[$ar_index][2] = "items_table_names_field";
$int_fields_ar[$ar_index][3] = "";
$int_fields_ar[$ar_index][4] = "You should fill this property only for the primary key of a table, when you want to enable a master/details view.<br><br>For example imagine you have an albums (id_album, title_album) table and a songs (id_song, id_album, title_song) table; if you want to display, in the album detail view, also the list of the linked songs, you have to set the two parameters for Master/Details view for the field <i>id_album</i> of the table <i>albums</i>. In particular, set <i>songs</i> as <i>items table name</i> and <i>id_album</i> as <i>Items table foreign key field name</i> (see below). Please note that each table can have more than one items table.<br><br>It is also important to highlight that, in this example, <i>id_album</i> in <i>songs</i> should be a select_single (lookup) field with values driven from albums (see field type for information about select_single fields).";
$int_fields_ar[$ar_index][5] = "Master/details view";
$int_fields_ar[$ar_index][9] = "items_table_names_field";


$ar_index++;
$int_fields_ar[$ar_index][0] = "Items table foreign key field name:";
$int_fields_ar[$ar_index][1] = "items_table_fk_field_names_field";
$int_fields_ar[$ar_index][2] = "items_table_fk_field_names_field";
$int_fields_ar[$ar_index][3] = "";
$int_fields_ar[$ar_index][4] = "No help available, see help for <i>Items table name</i>";
$int_fields_ar[$ar_index][9] = "items_table_fk_field_names_field";



$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) New line after this field (insert form)?";
$int_fields_ar[$ar_index][1] = "insert_new_line_after_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "In the insert form, do you want the next field after this on a new line?";
$int_fields_ar[$ar_index][5] = "Form / Results grid layout";

$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) New line after this field (search form)?";
$int_fields_ar[$ar_index][1] = "search_new_line_after_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "In the search form, do you want the next field after this on a new line?";

$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) New line after this field (details page)?";
$int_fields_ar[$ar_index][1] = "details_new_line_after_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "In the details page, do you want the next field after this on a new line?";

$ar_index++;
$int_fields_ar[$ar_index][0] = "(*) New line after this field (edit form)?";
$int_fields_ar[$ar_index][1] = "edit_new_line_after_field";
$int_fields_ar[$ar_index][2] = "select_yn";
$int_fields_ar[$ar_index][4] = "In the edit form, do you want the next field after this on a new line?";



$ar_index++;
$int_fields_ar[$ar_index][0] = "Separator before this field (insert form):";
$int_fields_ar[$ar_index][1] = "insert_separator_before_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "In the insert form, do you want a titled separator before this field? If yes, type the title here";

$ar_index++;
$int_fields_ar[$ar_index][0] = "Separator before this field (search form):";
$int_fields_ar[$ar_index][1] = "search_separator_before_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "In the search form, do you want a titled separator before this field? If yes, type the title here";

$ar_index++;
$int_fields_ar[$ar_index][0] = "Separator before this field (details page):";
$int_fields_ar[$ar_index][1] = "details_separator_before_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "In the details page, do you want a titled separator before this field? If yes, type the title here";

$ar_index++;
$int_fields_ar[$ar_index][0] = "Separator before this field (edit form):";
$int_fields_ar[$ar_index][1] = "edit_separator_before_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "50";
$int_fields_ar[$ar_index][4] = "In the edit form, do you want a titled separator before this field? If yes, type the title here";

$ar_index++;
$int_fields_ar[$ar_index][0] = "Min width (in px) of the results grid column:";
$int_fields_ar[$ar_index][1] = "min_width_results_grid_column_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "5";
$int_fields_ar[$ar_index][4] = "The min width (in px) of the corresponding column in the results grid. If you leave it blank, the browser will arrange the width of each column. Please note that you may need to adjust the parameter $word_wrap_col in config.php, that affects how the content is distributed in a cell of the results grid.";

/*
$ar_index++;
$int_fields_ar[$ar_index][0] = "Separator char for options, linked fields and master/details:";
$int_fields_ar[$ar_index][1] = "separator_field";
$int_fields_ar[$ar_index][2] = "text";
$int_fields_ar[$ar_index][3] = "2";
$int_fields_ar[$ar_index][4] = "This is the separator characther used here to separate values in the <i>Option to include</i>, <i>Linked fields</i>, <i>Linked items table names</i> and <i>Items table foreign key field names</i> parameters. In most of the case you can safely leave (and use) the default one, ~";
$int_fields_ar[$ar_index][6] = array();
$int_fields_ar[$ar_index][6][] = 1;
$int_fields_ar[$ar_index][5] = 'Other';
*/

?>
