<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Crear una fitxa nova",
	"quick_search"    => "Cerca ràpida", 
	"search/update/delete" => "Cercar/modificar/esborrar fitxes",
	"insert_short"    => "Crear",
	"search_short" => "Cercar",
	"insert_anyway"    => "Crear igualment",
	"search"    => "Cercar fitxa",
	"update"    => "Desar",
	"ext_update"    => "Actualitzar el teu perfil",
	"yes"    => "Sí",
	"no"    => "No",
	"go_back" => "Enrere",
	"edit" => "Editar",
	"delete" => "Esborrar",
	"details" => "Detalls",
	"change_table" => "Canviar de taula"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "Aquesta fitxa no es pot modificar perquè està blocada per l'usuari: ",
	"lost_locked_not_safe_update" => "Has perdut o no tenies el blocatge d'aquesta fitxa. No és segur actualitzar-la. Sisplau, comença l'edició de bell nou", 
	"insert_item" => "Insereix element",
	"show_all_records" => "Mostrar totes les fitxes",
	"show_records" => "Mostrar fitxes", 
	"ldap_user_dont_update" => "Aquest és un usuari importat de LDAP: només hauries de canviar-ne el grup, si és necessari.", 
	"remove_search_filter" => "elimina el filtre de cerca",
	"logout" => "Sortir",
	"top" => "Dalt",
	"last_search_results" => "Darrers resultats de la cerca",
	"show_all" => "Totes les fitxes",
	"home" => "Inici",
	"select_operator" => "Seleccioneu l'operador:",
	"all_conditions_required" => "Cal que es compleixin totes les condicions",
	"any_conditions_required" => "N'hi ha prou que es compleixi una condició",
	"all_contacts" => "Tots els contactes",
	"removed" => "suprimit",
	"please" => "Si us plau aneu",
	"and_check_form" => "i reviseu el formulari.",
	"and_try_again" => "i proveu-ho un altre cop.",
	"none" => "cap",
	"are_you_sure" => "Estàs segur?",
	"delete_all" => "esborrar-ho tot",
	"really?" => "De veritat?",
	"delete_are_you_sure" => "Estàs a punt d'esborrar la fitxa.  Segur?",
	"required_fields_missed" => "No has emplenat alguns camps necessaris.",
	"alphabetic_not_valid" => "Has teclejat números a un camp només alfabètic.",
	"numeric_not_valid" => "Has teclejat lletres o símbols en un camp només numèric.",
	"email_not_valid" => "L'adreça de correu entrada no és correcta.",
	"timestamp_not_valid" => "Les dates especificades no són vàlides.",
	"url_not_valid" => "L'adreça de plana web entrada no és correcta.",
	"phone_not_valid" => "El número de telèfon entrat no és correcte.<br>Si us plau, useu el format \"+(codi país)(codi àrea)(número)\" per exemple +34971855141, 0034971855141, 971855141, 971855141.",
	"date_not_valid" => "Una data entrada no és correcta.",
	"similar_records" => "Les fitxes de sota s'assemblen molt a la que has entrat.<br>Què vols fer?",
	"no_records_found" => "Cap fitxa trobada.",
	"records_found" => "fitxes trobades",
	"number_records" => "Fitxes: ",
	"details_of_record" => "Detalls de la fitxa",
	"details_of_record_just_inserted" => "Detalls de la fitxa acabada de crear",
	"edit_record" => "Editar la fitxa",
	"back_to_the_main_table" => "Torna a la taula principal",
	"previous" => "Previ",
	"next" => "Següent",
	"edit_profile" => "Actualitzar les dades del teu perfil",
	"i_think_that" => "Em sembla que ",
	"is_similar_to" => " és semblant a ",
	"page" => "Pàgina ",
	"of" => " de ",
	"records_per_page" => "registres per plana",
	"day" => "Dia",
	"month" => "Mes",
	"year" => "Any",
	"administration" => "Administració",
	"create_update_internal_table" => "Crear o actualitzar la taula interna",
	"other...." => "una altra ...",
	"insert_record" => "Crear una fitxa nova",
	"search_records" => "Cercar fitxes",
	"exactly" => "exactament",
	"like" => "com",
	"required_fields_red" => "Els camps indispensables estan en vermell.",
	"insert_result" => "Entra resultat:",
	"record_inserted" => "Fitxa creada correctament.",
	"update_result" => "Actualitza el resultat:",
	"record_updated" => "Fitxa actualitzada correctament.",
	"profile_updated" => "El teu perfil està actualitzat.",
	"delete_result" => "Resultat de l'eliminació:",
	"record_deleted" => "Fitxa esborrada correctament.",
	"duplication_possible" => "La duplicació està permesa",
	"fields_max_length" => "Has entrat massa text en un o més camps.",
	"current_upload" => "Arxiu actual",
	"delete" => "esborrar",
	"total_records" => "Fitxes",
	"confirm_delete?" => "Esborrar la fitxa?",
	"is_equal" => "és igual a",
	"is_different" => "no és igual a", 
	"is_not_null" => "no és nul", 
	"is_not_empty" => "no està buit", 
	"contains" => "conté",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "comença amb",
	"ends_with" => "acaba amb",
	"greater_than" => "és més gran que",
	"less_then" => "és més petit que",
	"export_to_csv" => "Exportar a CSV",
	"new_insert_executed" => "Nova inserció feta",
	"new_update_executed" => "Nova actualització feta",
	"null" => "Nul",
	"is_null" => "és nul",
	"is_empty" => "és buit",
	"continue" => "continua",
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query, e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
	

// error messages
$error_messages_ar = array (
	"int_db_empty" => "Error: la base de dades interna està buida.",
	"get" => "Error a l'agafar les variables.",
	"no_functions" => "Error, cap funció seleccionada<br>Si us plau, torna a la plana d'inici.",
	"no_unique_key" => "Error, no tens cap clau primària a la taula.",	
	"upload_error" => "Errors amb l'enviament de l'arxiu.",
	"no_authorization_update" => "No estàs autoritzat per modificar aquesta fitxa.",
	"no_authorization_delete" => "No estàs autoritzat per esborrar aquesta fitxa.",
	"no_authorization_view" => "No estàs autoritzat per veure aquesta fitxa.",
	"deleted_only_authorizated_records" => "Només pots esborrar les fitxes per les que hi tens autorització.",
	"record_from_which_you_come_no_longer_exists" => "El registre de partida no existeix.",
	"date_not_representable" => "Un valor de data en aquesta fitxa no es pot representar amb una llista DaDaBIK dia-mes-any. El valor és: ", 
	"this_record_is_the_last_one" => "Aquest registre és el darrer.",
	"this_record_is_the_first_one" => "Aquest registre és el primer.",
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change

	);



//login messages
$login_messages_ar = array(
	"username" => "Usuari",
	"password" => "Contrasenya",
	"please_authenticate" => "Necessites identificar-te per a continuar",
	"login" => "entrada",
	"username_password_are_required" => "Cal nom d'usuari i contrasenya",
	"pwd_gen_link" => "crear contrasenya",
	"incorrect_login" => "Usuari o contrasenya incorrectes",
	"pwd_explain_text" =>"Entra la paraula que usaràs de contrasenya i clica <b>Xifra-la!</b>.",
	"pwd_explain_text_2" =>"Prem <b>Registrar</b> per a escriure-la en el formulari que hi ha a sota",
	"pwd_suggest_email_sending"=>"Pots demanar un missatge per a recordar la contrasenya",
	"pwd_send_link_text" =>"enviar missatge!",
	"pwd_encrypt_button_text" => "Xifra-la!",
	"pwd_register_button_text" => "Registrar contrasenya i sortir",
	"too_many_failed_login_account_blocked" => "Massa intents fallits d'entrada. S'ha blocat el compte.",
	"warning_you_still_have" => "Ull, només et queden ",
	"attempts_before_account_blocking" => " intents abans el compte no sigui blocat."
)





?>
