<?php
/*
***********************************************************************************
DaDaBIK (DaDaBIK is a DataBase Interfaces Kreator) http://www.dadabik.org/
Copyright (C) 2001-2017  Eugenio Tacchini

This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "插入",
	"quick_search"    => "快速查找",
	"search/update/delete" => "搜索/更新/删除",
	"insert_short"    => "新建",
	"search_short" => "搜索",
	"insert_anyway"    => "插入",
	"search"    => "搜索",
	"update"    => "保存",
	"ext_update"    => "上传你的文件",
	"yes"    => "是",
	"no"    => "不是",
	"go_back" => "返回",
	"edit" => "编辑",
	"delete" => "删除",
	"details" => "细节",
	"change_table" => "调整表格"
);

// normal messages
$normal_messages_ar = array (
"cant_edit_record_locked_by" => "该项已被用户锁定，禁止编辑: ",
"lost_locked_not_safe_update" => "当前处于解锁模式，更新不安全，请重新开始编辑",
"insert_item" => "新建项",
"show_all_records" => "显示所有记录",
"show_records" => "显示记录",
"ldap_user_dont_update" => "这是一个导入的 LDAP 用户: 组是唯一的信息, 你应该改变, 如果需要.",
"remove_search_filter" => "删除搜索条件",
"logout" => "登出",
"top" => "顶部",
"last_search_results" => "最后搜索结果",
"show_all" => "显示全部",
"home" => "主页",
"select_operator" => "选择操作: ",
"all_conditions_required" => "满足所有条件",
"any_conditions_required" => "满足任意条件",
"all_contacts" => "所有联系人",
"removed" => "移除",
"please" => "请",
"and_check_form" => "请核查表格",
"and_try_again" => "再试一次",
"none" => "无",
"are_you_sure" => "你确定吗？",
"delete_all" => "删除所有",
"really?" => "真的吗？",
"delete_are_you_sure" => "以下项将被删除，你确定吗？",
"required_fields_missed" => "必填项未完成填写",
"alphabetic_not_valid" => "无效填写",
"numeric_not_valid" => "无效数值",
"email_not_valid" => "无效邮件",
"timestamp_not_valid" => "无效的时间标记",
"url_not_valid" => "无效的网址",
"phone_not_valid" => "无效的电汇号码（请标注区号 e.g. +390523599318, 00390523599318, 0523599318.", 
"date_not_valid" => "无效日期",
"similar_records" => "相似的记录?",
"no_records_found" => "无记录",
"records_found" => "发现如下项",
"number_records" => "项目数: ",
"details_of_record" => "记录细节",
"details_of_record_just_inserted" => "刚插入的项目细节",
"edit_record" => "编辑记录",
"back_to_the_main_table" => "返回主表",
"previous" => "前一个",
"next" => "下一个",
"edit_profile" => "编辑文件",
"i_think_that" => "我认为 ",
"is_similar_to" => " 与..相似 ",
"page" => "页码 ",
"of" => " 属于； …的 ",
"records_per_page" => "每页的纪录",
"day" => "天",
"month" => "月",
"year" => "年",
"administration" => "管理单位",
"create_update_internal_table" => "创建或更新内部表格",
"other...." => "其他…",
"insert_record" => "插入新项",
"search_records" => "搜索记录",
"exactly" => "正确，的确",
"like" => "比如；像",
"required_fields_red" => "要求字段红色突出",
"insert_result" => "插入结果:",
"record_inserted" => "插入成功",
"update_result" => "更新结果:",
"record_updated" => "更新成功",
"profile_updated" => "文件更新成功",
"delete_result" => "删除结果:",
"record_deleted" => "成功删除",
"duplication_possible" => "存在的副本",
"fields_max_length" => "输入字段过长",
"current_upload" => "当前文件",
"delete" => "删除",
"total_records" => "全部项",
"confirm_delete?" => "确认删除？",
"is_equal" => "等于",
"is_different" => "不同于",
"is_not_null" => "不等于零",
"is_not_empty" => "不为空",
"contains" => "包含",
"starts_with" => "开始于",
"ends_with" => "结束于",
"greater_than" => ">",
"less_then" => "<",
"export_to_csv" => "导出到 CSV", 
"new_insert_executed" => "新建插入任务生效",
"new_update_executed" => "新建更新任务生效",
"null" => "零；无效",
"is_null" => "等于零；无效",
"is_empty" => "无意义；空",
"continue" => "继续",
'current_password' => '目前密码',
'new_password' => '新密码',
'new_password_repeat' => '新密码重复输入',
'password_changed' => '更改密码',
'change_your_password' => '更改你的密码',
'your_info' => '你的信息',
'sort_by' => '以…分类',
'sort' => '分类',

'pie_chart' => '饼图',
'bar_chart' => '条形图',
'line_chart' => '折线图',
'doughnut_chart' => '统计图表',
'show_report' => '显示图表',
'show_labels' => '显示标签',
'show_legend' => '显示图例',
'group_data_by' => '综合数据',
'x_axis' => '横坐标轴',
'y_axis' => '纵坐标轴',
'show' => '显示',
'percentage' => '%',
'count' => '计算',
'sum' => '求和',
'average' => '平均值',
'min' => '最小值',
'max' => '最大值',
'variance' => '方差',
'standard_deviation' => '标准偏差',
'of' => '属于；…的',
'simple_report' => '简单报告',
'advanced_sql_report' => '高级标准数据查询报告',
'type_your_custom_sql_query_here' => '在此处输入自定义 SQL 查询。: ',
'advanced_sql_reports_are_disabled' => '禁用高级 SQL 报告',
'advanced_sql_report_instructions_first_part' => '您可以编写自定义 SQL 查询. e.g. 假设您有 <b>客户</b> 表 具有 <b>客户年龄</b> 字段, 您可以使用以下查询来显示客户的年龄构成:',
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot;>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => '您选择的第一个字段将是 <b>X-轴</b>, 第二个领域将是 <b>Y-轴</b>.<br/><br/>阅读文档的进一步例子.',
'generate_report' => '生成图表',
'use_semicolon_forbidden_omit_trailing_semicolmn' => '最后一个分号可省略 (;)',
'sql_report_must_start_with_select' => '自定义 SQL 报表必须以 开头 "SELECT "',
);	
$normal_messages_ar['months_short'][1] = '1月';
$normal_messages_ar['months_short'][2] = '2月';
$normal_messages_ar['months_short'][3] = '3月';
$normal_messages_ar['months_short'][4] = '4月';
$normal_messages_ar['months_short'][5] = '5月';
$normal_messages_ar['months_short'][6] = '6月';
$normal_messages_ar['months_short'][7] = '7月';
$normal_messages_ar['months_short'][8] = '8月';
$normal_messages_ar['months_short'][9] = '9月';
$normal_messages_ar['months_short'][10] = '10月';
$normal_messages_ar['months_short'][11] = '11月';
$normal_messages_ar['months_short'][12] = '12月';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = '星期一';
$normal_messages_ar['days_short'][2] = '星期二';
$normal_messages_ar['days_short'][3] = '星期三';
$normal_messages_ar['days_short'][4] = '星期四';
$normal_messages_ar['days_short'][5] = '星期五';
$normal_messages_ar['days_short'][6] = '星期六';
$normal_messages_ar['days_short'][7] = '星期日';



// error messages
$error_messages_ar = array (
	"int_db_empty" => "错误！内部数据库空白",
	"get" => "变量错误",
	"no_functions" => "错误，请回到主页",
	"no_unique_key" => "错误，表格关键字不存在",
	"upload_error" => "文件上传时发生了错误",
	"no_authorization_update" => "无修改此项权限",
	"no_authorization_delete" => "无删除权限",
	"no_authorization_view" => "无权限查看该项",
	"deleted_only_authorizated_records" => "仅对你有权限的项作了删除",
	"record_from_which_you_come_no_longer_exists" => "已失效或者不存在",
	"date_not_representable" => "日期值不能在列表框中表示, 该值为: ",
	"this_record_is_the_last_one" => "最后一项",
	"this_record_is_the_first_one" => "该项是第一条",
	"current_password_wrong" => '当前密码错误',
	"passwords_are_different" => '两次输入密码不一致',
	"new_password_is_empty" => '新密码不能为空'
	);

//login messages
$login_messages_ar = array(
	"username" => "用户名",
	"password" => "密码",
	"please_authenticate" => "请先验证身份再继续",
	"login" => "登入",
	"username_password_are_required" => "请输入用户名和密码",
	"pwd_gen_link" => "创建密码",
	"incorrect_login" => "用户名或密码不正确",
	"pwd_explain_text" =>"输入单词作为密码并按<b>继续!</b>.",
	"pwd_explain_text_2" =>"按 <b>注册</b> 以下列形式写",
	"pwd_suggest_email_sending"=>"你也许需要发送邮件给自己用于记住密码",
	"pwd_send_link_text" =>"发送邮件!",
	"pwd_encrypt_button_text" => "继续!", 
	"pwd_register_button_text" => "注销密码并退出",
	"too_many_failed_login_account_blocked" => "密码错误次数太多，你的账户已被锁定",
	"warning_you_still_have" => "警告 ",
	"attempts_before_account_blocking" => " 账户锁定前再试一次"
	
);
?>
