<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Record toevoegen",
	"quick_search"    => "Snel zoeken",
	"search/update/delete" => "Zoek/update/wis records",
	"insert_short"    => "Toevoegen",
	"search_short" => "Zoek",
	"insert_anyway"    => "Altijd toevoegen",
	"search"    => "Zoek voor record",
	"update"    => "Update dit record",
	"ext_update"    => "Update je profiel",
	"yes"    => "Ja",
	"no"    => "Nee",
	"go_back" => "Terug",
	"edit" => "Edit",
	"delete" => "Delete",
	"details" => "Details",
	"change_table" => "Change table"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "You can't edit this record, the record is locked by user: ", // to change
	"lost_locked_not_safe_update" => "You dont't have or have lost your lock on this record, it is not safe to update, please start again the edit",
	"insert_item" => "Item invoegen",
	"show_all_records" => "Toon alle records",
	"show_records" => "Toon items",
	"ldap_user_dont_update" => "This is an imported LDAP user: his group is the only information which you should change, if needed.", // to change
	"remove_search_filter" => "Wis zoek filter",
	"logout" => "Log uit",
	"top" => "Top",
	"last_search_results" => "Laatste zoekresultaten",
	"show_all" => "Toon Alles",
	"home" => "Thuis",
	"select_operator" => "Selecteer de operator:",
	"all_conditions_required" => "Alle vereiste condities",
	"any_conditions_required" => "de vereiste condities",
	"all_contacts" => "All contacten",
	"removed" => "verwijderd",
	"please" => "Gelieve",
	"and_check_form" => "en controleer het formulier.",
	"and_try_again" => "en probeer opnieuw.",
	"none" => "Geen",
	"are_you_sure" => "Weet U het zeker?",
	"delete_all" => "Alles wissen",
	"really?" => "Zeker?",
	"delete_are_you_sure" => "U gaat onderstaand record wissen, zeker ?",
	"required_fields_missed" => "Niet alle vereiste velden zijn ingevuld.",
	"alphabetic_not_valid" => "Getallen in een alleen-letters veld ?",
	"numeric_not_valid" => "Niet numerieke tekens in een alleen-cijfer veld.",
	"email_not_valid" => "Het/De emailadress(en) is/zijn ongeldig.",
	"timestamp_not_valid" => "Ingevoegde tijd is ongeldig.",
	"url_not_valid" => "Ongeldig webadres/URL.",
	"phone_not_valid" => "Telefoonnummer niet geldig.",
	"similar_records" => "Onderstaande record gelijken sterk op de toe te voegen record.<br>Wat wilt U doen?",
	"date_not_valid" => "Ongeldige datum.",
	"no_records_found" => "Geen records gevonden.",
	"records_found" => "records gevonden",
	"number_records" => "Aantal records: ",
	"details_of_record" => "Details van het record",
	"details_of_record_just_inserted" => "Details record ingevoegd",
	"edit_record" => "Editeer record",
	"back_to_the_main_table" => "Terug naar hoofdtabel",
	"previous" => "Vorige",
	"next" => "Volgende",
	"edit_profile" => "Update je profiel",
	"i_think_that" => "Ik denk dat ",
	"is_similar_to" => " gelijk is aan ",
	"page" => "Pagina ",
	"of" => " van ",
	"records_per_page" => "records per pagina",
	"day" => "Dag",
	"month" => "Maand",
	"year" => "Jaar",
	"administration" => "Administratie",
	"create_update_internal_table" => "Maak/update interne table",
	"other...." => "Andere....",
	"insert_record" => "New record toevoegen",
	"search_records" => "Zoek voor record",
	"exactly" => "precies",
	"like" => "bevattende",
	"required_fields_red" => "Vereiste velden zijn rood.",
	"insert_result" => "Toevoegen resultaat:",
	"record_inserted" => "Record correct toegevoegd.",
	"update_result" => "Update resultaat:",
	"record_updated" => "Record correctly geupdate.",
	"profile_updated" => "Uw profiel is correct geupdate.",
	"delete_result" => "Wis resultaat:",
	"record_deleted" => "Record correct verwijderd.",
	"duplication_possible" => "Duplicatie is mogelijk",
	"fields_max_length" => "Teveel tekst in 1 of meerdere velden.",
	"you are_going_unsubscribe" => "U gaat verwijderd worden van de mailinglijst. Verder gaan ?",
	"current_upload" => "Huidig bestand",
	"delete" => "delete",
	"total_records" => "Totaal records",
	"confirm_delete?" => "Bevestig wissen ?",
	"is_equal" => "is gelijk aan",
	"is_different" => "is verschillend van",
	"is_not_null" => "is niet nul",
	"is_not_empty" => "is niet leeg",
	"contains" => "bevat",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "begint met",
	"ends_with" => "eindigt met",
	"greater_than" => " groter dan ",
	"less_then" => " kleiner dan ",
	"export_to_csv" => "Export naar CSV",
	"new_insert_executed" => "Nieuwe insert doorgevoerd",
	"new_update_executed" => "Nieuwe update doorgevoerd",
	"null" => "Nul",
	"is_null" => "is nul",
	"is_empty" => "is leeg",
	"continue" => "verder",
	'current_password' => 'huidig paswoord',
	'new_password' => 'nieuw paswoord',
	'new_password_repeat' => 'nieuw paswoord (herhaal)',
	'password_changed' => 'het paswoord is veranderd',
	'change_your_password' => 'verander uw paswoord',
	'your_info' => 'uw info',
	'sort_by' => 'sorteer op',
	'sort' => 'sorteer',
	'pie_chart' => 'Taart diagram',
'bar_chart' => 'Bar diagram',
'line_chart' => 'Lijn diagram',
'doughnut_chart' => 'Doughnut diagram',
'show_report' => 'Toon diagram',
'show_labels' => 'Toon labels',
'show_legend' => 'Toon legende',
'group_data_by' => 'Groepeer data op',
'x_axis' => 'X-as',
'y_axis' => 'Y-as',
'show' => 'toon',
'percentage' => '%',
'count' => 'tel',
'sum' => 'som',
'average' => 'gemiddelde',
'min' => 'min',
'max' => 'max',
'variance' => 'afwijking',
'standard_deviation' => 'standaard afwijking',
'of' => 'of',
'simple_report' => 'Eenvoudig rapport',
'advanced_sql_report' => 'Geavanceerd SQL rapport',
'type_your_custom_sql_query_here' => 'Type uw SQL query hier: ',
'advanced_sql_reports_are_disabled' => 'Geadvanceerde SQL reports zijn uitgeschakeld',
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query, e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot;>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change

'generate_report' => 'Maak diagram',
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'Het gebruik van punt komma is om veiligheidsreden uitgeschakeld. Laat de laatste puntkomma weg.',
'sql_report_must_start_with_select' => 'Uw eigen SQL rapport moet starten met "SELECT "',
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Error, de interne database is leeg.",
	"get" => "Error, kan de variabelen niet bekomen.",
	"no_functions" => "Error, geen functies geselecteerd<br>Ga terug naar de homepagina.",
	"no_unique_key" => "Error, U heeft geen primaire sleutel in je tabel.",
	"upload_error" => "Er is een probleem met het uploaden van een bestand.",
	"no_authorization_update" => "U heeft geen rechten om dit record te wijzigen.",
	"no_authorization_delete" => "U heeft geen rechten om dit record te wissen.",
	"no_authorization_view" => "U heeft geen rechten om dit record te bekijken.",
	"deleted_only_authorizated_records" => "Enkel de records waar U rechten op heeft zijn verwijderd.",
	"record_from_which_you_come_no_longer_exists" => "Startrecord bestaat niet meer.",
	"date_not_representable" => "Een datumwaarde in dit record kan niet getoond worden met de DaDaBIK dag-maand-jaar lijstbox, de waarde is: ",
	"this_record_is_the_last_one" => "Dit is het laatste record.",
	"this_record_is_the_first_one" => "Dit is het eerste record.",
	"current_password_wrong" => 'huidig paswoord is fout',
	"passwords_are_different" => 'de twee paswoorden zijn niet gelijk',
	"new_password_is_empty" => 'nieuw paswoord is leeg'
	);

//login messages
$login_messages_ar = array(
	"username" => "gebruikersnaam",
	"password" => "paswoord",
	"please_authenticate" => "Geef Uw logingegevens",
	"login" => "login",
	"username_password_are_required" => "Gebruikersnaam en paswoord vereist",
	"incorrect_login" => "Gebruikersnaam of paswoord niet correct",
	"pwd_gen_link" => "maak paswoord",
	"pwd_explain_text" =>"Geef uw paswoord en druk <b>Versleutel!</b>.",
	"pwd_explain_text_2" =>"Klik <b>Register</b> om in onderstaande te plaatsen",
	"pwd_suggest_email_sending"=>"Je kan jezelf een mail sturen om het paswoord te onthouden",
	"pwd_send_link_text" =>"Verstuur email!",
	"pwd_encrypt_button_text" => "Versleutel!",
	"pwd_register_button_text" => "Registreer paswoord en be-eindig",
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.", // to change
	"warning_you_still_have" => "Waarschuwing, U heeft nog maar ",
	"attempts_before_account_blocking" => " pogingen voordat uw account geblokkeerd wordt."
)
?>
