<?php
/*
***********************************************************************************
DaDaBIK (DaDaBIK is a DataBase Interfaces Kreator) https://dadabik.com/
Copyright (C) 2001-2017  Eugenio Tacchini

This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Insert a new item",
	"quick_search"    => "Quick search",
	"search/update/delete" => "Search/update/delete items",
	"insert_short"    => "Create new",
	"search_short" => "Search",
	"insert_anyway"    => "Insert anyway",
	"search"    => "Search for items",
	"update"    => "Save",
	"ext_update"    => "Update your profile",
	"yes"    => "Yes",
	"no"    => "No",
	"go_back" => "Go back",
	"edit" => "Edit",
	"delete" => "Delete",
	"details" => "Details",
	"change_table" => "Change table"
);

// normal messages
$normal_messages_ar = array (
"cant_edit_record_locked_by" => "You can't edit this item, the item is locked by user: ",
"lost_locked_not_safe_update" => "You don't have or have lost your lock on this item, it is not safe to update, please start again the edit",
"insert_item" => "Create new item",
"show_all_records" => "Show all items",
"show_records" => "Show items",
"ldap_user_dont_update" => "This is an imported LDAP user: his group is the only information which you should change, if needed.",
"remove_search_filter" => "remove search filter",
"logout" => "Logout",
"top" => "Top",
"last_search_results" => "Last search results",
"show_all" => "Show all",
"home" => "Home",
"select_operator" => "Select the operator:",
"all_conditions_required" => "All the conditions required",
"any_conditions_required" => "Any of the conditions required",
"all_contacts" => "All contacts",
"removed" => "removed",
"please" => "Please",
"and_check_form" => "and check the form.",
"and_try_again" => "and try again.",
"none" => "none",
"are_you_sure" => "Are you sure?",
"delete_all" => "delete all",
"really?" => "Really?",
"delete_are_you_sure" => "You are going to delete the item below, are you sure?",
"required_fields_missed" => "You haven't filled out some required fields.",
"alphabetic_not_valid" => "You have inserted a/some number/s into an alphabetic field.",
"numeric_not_valid" => "You have inserted a/some non-numeric characters into a numeric field.",
"email_not_valid" => "An e-mail address you have inserted is not valid.",
"timestamp_not_valid" => "A timestamp you have inserted is not valid.",
"url_not_valid" => "An url you have inserted is not valid.",
"phone_not_valid" => "A phone number you have inserted is not valid.<br>Please use the \"+(country code)(area code)(number)\" format e.g. +390523599318, 00390523599318, 0523599318.",
"date_not_valid" => "You have inserted one or more not valid dates.",
"similar_records" => "The items below seem similar to the one you want to insert.<br>What do you want to do?",
"no_records_found" => "No items found.",
"records_found" => "items found",
"number_records" => "Number of items: ",
"details_of_record" => "Details of the item",
"details_of_record_just_inserted" => "Details of the item just inserted",
"edit_record" => "Edit the item",
"back_to_the_main_table" => "Back to the main table",
"previous" => "Previous",
"next" => "Next",
"edit_profile" => "Update your profile information",
"i_think_that" => "I think that ",
"is_similar_to" => " is similar to ",
"page" => "Page ",
"of" => " of ",
"records_per_page" => "items per page",
"day" => "Day",
"month" => "Month",
"year" => "Year",
"administration" => "Administration",
"create_update_internal_table" => "Create or update internal table",
"other...." => "other....",
"insert_record" => "Insert a new item",
"search_records" => "Search for items",
"exactly" => "exactly",
"like" => "like",
"required_fields_red" => "Required fields are in red.",
"insert_result" => "Insert result:",
"record_inserted" => "item correctly inserted.",
"update_result" => "Update result:",
"record_updated" => "Item correctly updated.",
"profile_updated" => "Your profile has been correctly updated.",
"delete_result" => "Delete result:",
"record_deleted" => "Item correctly deleted.",
"duplication_possible" => "Possible duplication",
"fields_max_length" => "You have inserted too much text in one or more field.",
"current_upload" => "Current file",
"delete" => "delete",
"total_records" => "Total items",
"confirm_delete?" => "Confirm delete?",
"is_equal" => "is equal to",
"is_different" => "is not equal to",
"is_not_null" => "is not null",
"is_not_empty" => "is not empty",
"contains" => "contains",
"doesnt_contain" => "doesn't contain",
"starts_with" => "starts with",
"ends_with" => "ends with",
"greater_than" => ">",
"less_then" => "<",
"export_to_csv" => "Export to CSV",
"new_insert_executed" => "New insert executed",
"new_update_executed" => "New update executed",
"null" => "Null",
"is_null" => "is null",
"is_empty" => "is empty",
"continue" => "continue",
'current_password' => 'current password',
'new_password' => 'new password', 
'new_password_repeat' => 'new password (repeat)', 
'password_changed' => 'the password has been changed',
'change_your_password' => 'change your password',
'your_info' => 'your info',
'sort_by' => 'sort by',
'sort' => 'sort',

'pie_chart' => 'Pie chart',
'bar_chart' => 'Bar chart',
'line_chart' => 'Line chart',
'doughnut_chart' => 'Doughnut chart',
'show_report' => 'Show chart',
'show_labels' => 'Show labels',
'show_legend' => 'Show legend',
'group_data_by' => 'Aggregate data by',
'x_axis' => 'X-axis',
'y_axis' => 'Y-axis',
'show' => 'show',
'percentage' => '%',
'count' => 'count',
'sum' => 'sum',
'average' => 'average',
'min' => 'min',
'max' => 'max',
'variance' => 'variance',
'standard_deviation' => 'standard deviation',
'of' => 'of',
'simple_report' => 'simple report',
'advanced_sql_report' => 'advanced SQL report',
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ',
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled',
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query, e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:',
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot;>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.',
'generate_report' => 'Generate chart',
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.',
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "',
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';



// error messages
$error_messages_ar = array (
	"int_db_empty" => "Error, the internal database is empty.",
	"get" => "Error in get variables.",
	"no_functions" => "Error, no functions selected<br>Please go back to the homepage.",
	"no_unique_key" => "Error, you haven't any primary key in your table.",	
	"upload_error" => "An error occurred when uploading a file.",
	"no_authorization_update" => "You don't have the authorization to modify this item.",
	"no_authorization_delete" => "You don't have the authorization to delete this item.",
	"no_authorization_view" => "You don't have the authorization to view this item.",
	"deleted_only_authorizated_records" => "Only the items on which you have the authorization have been deleted.",
	"record_from_which_you_come_no_longer_exists" => "The item from which you came no longer exists.",
	"date_not_representable" => "A date value in this item can't be represented with DaDaBIK day-month-year listboxes, the value is: ",
	"this_record_is_the_last_one" => "This item is the last one.",
	"this_record_is_the_first_one" => "This item is the first one.",
	"current_password_wrong" => 'the current password is wrong', 
	"passwords_are_different" => 'the two passwords are different',
	"new_password_is_empty" => 'the new password is empty'
	);

//login messages
$login_messages_ar = array(
	"username" => "username",
	"password" => "password",
	"please_authenticate" => "You need to be identified to continue",
	"login" => "login",
	"username_password_are_required" => "Username and password are required",
	"pwd_gen_link" => "create password",
	"incorrect_login" => "Username or password incorrect",
	"pwd_explain_text" =>"Insert a word to be used as password and press <b>Crypt it!</b>.",
	"pwd_explain_text_2" =>"Press <b>Register</b> to write it in the below form",
	"pwd_suggest_email_sending"=>"You may want to send yourself a mail to remeber the password",
	"pwd_send_link_text" =>"send mail!",
	"pwd_encrypt_button_text" => "Cript it!",
	"pwd_register_button_text" => "Register password and exit",
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.",
	"warning_you_still_have" => "Warning, you still have just ",
	"attempts_before_account_blocking" => " attempts before your account is blocked."
	
);
?>
