<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Uuden tietueen lisäys",
	"quick_search"    => "Quick search", // to change
	"search/update/delete" => "Etsi/päivitä/poista tietueita",
	"insert_short"    => "Lisää",
	"search_short" => "Etsi",
	"insert_anyway"    => "Lisää kaikesta huolimatta",
	"search"    => "Etsi tietuetta",
	"update"    => "Tallenna",
	"ext_update"    => "Päivitä käyttäjätietosi",
	"yes"    => "Kyllä",
	"no"    => "Ei",
	"go_back" => "Palaa takaisin",
	"edit" => "Muokkaa",
	"delete" => "Poista",
	"details" => "Tiedot",
	"change_table" => "Vaihda taulua"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "You can't edit this record, the record is locked by user: ", // to change
	"lost_locked_not_safe_update" => "You dont't have or have lost your lock on this record, it is not safe to update, please start again the edit", // to change
	"insert_item" => "Insert item", // to change
	"show_all_records" => "Näytä kaikki tietueet",
	"show_records" => "Show items", // to change
	"ldap_user_dont_update" => "This is an imported LDAP user: his group is the only information which you should change, if needed.", // to change
	"remove_search_filter" => "remove search filter", // to change
	"logout" => "Kirjaudu ulos",
	"top" => "Ylös",
	"last_search_results" => "Viimeisimmän haun tulokset",
	"show_all" => "Näytä kaikki",
	"home" => "Aloitus",
	"select_operator" => "Valitse vertailutapa:",
	"all_conditions_required" => "Kaikkien ehtojen on täytyttävä",
	"any_conditions_required" => "Vähintään yhden ehdon on täytyttävä",
	"all_contacts" => "Kaikki yhteystiedot",
	"removed" => "poistettu",
	"please" => "Ole hyvä",
	"and_check_form" => "ja tarkista lomake.",
	"and_try_again" => "ja yritä uudelleen.",
	"none" => "ei lainkaan",
	"are_you_sure" => "Oletko varma?",
	"delete_all" => "poista kaikki",
	"really?" => "Todellako?",
	"delete_are_you_sure" => "Olet poistamassa oheista tietuetta, oletko aivan varma?",
	"required_fields_missed" => "Et ole täyttänyt kaikkia vaadittuja tietoja.",
	"alphabetic_not_valid" => "Sopimattomia merkkejä kentässä, johon hyväksytään vain aakkosia (a-ö).",
	"numeric_not_valid" => "Sopimattomia merkkejä kentässä, johon hyväksytään vain numeroita (0-9).",
	"email_not_valid" => "Antamasi sähköpostiosoite ei ole kelvollinen.",
	"timestamp_not_valid" => "The timestamp/s you have inserted is/are not valid.", // to change
	"url_not_valid" => "Antamasi url (www-osoite) ei ole kelvollinen.",
	"phone_not_valid" => "Antamasi puhelinnumero ei ole kelvollinen.<br>Käytä muotoa \"+(maatunnus)(aluetunnus)(numero)\" esim. +358401235678, 00358401235678, 8401235678.",
	"date_not_valid" => "Antamasi päivämäärä ei ole kelvollinen.",
	"similar_records" => "Oheiset tietueet ovat yhteneväisiä antamiesi tietojen kanssa.<br>Mitä haluat tehdä?",
	"no_records_found" => "Yhtään tietuetta ei löytynyt.",
	"records_found" => "tietuetta löytyi",
	"number_records" => "Tietueiden lukumäärä: ",
	"details_of_record" => "Tietueen tiedot",
	"details_of_record_just_inserted" => "Details of the record just inserted", // to change
	"edit_record" => "Muokkaa tietuetta",
	"back_to_the_main_table" => "Back to the main table", // to change
	"previous" => "Edellinen",
	"next" => "Seuraava",
	"edit_profile" => "Päivitä käyttäjätietosi",
	"i_think_that" => "Oletan, että ",
	"is_similar_to" => " on samanlainen kuin ",
	"page" => "Sivu ",
	"of" => " / ",
	"records_per_page" => "tietuetta sivulla",
	"day" => "Päivä",
	"month" => "Kuukausi",
	"year" => "Vuosi",
	"administration" => "Ylläpito",
	"create_update_internal_table" => "Luo tai päivitä sisäinen taulu",
	"other...." => "Muu, mikä? ...",
	"insert_record" => "Lisää uusi tietue",
	"search_records" => "Etsi tietueita",
	"exactly" => "täsmälleen",
	"like" => "melkein kuin",
	"required_fields_red" => "Vaaditut tiedot merkitty punaisella.",
	"insert_result" => "Tallennus:",
	"record_inserted" => "Tietue lisätty ongelmitta.",
	"update_result" => "Päivitys:",
	"record_updated" => "Tietue päivitetty ongelmitta.",
	"profile_updated" => "Käyttäjätietosi on päivitetty ongelmitta.",
	"delete_result" => "Poisto:",
	"record_deleted" => "Tietue poistettu ongelmitta.",
	"duplication_possible" => "Kahdentuminen on mahdollinen",
	"fields_max_length" => "Sisältö yhdessä tai useammassa kentässä on liian pitkä.",
	"current_upload" => "Nykyinen tiedosto",
	"delete" => "poista",
	"total_records" => "Tietueita yhteensä",
	"confirm_delete?" => "Vahvista poisto?",
	"is_equal" => "on yhtä kuin",
	"is_different" => "is not equal to", // to change
	"is_not_null" => "is not null", // to change
	"is_not_empty" => "is not empty", // to change
	"contains" => "sisältää",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "alussa",
	"ends_with" => "lopussa",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Vie CSV-muotoon",
	"new_insert_executed" => "Uusi lisäys suoritettu",
	"new_update_executed" => "Uusi päivitys suoritettu",
	"null" => "Tyhj&auml;",
	"is_null" => "on tyhj&auml;",
	"is_empty" => "arvoa ei asetettu",
	"continue" => "continue", // to change
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query, e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Virhe. Sisäinen tietokanta on tyhjä.",
	"get" => "Virhe haettaessa muuttujia.",
	
	
	"no_functions" => "Virhe. Toimintoja ei valittu.<br>Ole hyvä ja palaa takaisin kotisivulle.",
	"no_unique_key" => "Virhe. Sinulla ei ole yhtään \"primary key\"-kenttää taulussasi.",
	"upload_error" => "Tiedoston latauksessa tapahtui virhe.",
	"no_authorization_update" => "Oikeutesi eivät riitä tämän tietueen muokkaukseen.",
	"no_authorization_delete" => "Oikeutesi eivät riitä tämän tietueen poistamiseen.",
	"no_authorization_view" => "Oikeutesi eivät riitä tämän tietueen tarkasteluun.",
	"deleted_only_authorizated_records" => "Vain ne tietueet poistettiin, joiden poistoon sinulla oli oikeudet.",
	"record_from_which_you_come_no_longer_exists" => "Hakemaasi tietuetta ei ole enää olemassa.",
	"date_not_representable" => "A date value in this record can't be represented with DaDaBIK day-month-year listboxes, the value is: ", // to change
	"this_record_is_the_last_one" => "Tämä on viimeinen tietue.",
	"this_record_is_the_first_one" => "Tämä on ensimmäinen tietue.",
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change
	);

//login messages
$login_messages_ar = array(
	"username" => "Käyttäjätunnus",
	"password" => "Salasana",
	"please_authenticate" => "Kirjautuminen",
	"login" => "Kirjaudu sisään",
	"username_password_are_required" => "Käyttäjätunnus ja salasana vaaditaan",
	"pwd_gen_link" => "Luo salasana",
	"incorrect_login" => "Kirjautumistiedoissa virhe, tarkista tunnus ja salasana.",
	"pwd_explain_text" =>"Kirjoita haluamasi salasana ja paina <b>Salaa salasana!</b>.",
	"pwd_explain_text_2" =>"Paina <b>Rekisteröidy</b> ja kirjoita saamasi salattu salasana ao. kenttään.",
	"pwd_suggest_email_sending"=>"Haluatko että sinulle lähetetään salasana sähköpostitse?",
	"pwd_send_link_text" =>"Lähetä salasana sähköpostitse!",
	"pwd_encrypt_button_text" => "Salaa salasana!",
	"pwd_register_button_text" => "Rekisteröi salasana ja poistu",
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.", // to change
	"warning_you_still_have" => "Warning, you still have just ", // to change
	"attempts_before_account_blocking" => " attempts before your account is blocked." // to change
);
?>
