<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Neuen Satz einfügen",
	"quick_search"    => "Schnellsuche",
	"search/update/delete" => "Sätze suchen/aktualisieren/löschen",
	"insert_short"    => "Einfügen",
	"search_short" => "Suchen",
	"insert_anyway"    => "trozdem einfügen",
	"search"    => "Suche nach Satz",
	"update"    => "Speichern",
	"ext_update"  => "Ihr Profil aktualisieren",
	"yes"    => "Ja",
	"no"    => "Nein",
	"go_back" => "zurück",
	"edit" => "Editieren",
	"delete" => "Löschen",
	"details" => "Details",
	"change_table" => "Tabelle wechseln"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "Sie können diesen Satz nicht bearbeiten, er ist gesperrt durch Benutzer: ",
	"lost_locked_not_safe_update" => "Der Satz ist nicht mehr durch Sie gesperrt, es ist nicht sicher zu speichern, bitte beginnen Sie die Bearbeitung nochmals",
	"insert_item" => "Eintrag einfügen",
	"show_all_records" => "Alle Sätze zeigen",
	"show_records" => "Daten ansehen",
	"ldap_user_dont_update" => "Dieser Benutzer wurde von LDAP importiert: Sie sollten nur seine Gruppe ändern, falls nötig.",
	"remove_search_filter" => "Suchfilter entfernen",
	"logout" => "Abmelden",
	"top" => "Top",
	"last_search_results" => "Letzte Suchergebnisse",

	"show_all" => "Alles zeigen",
	"home" => "Startseite",
	"select_operator" => "Verknüpfung wählen:",
	"all_conditions_required" => "Alle Bedingungen müssen zutreffen",
	"any_conditions_required" => "Eine Bedingung muss zutreffen",
	"all_contacts" => "Alle Kontakte",
	"removed" => "entfernt",
	"please" => "Bitte",
	"and_check_form" => "Überprüfen Sie das Formular.",
	"and_try_again" => "und versuchen Sie es erneut.", 
	"none" => "keine",
	"are_you_sure" => "Sind Sie sicher?",
	"delete_all" => "Alle löschen", 
	"really?" => "Wirklich ?", 
	"delete_are_you_sure" => "Sie wollen den nachstehenden Satz löschen. Sind Sie sicher?",
	"required_fields_missed" => "Sie haben einige erforderliche Felder nicht ausgefüllt.<br>Bitte füllen Sie alle erforderlichen Felder aus.",
	"alphabetic_not_valid" => "Sie haben numerische Werte in ein Alfa-Feld eingegeben.",
	"numeric_not_valid" => "Sie haben nichtnumerische Zeichen in ein numerisches Feld eingetragen.",
	"email_not_valid" => "Die eingegebene/n E-Mail-Adresse/n ist/sind nicht gültig.",
	"timestamp_not_valid" => "Der/Die eingefügte/n Zeitstempel ist/sind nicht gültig.",
	"url_not_valid" => "Die eingegebene/n URL/s ist/sind nicht gültig.",
	"phone_not_valid" => "Die eingegebene/n Telefon-Nummer/n ist/sind nicht gültig.",
	"date_not_valid" => "Sie haben ungültige Datumsangaben eingetragen.", 
	"similar_records" => "Die untenstehenden Sätze ähneln dem Satz, den Sie einfügen möchten.<br>Was möchten Sie tun?",
	"no_records_found" => "Keine Sätze gefunden.",
	"records_found" => "Sätze gefunden",
	"number_records" => "Anzahl Sätze: ",
	"details_of_record" => "Details des Satzes:",
	"details_of_record_just_inserted" => "Details der soeben eingefügten Sätze",
	"edit_record" => "Satz editieren",
	"back_to_the_main_table" => "Zurück zur Haupttabelle",
	"previous" => "Vorheriger",
	"next" => "Nächster",
	"edit_profile" => "Ihre Profil-Information aktualisieren",
	"i_think_that" => "Ich denke ",
	"is_similar_to" => " ähnelt folgendem ",
	"page" => "Seite ",
	"of" => " von ",
	"records_per_page" => "Sätze pro Seite",
	"day" => "Tag",
	"month" => "Monat",
	"year" => "Jahr",
	"administration" => "Administration",
	"create_update_internal_table" => "Interne Tabelle erstellen/aktualisieren",
	"other...." => "andere....",
	"insert_record" => "Neuen Satz einfügen",
	"search_records" => "Suche nach Sätzen",
	"exactly" => "exakt",
	"like"    => "ähnlich",
	"required_fields_red" => "Erforderliche Felder sind rot markiert.",
	"insert_result" => "Einfüge-Ergebnis:",
	"record_inserted" => "Satz korrekt eingefügt.",
	"update_result" => "Aktualisierungs-Ergebnis:",
	"record_updated" => "Satz korrekt aktualisiert.",
	"profile_updated" => "Ihr Profil wurde korrekt aktualisiert.",
	"delete_result" => "Lösch-Ergebnis:",
	"record_deleted" => "Satz korrekt gelöscht.",
	"duplication_possible" => "Duplizierung möglich","fields_max_length" => "Sie haben zuviel Text in ein oder mehrere Feld/er eingegeben.",
	"change_profile_url"  =>  "Zur Änderung Ihrer Profil-Information besuchen Sie bitte diese Seite",
	"current_upload" => "aktuelle Datei ",
	"delete" => "Löschen",
	"total_records" => "Gesamtanzahl Sätze",
	"confirm_delete?" => "Löschung bestätigen ?",
	"is_equal" => "entspricht",
	"is_different" => "entspricht nicht",
	"is_not_null" => "ist nicht null",
	"is_not_empty" => "ist nicht leer",
	"contains" => "enthält",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "beginnt mit",
	"ends_with" => "endet mit",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Als CSV-Datei ausgeben",
	"new_insert_executed" => "Neu-Einfügung ausgeführt",
	"new_update_executed" => "Neu-Aktualisierung ausgeführt",
	"null" => "Null",
	"is_null" => "ist null",
	"is_empty" => "ist leer",
	"continue" => "weiter",
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query, e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Fehler, die interne Datenbank ist leer.",
	"get" => "Fehler, beim Variablen-Abruf.",
	"no_functions" => "Fehler, keine Funktionen gewählt.<br>Bitte gehen Sie zurück zur Startseite.",
	"no_unique_key" => "Fehler, Sie haben keinen Primärschlüssel in Ihrer Tabelle.",	
	"upload_error" => "Während der Datei-Übertragung trat ein Fehler auf." ,
	"no_authorization_update" => "Sie haben keine Berechtigung zum Ändern des Datensatzes.",
	"no_authorization_delete" => "Sie haben keine Berechtigung zum Löschen des Datensatzes.",
	"no_authorization_view" => "Sie haben keine Berechtigung zum Ansehen des Datensatzes.",
	"deleted_only_authorizated_records" => "Es wurden nur die Sätze gelöscht, für die Sie eine Berechtigung haben.",
	"record_from_which_you_come_no_longer_exists" => "Der zuletzt angezeigte Datensatz existiert nicht mehr.",
	"date_not_representable" => "Ein Datumswert in diesem Datensatz kann nicht mit DaDaBIKs Tag-Monat-Jahr-Listbox angezeigt werden, der Wert ist:  ",
	"this_record_is_the_last_one" => "Dieser Datensatz ist der letzte.",
	"this_record_is_the_first_one" => "Dieser Datensatz ist der erste.",
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change

	);

//login messages
$login_messages_ar = array(
	"username" => "benutzername",
	"password" => "passwort",
	"please_authenticate" => "Zur Fortsetzung müssen Sie identifiziert sein",
	"login" => "Anmeldung",
	"username_password_are_required" => "Benutzername/Passwort sind erforderlich",
	"pwd_gen_link" => "passwort erstellen", 
	"incorrect_login" => "Benutzername/Passwort ist falsch",
	"pwd_explain_text" =>"Geben Sie ein Wort als Passwort ein und drücken Sie <b>Verschlüsseln!</b>.",
	"pwd_explain_text_2" =>"Klicken Sie <b>Registrieren</b> um es in das Formular einzutragen", 
	"pwd_suggest_email_sending"=>"Sie können sich selbst eine Email mit dem Passwort als Erinnerung schicken", 
	"pwd_send_link_text" =>"Email senden!", 
	"pwd_encrypt_button_text" => "Verschlüsseln!", 
	"pwd_register_button_text" => "Passwort registrieren und beenden",
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.", // to change
	"warning_you_still_have" => "Warning, you still have just ", // to change
	"attempts_before_account_blocking" => " attempts before your account is blocked." // to change
)
?>
