<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Wstaw nowy rekord",
	"quick_search"    => "Quick search", // to change
	"search/update/delete" => "Szukaj/zmien/usun rekordy",
	"insert_short"    => "Wstaw",
	"search_short" => "Szukaj",
	"insert_anyway"    => "Wstaw mimo wszystko",
	"search"    => "Szukaj rekordu",
	"update"    => "Zapisz",
	"ext_update"    => "Zmien swoj profil",
	"yes"    => "Tak",
	"no"    => "Nie",
	"go_back" => "Wroc",
	"edit" => "Popraw",
	"delete" => "Usun",
	"details" => "Szczegoly",
	"change_table" => "Zmien tablice"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "You can't edit this record, the record is locked by user: ", // to change
	"lost_locked_not_safe_update" => "You dont't have or have lost your lock on this record, it is not safe to update, please start again the edit", // to change
	"insert_item" => "Insert item", // to change
	"show_all_records" => "Pokaz wszystkie rekordy",
	"show_records" => "Show items", // to change
	"ldap_user_dont_update" => "This is an imported LDAP user: his group is the only information which you should change, if needed.", // to change
	"remove_search_filter" => "remove search filter", // to change
	"logout" => "Wyloguj",
	"top" => "Top", // to change
	"last_search_results" => "Last search results", // to change
	"show_all" => "Pokaz wszystko",
	"home" => "Strona domowa",
	"select_operator" => "Wybierz operator:",
	"all_conditions_required" => "Wszystkie warunki spelnione",
	"any_conditions_required" => "Dowolny warunek spelniony",
	"all_contacts" => "Wszystkie kontakty",
	"removed" => "usuniety",
	"please" => "Prosze",
	"and_check_form" => "i sprawdz formularz.",
	"and_try_again" => "i sprobuj ponownie.",
	"none" => "zaden",
	"are_you_sure" => "Jestes pewien?",
	"delete_all" => "Usun wszystko",
	"really?" => "Naprawde?",
	"delete_are_you_sure" => "Zamierzasz skasowac ponizszy rekord, jestes pewien?",
	"required_fields_missed" => "Nie wypelniles niektorych wymaganych pol.",
	"alphabetic_not_valid" => "Wpisales cyfry w polu literowym.",
	"numeric_not_valid" => "Wpisales niedozwolone znaki w polu cyfrowym.",
	"email_not_valid" => "Wpisany adres e-mail jest nieprawidlowy.",
	"timestamp_not_valid" => "The timestamp/s you have inserted is/are not valid.", // to change
	"url_not_valid" => "Wpisany URL jest nieprawidlowy.",
	"phone_not_valid" => "Wpisany numer telefonu jest nieprawidlowy.<br>Prosze uzyc formatu \"+(kod kraju)(kierunkowy)(numer)\" np +48711234567, 0048711234567, 711234567.",
	"date_not_valid" => "Wpisales jedna lub wiecej nieprawidlowych dat.",
	"similar_records" => "Rekordy ponizej wydaja sie podobne do tego, ktory wpisales.<br>Co chcesz zrobic?",
	"no_records_found" => "Nie znaleziono rekodow.",
	"records_found" => "rekordow znaleziono",
	"number_records" => "Ilosc rekordow: ",
	"details_of_record" => "Szczegoly rekordu",
	"details_of_record_just_inserted" => "Details of the record just inserted", // to change
	"edit_record" => "Popraw rekord",
	"back_to_the_main_table" => "Back to the main table", // to change
	"previous" => "Previous", // to change
	"next" => "Next", // to change
	"edit_profile" => "Popraw swoj profil",
	"i_think_that" => "Mysle ze ",
	"is_similar_to" => " jest podobny do ",
	"page" => "Strona ",
	"of" => " z ",
	"records_per_page" => "records per page", // to change
	"day" => "Dzien",
	"month" => "Miesiac",
	"year" => "Rok",
	"administration" => "Administracja",
	"create_update_internal_table" => "Utworz lub zmien tablice wewnetrzna",
	"other...." => "inny....",
	"insert_record" => "Wstaw nowy rekord",
	"search_records" => "Szukaj rekordow",
	"exactly" => "dokladnie",
	"like" => "podobne do",
	"required_fields_red" => "Pola wymagane sa na czerwono.",
	"insert_result" => "Wynik wstawiania:",
	"record_inserted" => "Rekord wstawiony poprawnie.",
	"update_result" => "Wynik poprawiania:",
	"record_updated" => "Rekord zmieniony poprawnie.",
	"profile_updated" => "Zmiana profilu zakonczona poprawnie.",
	"delete_result" => "Wynik kasowania:",
	"record_deleted" => "Rekord skasowany poprawnie.",
	"duplication_possible" => "Powtarzanie mozliwe",
	"fields_max_length" => "Wpisales zbyt duzo informacji w jedno lub wiecej pol.",
	"current_upload" => "Biezacy plik",
	"delete" => "Usun",
	"total_records" => "Wszystkich rekordow",
	"confirm_delete?" => "Potwierdz usuniece?",
	"is_equal" => "jest rowny",
	"is_different" => "is not equal to", // to change
	"is_not_null" => "is not null", // to change
	"is_not_empty" => "is not empty", // to change
	"contains" => "zawiera",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "zaczyna sie od",
	"ends_with" => "konczy sie na",
	"greater_than" => "jest wieksze niz",
	"less_then" => "jest mniejsze niz",
	"export_to_csv" => "Wyslij do CSV",
	"new_insert_executed" => "New insert executed", // to change
	"new_update_executed" => "New update executed", // to change
	"null" => "Null", // to change
	"is_null" => "is null", // to change
	"is_empty" => "is empty", // to change
	"continue" => "continue", // to change
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query,  e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Blad, wewnetrzna baza jest pusta.",
	"get" => "Blad przy czytaniu zmiennych.",
	"no_functions" => " Blad, nie wybrano fukncji.<br>Prosze wrocic do strony domowej.",
	"no_unique_key" => "Blad, w wybranej tablicy nie ma klucza glownego.",	
	"upload_error" => "Blad podczas ladowania pliku.",
	"no_authorization_update" => "Nie masz uprawnien aby zmieniac rekord.",
	"no_authorization_delete" => "Nie masz uprawnien aby poprawiac rekord.",
	"no_authorization_view" => "Nie masz uprawnien, aby ogladac ten rekord.",
	"deleted_only_authorizated_records" => "Zostaly skasowane tylko te rekordy, do ktorych miales uprawnienie.",
	"record_from_which_you_come_no_longer_exists" => "The record from which you come no longer exists.", // to change
	"date_not_representable" => "A date value in this record can't be represented with DaDaBIK day-month-year listboxes, the value is: ", // to change
	"this_record_is_the_last_one" => "This record is the last one.", // to change
	"this_record_is_the_first_one" => "This record is the first one.", // to change,
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change
	);



//login messages
$login_messages_ar = array(
	"username" => "Login",
	"password" => "Haslo",
	"please_authenticate" => "Musisz podac login i haslo aby przejsc dalej",
	"login" => "login", // to change
	"username_password_are_required" => "Username and password are required", // to change
	"pwd_gen_link" => "create password", // to change
	"incorrect_login" => "Login lub haslo nieprawidlowe",
	"pwd_explain_text" =>"Insert a word to be used as password and press <b>Crypt it!</b>.", // to change
	"pwd_explain_text_2" =>"Press <b>Register</b> to write it in the below form", // to change
	"pwd_suggest_email_sending"=>"You may want to send yourself a mail to remeber the password", // to change
	"pwd_send_link_text" =>"send mail!", // to change
	"pwd_encrypt_button_text" => "Cript it!", // to change
	"pwd_register_button_text" => "Register password and exit", // to change
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.", // to change
	"warning_you_still_have" => "Warning, you still have just ", // to change
	"attempts_before_account_blocking" => " attempts before your account is blocked." // to change
)
?>
