<?php
/*
Plugin Name: DaDaBIK_wrapper
Version: 1.3
Author: Eugenio Tacchini
Author URI: http://www.dadabik.org
License: GPL2
*/
?>
<?php
/*
License information: While this plugin is distributed under the GPL2 license, the software DaDaBIK is not, for information about the DaDaBIK license, see DaDaBIK's documentation. 
*/
?>
<?php
add_shortcode('dadabik_wrapper', 'dadabik_wrapper_func');
add_action('plugins_loaded','set_user_session');
add_action('wp_enqueue_scripts', 'dadabik_enqueue_script');

// secret_key and session_name: these parameters must be the same as the one you set in the DaDaBIK application you want to embed in this Wordpress installation (see DaDaBIK's config.php for further details)
$secret_key = '';
$dadabik_session_name = '';

if ($secret_key === '' or is_null($secret_key) or $dadabik_session_name === '' or is_null($dadabik_session_name)) die('secret key or session name not set');

function set_user_session(){
	global $secret_key, $dadabik_session_name;
	$temp = wp_get_current_user();
	
	
	session_name($dadabik_session_name);
	session_start();
	
	if (isset($temp->user_login)){
	
		$_SESSION['wordpress_user'] = $temp->user_login;
		$_SESSION['wordpress_secret'] = md5($_SESSION['wordpress_user'].$secret_key);
	}
	else{
		unset($_SESSION['wordpress_user']); 
		unset($_SESSION['wordpress_secret']);
	}
}
function dadabik_wrapper_func($atts){
	return '<iframe frameborder="0" src="'.$atts['url'].'" width="100%" height="800"  id="dadabik_iframe" style="border:0;overflow-y:auto;"></iframe>';
}
function dadabik_enqueue_script(){
    wp_register_script('dadabik_wrapper_js', plugins_url('dadabik_wrapper_js.js', __FILE__)); 
	wp_enqueue_script('jquery'); 
	wp_enqueue_script('dadabik_wrapper_js'); 
}
?>