<?php
/*
This is an example of custom PHP page. You are free to use your own PHP code. To avoid conflits with the DaDaBIK engine, you must JUST use variable names starting with the prefix _cp_ (custom pages), for example:

1) If in your code you need a variable $test name the variables $_cp_test instead.
2) If in your code you need a session variable $_SESSION['test'] name it $_SESSION['_cp_test'] instead

The same rule applies to $_POST, $_GET and $_COOKIES so if you create a form that posts values using POST, a field first_name must be named _cp_first_name instead and the value will be then available in $_POST['_cp_first_name']

YOU ARE RESPONSIBLE of following the above rules if you want to avoid conflicts and unexpected behaviours by the DaDaBIK engine, currently there isn't any check on the variable names you use. Also, please make sure that your database field names don't start with _cp_, because this could also lead to conflict.

You can, however, READ all the DaDaBIK variables you can access in your scope, in particular you will find useful the following ones:
$_SESSION['logged_user_infos_ar']["id_user"] -> the ID of the logged user
$_SESSION['logged_user_infos_ar']["username_user"] -> the username of the logged user
$_SESSION['logged_user_infos_ar']["id_group"] -> the group ID of the logged user


$conn -> the PDO connection link with the Database

All your custom pages need to start with the following line:

if(!defined('custom_page_from_inclusion')) { die(); }

this prevents your page from being called directly, bypassing the DaDaBIK authentication system


*/ 

// don't delete this line, this must be the first line of your code
if(!defined('custom_page_from_inclusion')) { die(); }


echo 'Test';


?>