<?php
/*
***********************************************************************************
DaDaBIK (DaDaBIK is a DataBase Interfaces Kreator) https://dadabik.com/
Copyright (C) 2001-2017  Eugenio Tacchini

This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<!DOCTYPE html>
<!--[if lte IE 9]>
<html class="lte-ie9"<![endif]-->
<!--[if gt IE 9]><!-->
<html

<?php

switch($grid_layout_scrolling)
{
	case 'site_overflow':
		echo ' class="site-overflow "';
		break;
	case 'grid_overflow':
		echo ' class="grid-overflow "';
		break;
}

?>
><!--<![endif]-->
<head>
<title>DaDaBIK database front-end - dadabik.com</title>
<link rel="stylesheet" href="css/normalize.css" type="text/css" media="screen">
<?php if ($page_name === 'main' || $page_name === 'login'){ ?>
<link rel="stylesheet" href="css/styles_screen.css" type="text/css">

<?php if ($menu_type === 'drop_down_menu'){ ?>
<link rel="stylesheet" href="css/styles_screen_drop_down_menu.css" type="text/css">
<?php } ?>
<!--<link rel="stylesheet" href="css/styles_screen.css?c=<?php echo rand(1,1000); ?>" type="text/css" media="print">
<link rel="stylesheet" href="css/styles_print.css" type="text/css" media="print">-->
<?php } else{ ?>
<link rel="stylesheet" href="css/styles_screen_old.css" type="text/css" media="screen">
<?php } ?>


<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="Generator" content="DaDaBIK 8.2 Lerici - http://dadabik.com/">
<meta name="viewport" content="initial-scale=1.0"/>
<script language="javascript" type="text/javascript" src="include/tinymce/tinymce.min.js"></script>
  
<script src="include/jquery/jquery-1.9.1.min.js"></script>

<script src="include/jquery/jquery-ui-1.12.1/jquery-ui.min.js"></script>
<link rel="stylesheet" href="include/jquery/jquery-ui-1.12.1/jquery-ui.min.css" type="text/css" media="screen">
<!--
<script src="include/date_picker/jquery-ui-1.10.1.custom.min.js"></script>
<link rel="stylesheet" href="css/jquery-ui-1.10.1.custom.min.css" type="text/css" media="screen">
-->
<script src="include/date_picker/jquery-ui-timepicker-addon.js"></script>
<link rel="stylesheet" href="css/jquery-ui-timepicker-addon.css" type="text/css" media="screen">


<link rel="stylesheet" href="css/fontawesome.css">
<link rel="stylesheet" href="css/bootstrap.css">

<!-- chosen -->
<!--<link rel="stylesheet" href="css/chosen/chosen.css">
<script src="include/chosen/chosen.jquery.min.js" type="text/javascript"></script>-->

<!-- select2 -->
<link href="css/select2/select2.min.css" rel="stylesheet" />
<script src="include/select2/select2.min.js"></script>
  



<?php
if ($page_name === 'main' || $page_name === 'login'){
	switch($graphic_theme)
	{
		case 'black':
			echo '<link rel="stylesheet" href="css/theme_black.css">';
			break;
		case 'green':
			echo '<link rel="stylesheet" href="css/theme_green.css">';
			break;
		case 'blue':
			echo '<link rel="stylesheet" href="css/theme_blue.css">';
			break;
	}
}
?>


<script language="javascript" type="text/javascript">
tinyMCE.init({
	mode : "specific_textareas",
	editor_selector : "rich_editor",
	plugins: [
		"advlist autolink lists link image charmap print preview anchor",
		"searchreplace visualblocks code fullscreen",
		"insertdatetime media table contextmenu paste"
	]
});
</script>

<script>
function uncheck_other_homepage_checkboxes(index){

	if ( $("#is_homepage_static_page_"+index).is(':checked') === true ){
		for (i=1;i<=Number($("#number_items").val());i++){
			if ( i != index){
				$("#is_homepage_static_page_"+i).prop('checked', false);
			}
		}
	}
}
function enable_disable_loader(action)
{
	if (action === 'enable'){
		 $("body").addClass("loading"); 
	}
	else if(action === 'disable'){
		 $("body").removeClass("loading"); 
	}
}

function remove_showing_confirmation_message_class()
{
	 $("body").removeClass("showing_confirmation_message");
}





$(document).ready(function() {


$(function () {
	$('li.has-sub-menu > a').on("click", function (e) {
		e.preventDefault();
		var $listItem = $(this).parents("li:first");
		$listItem.toggleClass("sub-menu-opened");
		$listItem.toggleClass("selected");
	});

	$('[data-mobile-menu-toggle]').on("click", function () {
		$('.main-menu-container').toggleClass("menu-mobile-opened");
	});
});
		
   
//$("#menu").eosMenu();

//$( ".eos-item-selected" ).css('display', 'none');

<?php if (isset($_POST['name_view']) && isset($_POST['sql_create_view']) ){ // display the create view form if the fields are set (i.e. if we are displaying the page after a post with ) ?>
	$("#create_new_view_form").css('display', 'block');	 
<?php } ?>
	
	$('#confirmation_message_container').on('click', '#error_message_close_link', function (e) {
		$("#error_message").css('display', 'none');
		e.preventDefault()
	});
	$('#confirmation_message_container').on('click', '#confirmation_message_close_link', function (e) {
		$("#confirmation_message").css('display', 'none');
		e.preventDefault()
	});
	$('#confirmation_message_container').on('click', '#alert_message_close_link', function (e) {
		$("#alert_message").css('display', 'none');
		e.preventDefault()
	});
	
	// adjust diabled attribute for template_table when the page is loaded
	if ($('#enable_template_table_checkbox').is(':checked')){
		$('#template_table').prop('disabled', false);
	}
	else{
		$('#template_table').prop('disabled', true);
		
	}
	
	// adjust it again when the user click on the enable checkbox
	$("#enable_template_table_checkbox").click(function(e) {
	
		if ($('#enable_template_table_checkbox').is(':checked')){
			$('#template_table').prop('disabled', false);
		}
		else{
			$('#template_table').prop('disabled', true);
			
		}
	});
	
	/*$("#date_function").on('change', function() {
		alert(0);
		show_hide_date_functions_select();
	});*/
	
<?php if ($page_name === 'interface_configurator'){ ?>
	//refresh_internal_table_lookup_fields($("#primary_key_table_field").val());
	
	$("#add_linked_field_link").click(function(e) {
		
		// increment the hidden number_linked_fields and add a new listbox
		
		var current_number_linked_fields = Number($("#number_linked_fields").val());
		
		var field_position = $("#field_position").val(); // from hidden field that stores the value of the field_position in the table (0, 1, 2, ...)
		
		// get the value of the last linked fields listbox (we need it to copy and paste it)
		var last_linked_fields_select_content = $("#linked_fields_field_"+ (current_number_linked_fields-1)).html();
		
		// increment the hidden number_linked_fields
		$("#number_linked_fields").val( current_number_linked_fields+1  );
		
		// paste the copied listbox
		$("#linked_fields_field_container").append(' <select id="linked_fields_field_'+current_number_linked_fields+'" name="linked_fields_field_'+field_position+'_'+current_number_linked_fields+'" >'+last_linked_fields_select_content+'</select>');
		
		
		
		e.preventDefault();
	});
	
	$("#remove_linked_field_link").click(function(e) {
	
		
		// decrement the hidden number_linked_fields and remove the last linked fields listbox
		
		var current_number_linked_fields = Number($("#number_linked_fields").val());
		
		if (current_number_linked_fields !== 1){
		
			var field_position = $("#field_position").val(); // from hidden field that stores the value of the field_position in the table (0, 1, 2, ...)
		
			// remove the last linked fields listbox
			$("#linked_fields_field_"+ (current_number_linked_fields-1)).remove();
		
			// decrement the hidden number_linked_fields 
			$("#number_linked_fields").val( current_number_linked_fields-1  );
		
		}
		
		e.preventDefault();
	});
	
	$("#add_master_details").click(function(e) {
		
		// increment the hidden number_master_details and add a new listbox
		
		var current_number_master_details = Number($("#number_master_details").val());
		
		var field_position = $("#field_position").val(); // from hidden field that stores the value of the field_position in the table (0, 1, 2, ...)
		
		
		// get the value of the last listboxes (we need it to copy and paste it)
		var last_items_table_fk_field_names_select_content = $("#items_table_fk_field_names_field_"+ (current_number_master_details-1)).html();
		var last_items_table_names_field_select_content = $("#items_table_names_field_"+ (current_number_master_details-1)).html();
		
		// increment the hidden number_master_details
		$("#number_master_details").val( current_number_master_details+1  );
		
		// paste the copied listbox
		$("#items_table_fk_field_names_field_container").append(' <select id="items_table_fk_field_names_field_'+current_number_master_details+'" name="items_table_fk_field_names_field_'+field_position+'_'+current_number_master_details+'" >'+last_items_table_fk_field_names_select_content+'</select>');
			
		$("#items_table_names_field_container").append(' <select id="items_table_names_field_'+current_number_master_details+'" name="items_table_names_field_'+field_position+'_'+current_number_master_details+'"  onchange="refresh_items_table_fk_field_names(this.value, '+current_number_master_details+')">'+last_items_table_names_field_select_content+'</select>');
		
		var items_table_names_field_width = ($('#items_table_names_field_'+current_number_master_details).css("width"));
		
		$('#items_table_fk_field_names_field_'+current_number_master_details).css("width", items_table_names_field_width);

		
		e.preventDefault();
	});
	
	$("#remove_master_details").click(function(e) {
	
		
		// decrement the hidden number_master_details and remove the last linked fields listbox
		
		var current_number_master_details = Number($("#number_master_details").val());
		
		if (current_number_master_details !== 1){
		
			var field_position = $("#field_position").val(); // from hidden field that stores the value of the field_position in the table (0, 1, 2, ...)
		
			// remove the last listbox
			$("#items_table_fk_field_names_field_"+ (current_number_master_details-1)).remove();
			$("#items_table_names_field_"+ (current_number_master_details-1)).remove();
		
			// decrement the hidden number_master_details 
			$("#number_master_details").val( current_number_master_details-1  );
		
		}
		
		e.preventDefault();
	});
	
	
	
<?php } ?>
	
	$("#craete_new_view_link").click(function(e) {
		
		if ($("#create_new_view_form").css('display') === 'block'){
			$("#create_new_view_form").css('display', 'none');
		}
		else{
			$("#create_new_view_form").css('display', 'block');

		}
		e.preventDefault();
	});
	

	$("#include_tables_form").submit(function(e) {
	
		
		var field_names_to_update = [];
		var field_values_to_update  = [];
		var where_values  = [];
		
		enable_disable_loader('enable');
		
		var number_items = $('#number_items').val();
		
		var pages_to_show = $('#pages_to_show').val()
		
		var error = '';
		
		if (pages_to_show === 'custom_pages'){
		
			var tablename_to_update = '<?php echo $prefix_internal_table.'static_pages'; ?>';
			
			for (i=0;i<number_items;i++){
				field_names_to_update[i] = [];
				field_values_to_update[i] = [];
				field_names_to_update[i][0] = 'link_static_page';
				field_values_to_update[i][0] =  $('#link_static_page_'+(i+1)).val();
				
				field_names_to_update[i][1] = 'enabled_static_page';
				if ($('#enabled_static_page_'+(i+1)).is(':checked')){
					field_values_to_update[i][1] =  '1';
				}
				else{
					field_values_to_update[i][1] =  '0';
				}
				
				field_names_to_update[i][2] = 'file_static_page';
				field_values_to_update[i][2] =  $('#file_static_page_'+(i+1)).val();
			
				field_names_to_update[i][3] = 'content_static_page';
				field_values_to_update[i][3] = tinyMCE.get('content_static_page_'+(i+1)).getContent();
							
				field_names_to_update[i][4] = 'menu_parent_page';
				field_values_to_update[i][4] =  $('#menu_parent_page_'+(i+1)).val();
			
				field_names_to_update[i][5] = 'is_homepage_static_page';
			
				if ($('#is_homepage_static_page_'+(i+1)).is(':checked')){
					field_values_to_update[i][5] =  'y';
				}
				else{
					field_values_to_update[i][5] =  'n';
				}
				
				field_names_to_update[i][6] = 'type_static_page';
				field_values_to_update[i][6] =  $('#type_static_page_'+(i+1)).val();
							
				field_names_to_update[i][7] = 'menu_order_static_page';
				field_values_to_update[i][7] =  $('#menu_order_static_page_'+(i+1)).val();
							
				field_names_to_update[i][8] = 'href_link_static_page';
				field_values_to_update[i][8] =  $('#href_link_static_page_'+(i+1)).val();
				
				field_names_to_update[i][9] = 'separator_before_static_page';
				if ($('#separator_before_static_page_'+(i+1)).is(':checked')){
					field_values_to_update[i][9] =  'y';
				}
				else{
					field_values_to_update[i][9] =  'n';
				}

<?php
?>
				if (field_values_to_update[i][6] === 'PHP') {
					error = 'The PHP type is available only with DaDaBIK ENTERPISE.';
					break;
				}
				else if (field_values_to_update[i][6] === 'html' &&  field_values_to_update[i][3] === '') {
					error = 'If you choose HTML as <i>type</i>, you need to specify the HTML content as well.';
					break;
				}
<?php
?>

<?php
?>

				
				
				
				where_values[i] = $('#id_static_page_'+(i+1)).val();
			}
		}
		else{
			var tablename_to_update =  '<?php echo $table_list_name; ?>';

			for (i=0;i<number_items;i++){
				field_names_to_update[i] = [];
				field_values_to_update[i] = [];
				field_names_to_update[i][0] = 'alias_table';
				field_values_to_update[i][0] =  $('#alias_table_'+(i+1)).val();
			
				field_names_to_update[i][1] = 'pk_field_table';
				field_values_to_update[i][1] =  $('#pk_field_table_'+(i+1)).val();
			
				field_names_to_update[i][2] = 'menu_parent_table';
				field_values_to_update[i][2] =  $('#menu_parent_table_'+(i+1)).val();
			
				field_names_to_update[i][3] = 'allowed_table';
			
				if ($('#allowed_table_'+(i+1)).is(':checked')){
					field_values_to_update[i][3] =  '1';
				}
				else{
					field_values_to_update[i][3] =  '0';
				}
			
				field_names_to_update[i][4] = 'menu_order_table';
				field_values_to_update[i][4] =  $('#menu_order_table_'+(i+1)).val();
				
				field_names_to_update[i][5] = 'separator_before_table';
				if ($('#separator_before_table_'+(i+1)).is(':checked')){
					field_values_to_update[i][5] =  'y';
				}
				else{
					field_values_to_update[i][5] =  'n';
				}
			
				where_values[i] = $('#name_table_'+(i+1)).val();
			}
		}
		if (error !== ''){
			 window.scrollTo(0,0);
			 $('#confirmation_message_container').html('<div class="msg_error" id="error_message"><p>'+error+'<br/><br/><a href="javascript:{}" id="error_message_close_link">Ok, close</a></p></div>');
			 enable_disable_loader('disable');
		}
		else{
			$('#confirmation_message_container').html('');
			$.ajax({
				url: "api.php?function=update_records",
		
				data: ({
				where_values: where_values,
				field_names_to_update: field_names_to_update,
				field_values_to_update: field_values_to_update,
				tablename_to_update : tablename_to_update,
	
				} ),
			
				type: "POST",
				dataType: "json",
				success: function(data){
			
					enable_disable_loader('disable');
	
					if (data.status === 'ok'){
						if (data.result !== 'done'){
							alert('unexpected error include_tables_form.submit - ' + data.result+ ' - '+data.error_message);
						}
						else{
							 $("body").addClass("showing_confirmation_message");
							 window.setTimeout( remove_showing_confirmation_message_class, 1000); 
						}
					}
					else{
						alert('unexpected error include_tables_form.submit status not OK');
					}
				},
				error: function(data, status, e){
					enable_disable_loader('disable');
					alert('unexpected error include_tables_form.submit ajax error'+JSON.stringify(data));
				}
			});
		}

		e.preventDefault(); // avoid to execute the actual submit of the form.
	});


// modreq
<?php if ($page_name === 'main' && isset($function) && ($function == 'insert' || $function == 'show_insert_form' || $function == 'edit' || $function == 'update')){ ?>
	function set_required(){
		var c_temp = 0;
		var field_names = [];
		var field_values = [];
		$('#dadabik_main_form *').filter(':input').each(function(key, value){
			var name = this.name;
			
			if (name != ''){
				field_names[c_temp]=name;
				field_values[c_temp]=this.value;
				c_temp = c_temp+1;
			}
		});
	
		$.ajax({
			url: "index.php?function=get_required_fields&tablename=<?php echo $table_name; ?>&api_call=1",
			data: ({
			
			current_function: '<?php echo $function; ?>',
			field_names: field_names,
			field_values: field_values,
			
			} ),
			type: "POST",
			dataType: "json",
			success: function(data){
				if (data.status === 'ok'){
				
					$.each(data.fields, function(key, val) {
						if (val == 1){
							$('#'+key+'_req').html('*');
						}
						else{
							$('#'+key+'_req').html('');
						}

					})
					
				}
				else{
					alert('unexpected error function get_required_fields code 1');
				}
			},
			error: function(data, status, e){
				//alert('unexpected error function get_required_fields code 2');
			}
		});
	}


	function set_calculated_field_values(){
		var c_temp = 0;
		var field_names = [];
		var field_values = [];
		$('#dadabik_main_form *').filter(':input').each(function(key, value){
			var name = this.name;
			
			if (name != ''){
				field_names[c_temp]=name;
				field_values[c_temp]=this.value;
				c_temp = c_temp+1;
			}
		});
	
		$.ajax({
			url: "index.php?function=get_calculated_field_values&tablename=<?php echo $table_name; ?>&api_call=1",
			data: ({
			
			current_function: '<?php echo $function; ?>',
			field_names: field_names,
			field_values: field_values,
			
			} ),
			type: "POST",
			dataType: "json",
			success: function(data){
				if (data.status === 'ok'){
				
					$.each(data.fields, function(key, val) {
						$("[name='"+key+"']").val(val);
					})
					
				}
				else{
					alert('unexpected error function get_calculated_field_values code 1');
				}
			},
			error: function(data, status, e){
				//alert('unexpected error function get_calculated_field_values code 2');
			}
		});
	}


<?php if ($table_needs_ajax_required_check === 1){ ?>
	set_required();
	$('#dadabik_main_form').change(function() {
		set_required();
	});
<?php } ?>

<?php
?>




<?php } ?>
// fine modreq

     $('input[id^="date_picker"]').datepicker({
     yearRange: '<?php echo $start_year; ?>:<?php echo $end_year; ?>',
    dateFormat: 'yy-mm-dd',
    changeMonth: true,
     changeYear: true
});

     $('input[id^="date_time_picker"]').datetimepicker({
    dateFormat: 'yy-mm-dd',
     yearRange: '<?php echo $start_year; ?>:<?php echo $end_year; ?>',
    changeMonth: true,
     changeYear: true,
	showSecond: true,
	timeFormat: 'HH:mm:ss'
});
     
});
</script>

<script language="Javascript">
function show_admin_help_old(title, content)
{
    if (document.all) {
        topoffset=document.body.scrollTop;
        leftoffset=document.body.scrollLeft;
        WIDTH=document.body.clientWidth;
        HEIGHT=document.body.clientHeight;
    } else {
        topoffset=pageYOffset;
        leftoffset=pageXOffset;
        WIDTH=window.innerWidth;
        HEIGHT=window.innerHeight;
    }

    newtop=((HEIGHT-200)/2)+topoffset;
    
    if (document.all) {
        newleft=150;
    } else {
        newleft=((WIDTH-400)/2)+leftoffset;
    }

    document.getElementById('div_help').style.left=newleft;
    document.getElementById('div_help').style.top=newtop;

    document.getElementById('div_help_content_title').innerHTML = '<div align="right""><a href="javascript:hide_help();" style="text-decoration:none;color:#ff7700">[X]&nbsp;&nbsp;&nbsp;</a></div>'+title;
    document.getElementById('div_help_content_text').innerHTML = content;
    document.getElementById('div_help').style.display = 'block';
}


function show_admin_help(title, content)
{
	document.getElementById('dialog').innerHTML = content;
	
	
	$( "#dialog" ).dialog({
	  width: 500,
	  modal: true
	});
    
    $('#dialog').dialog('option', 'title', title);
}


function hide_help()
{
    document.getElementById('div_help').style.display = 'none';
    document.getElementById('div_help_content_title').innerHTML = "";
    document.getElementById('div_help_content_text').innerHTML = "";
}

function show_frontend_help(title, content)
{
    if (document.all) {
        topoffset=document.body.scrollTop;
        leftoffset=document.body.scrollLeft;
        WIDTH=document.body.clientWidth;
        HEIGHT=document.body.clientHeight;
    } else {
        topoffset=pageYOffset;
        leftoffset=pageXOffset;
        WIDTH=window.innerWidth;
        HEIGHT=window.innerHeight;
    }

    newtop=((HEIGHT-200)/2)+topoffset;
    
    if (document.all) {
        newleft=150;
    } else {
        newleft=((WIDTH-400)/2)+leftoffset;
    }

    document.getElementById('div_help_frontend').style.left=newleft;
    document.getElementById('div_help_frontend').style.top=newtop;

    document.getElementById('div_help_frontend_content_title').innerHTML = '<div align="right""><a href="javascript:hide_frontend_help();" style="text-decoration:none;color:#ff7700">[X]&nbsp;&nbsp;&nbsp;</a></div>'+title;
    document.getElementById('div_help_frontend_content_text').innerHTML = content;
    document.getElementById('div_help_frontend').style.display = 'block';
}

function hide_frontend_help()
{
    document.getElementById('div_help_frontend').style.display = 'none';
    document.getElementById('div_help_frontend_content_title').innerHTML = "";
    document.getElementById('div_help_frontend_content_text').innerHTML = "";
}

function show_template_instructions(title)
{
	$("#dialog").load('include/forms/template_help_content.html').dialog({ width: 500,modal:true}); 
    $('#dialog').dialog('option', 'title', title);
}

/*
function show_template_instructions_old(title)
{
    if (document.all) {
        topoffset=document.body.scrollTop;
        leftoffset=document.body.scrollLeft;
        WIDTH=document.body.clientWidth;
        HEIGHT=document.body.clientHeight;
    } else {
        topoffset=pageYOffset;
        leftoffset=pageXOffset;
        WIDTH=window.innerWidth;
        HEIGHT=window.innerHeight;
    }

    newtop=((HEIGHT-200)/2)+topoffset;
    
    if (document.all) {
        newleft=150;
    } else {
        newleft=((WIDTH-400)/2)+leftoffset;
    }

    document.getElementById('div_template_instructions').style.left=newleft;
    document.getElementById('div_template_instructions').style.top=newtop;

    document.getElementById('div_template_instructions_content_title').innerHTML = '<div align="right"><a href="javascript:hide_template_instructions();" style="text-decoration:none;color:#ff7700">[X]&nbsp;&nbsp;&nbsp;</a></div>'+title;
    document.getElementById('div_template_instructions_content_text').style.display = 'block';
    document.getElementById('div_template_instructions').style.display = 'block';
}

function hide_template_instructions_old()
{
    document.getElementById('div_template_instructions').style.display = 'none';
    //document.getElementById('div_template_instructions_content_title').innerHTML = "";
    //document.getElementById('div_template_instructions_content_text').innerHTML = "";
}
*/

function show_hide_date_functions_select(){

	var type=$('option:selected', $('#group_by_field')).attr('field_type');
	
	
	if ( type == 'date' || type == 'date_time' || type == 'update_date_time' || type == 'insert_date_time'){
		$('#date_functions_container').css('display', 'inline-block');
	}
	else {
		$('#date_functions_container').css('display', 'none')
	};

}


</script>

<?php if ($page_name === 'interface_configurator'){ ?>
<script language="Javascript" src="include/hide_show_interface_configurator_fields.js"></script>
<?php } ?>


<script language="Javascript">
//opens a js popup with customizable options. Popup will close and open
//again upon call from pwd-generator link
var mywindow;
function generic_js_popup(url,name,w,h){
	if (mywindow!=null && !mywindow.closed){
	mywindow.close();
	}
var options;
options = "resizable=yes,toolbar=0,status=1,menubar=0,scrollbars=yes, width=" + w + ",height=" + h + ",left="+(screen.width-w)/2+",top="+(screen.height-h)/6; 
mywindow = window.open(url,name,options);
mywindow.focus();
}

function enable_disable_input_box_insert_edit_form(null_checkbox_prefix, year_field_suffix, month_field_suffix, day_field_suffix, hours_field_suffix, minutes_field_suffix, seconds_field_suffix)
// goal: set the status (disabled|enabled) of each input element of the insert|edit form, depending on the status (checked|not checked) of the corresponding null value checkbox (if it exists)
// input: null_checkbox_prefix, year_field_suffix, month_field_suffix, day_field_suffix
{
	var count = document.getElementById('dadabik_main_form').length;
	var null_checkbox_prefix_length = null_checkbox_prefix.length;

	// for each element of the form
	for (i=0;i<count;i++)
	{
		// if the element is a null value checkbox element
		if (document.getElementById('dadabik_main_form').elements[i].name.substr(0,null_checkbox_prefix_length) == null_checkbox_prefix && document.getElementById('dadabik_main_form').elements[i].disabled === false){
		
			// check if the field is a datetime field type

			var hours_field_name = document.getElementById('dadabik_main_form').elements[i].name.substr(null_checkbox_prefix_length) + hours_field_suffix;
				
			var b = new Array;
			b = document.getElementsByName(hours_field_name);

			// check if the field is a date field type

			var year_field_name = document.getElementById('dadabik_main_form').elements[i].name.substr(null_checkbox_prefix_length) + year_field_suffix;
				
			var a = new Array;
			a = document.getElementsByName(year_field_name);
			
			var field_type_is_date = 0;
			var field_type_is_date_time = 0;
			

			if (b[0]){ // if the relative hours field exists
				field_type_is_date_time = 1;
			} // end if
			else if (a[0]){ // if the relative year field exists
				field_type_is_date = 1;
			} // end if
			

			if (field_type_is_date == 1 || field_type_is_date_time == 1){
				// get the name of the relative input controls

				var month_field_name = document.getElementById('dadabik_main_form').elements[i].name.substr(null_checkbox_prefix_length) + month_field_suffix;

				var day_field_name = document.getElementById('dadabik_main_form').elements[i].name.substr(null_checkbox_prefix_length) + day_field_suffix;
				
				if (field_type_is_date_time == 1){

					var minutes_field_name = document.getElementById('dadabik_main_form').elements[i].name.substr(null_checkbox_prefix_length) + minutes_field_suffix;

					var seconds_field_name = document.getElementById('dadabik_main_form').elements[i].name.substr(null_checkbox_prefix_length) + seconds_field_suffix;
				}

				// and set the relative input controls enabled/disabled depending on the null value checkbox status (checked|not checked)
				var a = new Array;
				a = document.getElementsByName(year_field_name);
				
				var b = new Array;
				b = document.getElementsByName(month_field_name);

				var c = new Array;
				c = document.getElementsByName(day_field_name);
				
				if (field_type_is_date_time == 1){
				
				var d = new Array;
				d = document.getElementsByName(hours_field_name);
				
				var e = new Array;
				e = document.getElementsByName(minutes_field_name);

				var f = new Array;
				f = document.getElementsByName(seconds_field_name);
				
				}
				

				if (document.getElementById('dadabik_main_form').elements[i].checked == true){
					a[0].disabled = true;
					b[0].disabled = true;
					c[0].disabled = true;
					
					if (field_type_is_date_time == 1){
					
						d[0].disabled = true;
						e[0].disabled = true;
						f[0].disabled = true;
					
					}


				} // end if
				else{
					a[0].disabled = false;
					b[0].disabled = false;
					c[0].disabled = false;
					
					if (field_type_is_date_time == 1){
						d[0].disabled = false;
						e[0].disabled = false;
						f[0].disabled = false;
					
					}

				} // end else
			} // end if
			else {
				// get the name of the relative input control
				var field_name = document.getElementById('dadabik_main_form').elements[i].name.substr(null_checkbox_prefix_length);

				// and set the relative input control enabled/disabled depending on the null value checkbox status (checked|not checked)
				var a = new Array;
				a = document.getElementsByName(field_name);

				if (document.getElementById('dadabik_main_form').elements[i].checked == true){
					a[0].disabled = true;
				} // end if
				else{
					a[0].disabled = false;
				} // end else
			} // end else
		} // end if
	} // end for
} // end function

<?php if ($page_name === 'main' && isset($function) && ($function == 'insert' || $function == 'show_insert_form' || $function == 'edit' || $function == 'update')){ ?>

function refresh_cascade_children(field_name, field_value, _POST_2, details_row, form_type, disabled_attribute, set_field_default_value, default_value_field_name, default_value, show_edit_form_after_error, show_insert_form_after_error, user_group_name)
// goal: when a select_single field is changed, change all the select_* fields who depends on it in cascade
{
	
	enable_disable_loader('enable');
	$.ajax({
		url: "index.php?function=get_cascade_children<?php if (isset($master_table_name)){ echo "&master_table_name=".urlencode($master_table_name); } ?>&tablename=<?php echo $table_name; ?>&api_call=1",
		data: ({
		
		current_function: '<?php echo $function; ?>',
		field_name: field_name,
		field_value: field_value,
		_POST_2:  _POST_2,
		details_row: details_row,
		form_type: form_type,
		disabled_attribute: disabled_attribute,
		set_field_default_value: set_field_default_value,
		default_value_field_name: default_value_field_name,
		default_value: default_value,
		show_edit_form_after_error: show_edit_form_after_error,
		show_insert_form_after_error: show_insert_form_after_error,
		user_group_name: user_group_name,
		} ),
		type: "POST",
		dataType: "json",
		success: function(data){
		
			if (data.status === 'ok'){
				$.each(data.fields, function(key, val) {
				
					if (val == 'reset_all'){ // child of a changed child, just remove all the options
						
						var x = document.getElementsByName(key);
						var length = x[0].length;
						
						if ( length > 0) {
						
							for (i=length;i>0;i--){
								x[0].remove(i);
							}
						}
					}
					else{
						$('#'+key).html(val);
					}
					/*
					$("#"+key).chosen("destroy");
					$(".searchable_select").chosen({allow_single_deselect:true});
					*/
					//$("#"+key).select2("destroy");
					//$(".searchable_select").select2({});
					
					//$('select[name="'+key+'"]').select2("destroy");
					$('select[name="'+key+'"]').select2({dropdownAutoWidth : 'true',width: 'auto',minimumInputLength: <?php echo $ajax_dropdown_minimum_input_length; ?>});

				})
				enable_disable_loader('disable');
				
			}
			else{
				enable_disable_loader('disable');
				alert('unexpected error function refresh_cascade_children code 1');
			}
		},
		error: function(data, status, e){
			enable_disable_loader('disable');
			alert('unexpected error function refresh_cascade_children code 2');
		}
	});
}
<?php } ?>

<?php if ($page_name === 'interface_configurator'){ ?>

function refresh_items_table_fk_field_names(table_name, index)
{
	enable_disable_loader('enable');
	var dropdown_list_options = '';
	
	var items_table_names_field_width = ($('#items_table_names_field_'+index).css("width"));
	
	if (table_name === ''){
		
		$('#items_table_fk_field_names_field_'+index).html(dropdown_list_options);
		$('#items_table_fk_field_names_field_'+index).css("width", items_table_names_field_width);
		$('#items_table_fk_field_names_field_'+index).prop( "disabled", true );
		enable_disable_loader('disable');
	}
	else{
		$.ajax({
			url: "admin.php?function=get_table_fields&tablename="+table_name+"&api_call=1",
			data: ({
			} ),
			type: "POST",
			dataType: "json",
			success: function(data){
		
				if (data.status === 'ok'){
					var dropdown_list_options = dropdown_list_options +  '<option value="""></option>';
					$.each(data.fields, function(key, value) {
						dropdown_list_options = dropdown_list_options + '<option value="'+value+'">'+value+'</option>';
					})
				
					$('#items_table_fk_field_names_field_'+index).html(dropdown_list_options);
					$('#items_table_fk_field_names_field_'+index).css("width", items_table_names_field_width);
					$('#items_table_fk_field_names_field_'+index).prop( "disabled", false );
					$('#add_remove_linked_fields_container').css( "display", 'inline' );
					
					enable_disable_loader('disable');
				}
				else{
					enable_disable_loader('disable');
					alert('unexpected error function refresh_items_table_fk_field_names code 1');
				}
			},
			error: function(data, status, e){
				enable_disable_loader('disable');
				alert(JSON.stringify(data));
				alert('unexpected error function refresh_items_table_fk_field_names code 2');
			}
		});
	}
}

function refresh_internal_table_lookup_fields(table_name, lookup_table_name)
// goal: when the primary_key_table_field field is changed in the interface configurator, change all the fields that depends on it in cascad
{
	
	enable_disable_loader('enable');
	var dropdown_list_options = '';
	
	// remove the additional linked fields after the first
	var number_linked_fields = $('#number_linked_fields').val();
	for (i=1;i<number_linked_fields;i++){
		$('#linked_fields_field_'+i).remove();
	}
	
	if (lookup_table_name === ''){
		$('#linked_fields_field_0').html(dropdown_list_options);
		$('#linked_fields_field_0').prop( "disabled", true );
		
		
		
		$('#primary_key_field_field').html(dropdown_list_options);
		$('#primary_key_field_field').prop( "disabled", true );
		
		$('#linked_fields_order_by_field').html(dropdown_list_options);
		$('#linked_fields_order_by_field').prop( "disabled", true );
		$('#add_remove_linked_fields_container').css( "display", 'none' );
		
		$('#linked_fields_order_type_field').prop( "disabled", true );
		$('#where_clause_field').prop( "disabled", true );
		$('#cascade_parent_field').prop( "disabled", true );
		$('#cascade_filter_field').prop( "disabled", true );
		
		
		enable_disable_loader('disable');
	}
	else{
		$.ajax({
			url: "admin.php?function=get_table_fields&tablename="+lookup_table_name+"&api_call=1",
			data: ({
			} ),
			type: "POST",
			dataType: "json",
			success: function(data){
		
				if (data.status === 'ok'){
					var dropdown_list_options = dropdown_list_options +  '<option value="""></option>';
					$.each(data.fields, function(key, value) {
						dropdown_list_options = dropdown_list_options + '<option value="'+value+'">'+value+'</option>';
					})
				
					$('#linked_fields_field_0').html(dropdown_list_options);
					$('#primary_key_field_field').html(dropdown_list_options);
					$('#linked_fields_order_by_field').html(dropdown_list_options);
					$('#cascade_parent_field').html(dropdown_list_options);
					
					$('#linked_fields_field_0').prop( "disabled", false );
					$('#primary_key_field_field').prop( "disabled", false );
					$('#linked_fields_order_by_field').prop( "disabled", false );
					$('#linked_fields_order_type_field').prop( "disabled", false );
					$('#where_clause_field').prop( "disabled", false );
					$('#cascade_parent_field').prop( "disabled", false );
					
					$('#add_remove_linked_fields_container').css( "display", 'inline' );
					
					$.ajax({
						url: "admin.php?function=get_table_fields&tablename="+table_name+"&api_call=1",
						data: ({
						} ),
						type: "POST",
						dataType: "json",
						success: function(data){
		
							if (data.status === 'ok'){
								var dropdown_list_options = dropdown_list_options +  '<option value="""></option>';
								$.each(data.fields, function(key, value) {
									dropdown_list_options = dropdown_list_options + '<option value="'+value+'">'+value+'</option>';
								})
								$('#cascade_filter_field').html(dropdown_list_options);
								$('#cascade_filter_field').prop( "disabled", false );
								
								enable_disable_loader('disable');
							}
							else{
								enable_disable_loader('disable');
								alert('unexpected error function refresh_internal_table_lookup_fields code 3');
							}
						},
						error: function(data, status, e){
							enable_disable_loader('disable');
							alert(JSON.stringify(data));
							alert('unexpected error function refresh_internal_table_lookup_fields code 4');
						}
					});
					
				}
				else{
					enable_disable_loader('disable');
					alert('unexpected error function refresh_internal_table_lookup_fields code 1');
				}
			},
			error: function(data, status, e){
				enable_disable_loader('disable');
				alert(JSON.stringify(data));
				alert('unexpected error function refresh_internal_table_lookup_fields code 2');
			}
		});
	}
}
<?php } ?>

function enable_disable_input_box_search_form(field_name, select_type_select_suffix, year_field_suffix, month_field_suffix, day_field_suffix, hours_field_suffix, minutes_field_suffix, seconds_field_suffix)
// goal: set the status (disabled|enabled) of an input element of the search form, depending on the status of the corresponding select_type_select field
// input: field_name, select_type_select_suffix, year_field_suffix, month_field_suffix, day_field_suffix
{
	
	// check if the field is a date field type

	var year_field_name = field_name + year_field_suffix;
	var hours_field_name = field_name + hours_field_suffix;
	
	// check if the field is a datetime field type
		
	var b = new Array;
	b = document.getElementsByName(hours_field_name);

	// check if the field is a date field type
		
	var a = new Array;
	a = document.getElementsByName(year_field_name);
	
	var field_type_is_date = 0;
	var field_type_is_date_time = 0;
	

	if (b[0]){ // if the relative hours field exists
		field_type_is_date_time = 1;
	} // end if
	else if (a[0]){ // if the relative year field exists
		field_type_is_date = 1;
	} // end if
	

	if (field_type_is_date == 1 || field_type_is_date_time == 1){
		// get the name of the relative input controls

		var month_field_name = field_name + month_field_suffix;

		var day_field_name = field_name + day_field_suffix;
				
		if (field_type_is_date_time == 1){

			var minutes_field_name = field_name + minutes_field_suffix;

			var seconds_field_name = field_name + seconds_field_suffix;
		}

		// and set the relative input controls enabled/disabled depending on the null value checkbox status (checked|not checked)
		var a = new Array;
		a = document.getElementsByName(year_field_name);

		var b = new Array;
		b = document.getElementsByName(month_field_name);

		var c = new Array;
		c = document.getElementsByName(day_field_name);
		
		
				
		if (field_type_is_date_time == 1){
				
				var d = new Array;
				d = document.getElementsByName(hours_field_name);
				
				var e = new Array;
				e = document.getElementsByName(minutes_field_name);

				var f = new Array;
				f = document.getElementsByName(seconds_field_name);
				
		}

		var g = new Array;
		g = document.getElementsByName(field_name+select_type_select_suffix);

		if (g[0].value == 'is_null'){
			a[0].disabled = true;
			b[0].disabled = true;
			c[0].disabled = true;
					
					if (field_type_is_date_time == 1){
					
						d[0].disabled = true;
						e[0].disabled = true;
						f[0].disabled = true;
					
					}
		} // end if
		else{
			a[0].disabled = false;
			b[0].disabled = false;
			c[0].disabled = false;
					
					if (field_type_is_date_time == 1){
					
						d[0].disabled = false;
						e[0].disabled = false;
						f[0].disabled = false;
					
					}
		} // end else
	} // end if
	else{
		// set the relative input control enabled/disabled depending on the null value checkbox status (checked|not checked)
		var a = new Array;
		a = document.getElementsByName(field_name);

		var b = new Array;
		b = document.getElementsByName(field_name+select_type_select_suffix);

		if (b[0].value == 'is_null' || b[0].value == 'is_empty' || b[0].value == 'is_not_null' || b[0].value == 'is_not_empty'){
			a[0].disabled = true;
		} // end if
		else{
			a[0].disabled = false;
		} // end else
	} // end else

} // end function

function getRadioValue(theRadioGroup)
{
    var elements = document.getElementsByName(theRadioGroup);
    for (var i = 0, l = elements.length; i < l; i++)
    {
        if (elements[i].checked)
        {
            return elements[i].value;
        }
    }
}

function show_hide_text_other(field_type)
// goal: show/hide the textbox close to select_single fields according to the "other" field selected or not
{
	
	var other_textbox_div_suffix =  '_other____';
	
	var count = document.getElementById('dadabik_main_form').length;
	var other_textbox_div_suffix_length = other_textbox_div_suffix.length;

	// for each element of the form
	for (i=0;i<count;i++)
	{
		
		
		var field_name_length = document.getElementById('dadabik_main_form').elements[i].name.length;
	
		
	
		// if the field is a other text field
		if (document.getElementById('dadabik_main_form').elements[i].name.substr(field_name_length-other_textbox_div_suffix_length) == other_textbox_div_suffix){
	
		
			// get the name of the relative input control
			var field_name = document.getElementById('dadabik_main_form').elements[i].name.substr(0, field_name_length-other_textbox_div_suffix_length);
		
		
			// and set the relative input control enabled/disabled depending on the null value checkbox status (checked|not checked)
			var a = new Array;
			a = document.getElementsByName(field_name);
			
			
						
						
			var div_name = 'other_textbox_'+field_name;
			
			if (field_type == 'select_single'){
				var value_to_check = a[0].value;
			}
			else if(field_type === 'select_single_radio'){
				var value_to_check = getRadioValue(field_name);
			}
			
			if (value_to_check == '......'){
			
				 //document.getElementById(div_name).style.visibility = 'visible';
				 document.getElementById(div_name).style.display = 'block';
			} // end if
			else{
			
				 //document.getElementById(div_name).style.visibility = 'hidden';
				 document.getElementById(div_name).style.display = 'none';
			}
			
		} // end if
		
	} // end for
} // end function

</script>
<?php
?>

</head>

<body
<?php
if ($page_name === 'main' && ($function === 'insert' || $function === 'edit' || $function === 'update')) {
?>
onload="enable_disable_input_box_insert_edit_form('<?php echo $null_checkbox_prefix.'\', \''.$year_field_suffix.'\', \''.$month_field_suffix.'\', \''.$day_field_suffix.'\', \''.$hours_field_suffix.'\', \''.$minutes_field_suffix.'\', \''.$seconds_field_suffix; ?>');show_hide_text_other()"
<?php
} // end if
if ($page_name === 'interface_configurator') {
?>
onload="hide_show_interface_configurator_fields(document.getElementById('e1'))"
<?php
} // end if
if ($page_name === 'main' && $function === 'generate_report') {
?>
onload="show_hide_date_functions_select();"
<?php
} // end if
?>



>

<div id="dialog" title=""></div>

<div id="div_help" style="width: 600px">
<div id="div_help_content">
<div id="div_help_content_title"></div>
<div id="div_help_content_text"></div>
</div>
</div>

<div id="div_help_frontend" style="width: 600px;z-index: 1">
<div id="div_help_frontend_content">
<div id="div_help_frontend_content_title"></div>
<div id="div_help_frontend_content_text"></div>
</div>
</div>
<?php
if ($page_name === 'main'){
?>
<div class="fixed-header">
	<div class="row">
		<div class="col-xs-8">
			<!--<img class="logo img-responsive" src="images/logo_alpha.png">-->
			
			<?php if (count($languages_ar) > 1){ ?>
			<form method="post" class="css_form" style="margin:auto;"  action="<?php echo $dadabik_main_file; ?>?function=change_language">
			 <div  class="select_element select_element_change_language"  ><select name="language" onchange="this.form.submit()">
			<?php
			foreach ($languages_ar as $value){
				echo '<option value="'.$value.'"';
				if ($language === $value){
					echo ' selected';
				}
				echo '>'.ucfirst($value).'</option>';
			}
			?>
			</select>
			</div>
			</form>
			 <?php } ?>
			
			
		</div>
		
		<div class="col-xs-4 right">
			<a href="#" data-mobile-menu-toggle>
				<i class="fa fa-bars fa-2x"></i>
			</a>
		</div>
	</div>
</div>

<?php if ($enable_authentication === 1){ ?>
<?php if ($show_logout_account_admin_box === 1){ ?>
<div class="fixed-footer">
<?php if ($enable_user_password_modification === 1){ ?>
	<a href="index.php?function=edit_account" class="btn  btn-primary" title="Your account"><i class="fa fa-user"></i> Your account</a>
<?php } ?>

	<a href="login.php?function=logout" title="Logout" class="btn  btn-danger"><i class="fa fa-sign-out"></i> Logout</a>

</div>
<?php } ?>
<?php } ?>

<?php
}
?>

<table  class="main_table">
<tr>
<td class="main_table_td">
<!--<h1 class="onlyscreen" align="center">DaDaBIK</h1>-->


<?php
if ($page_name === 'main' || $page_name === 'admin' || $page_name === 'permissions_manager'  || $page_name === 'interface_configurator' || $page_name === 'install' || $page_name === 'upgrade' || $page_name === 'tables_inclusion' || $page_name === 'db_synchro' || $page_name === 'datagrid_configurator') {
	$class_temp = 'table_interface_container';
}
else{
	$class_temp = 'table_interface_container_login';
}

?>
<table  class="<?php echo $class_temp; ?>" align="center">

<?php
if ($page_name === 'main' || $page_name === 'login') {
	
	
	if ($page_name === 'login'){
		echo '<tr class="table_interface_container_tr_logo_login"><td><img style="max-width: 100%;height: auto;" src="images/logo.png">';
	}
	if ($page_name === 'main'){
		echo '<tr class="table_interface_container_tr_logo"><td><img style="max-width: 100%;height: auto;" src="images/logo.png">';
		if ($enable_authentication === 1){
			if ($show_logout_account_admin_box === 1){
			echo '<div class="app-info pull-right text-center"><div class="user-info">';
			echo '<strong>User:</strong> '.$current_user.' <br> ';
			
			if ($enable_user_password_modification === 1){
				echo ' <a href="index.php?function=edit_account" class="btn btn-xs btn-primary" title="Your account"><i class="fa fa-user" aria-hidden="true"></i> Your account</a>';
			}
			echo ' <a class="btn btn-xs btn-danger" href="'.$site_url.'login.php?function=logout" title="Logout"><i class="fa fa-sign-out" aria-hidden="true"></i> Logout</a><br>';
			
			
			
			echo '</div>';
			
			if ($current_user_is_administrator === 1) {
			
				if (isset($_SESSION['current_admin_page'])){
					$script_name = $_SESSION['current_admin_page'];
				}
				else{
					$script_name = 'admin.php';
				}

			 	echo '<a href="'.$script_name.'?tablename='.urlencode($table_name).'" class="btn btn-xs btn-primary btn-block"><i class="fa fa-edit"></i>EDIT this App</a>';

			} // end if
			echo '</div>';
			}
			
		}
		
		

	}


}
elseif ($page_name === 'admin' || $page_name === 'interface_configurator' || $page_name === 'permissions_manager' || $page_name === 'tables_inclusion' || $page_name === 'db_synchro' || $page_name === 'datagrid_configurator') {
	echo '<tr class="table_interface_container_tr_logo_admin"><td><table width="100%" cellspacing="0" cellpadding="0"><tr><td><img src="images/logo.png">';
	echo '</td><td align="right"> <font size="10">ADMIN AREA</font>&nbsp;<br/>';
	
	
	if ($enable_authentication === 1){

		echo '<strong>User:</strong> '.$current_user.' - <a href="'.$site_url.'login.php?function=logout">Logout</a> - ';
	
	}
	

	echo '<a';
	
	if ($page_name === 'admin' && $function === 'show_help'){
		echo ' class="top_link_admin_selected"';
	}
	
	echo ' href="admin.php?function=show_help&tablename='.urlencode($table_name).'">&nbsp;Help&nbsp;</a> - ';
	
	echo '<a';
	
	if ($page_name === 'admin' && $function === 'show_hotscripts_feedback'){
		echo ' class="top_link_admin_selected"';
	}
	
	
	echo ' href="admin.php?function=show_hotscripts_feedback&tablename='.urlencode($table_name).'">&nbsp;Hotscripts Feedback&nbsp;</a> - ';
	
	
	echo '<a';
	
	if ($page_name === 'admin' && $function === 'show_about'){
		echo ' class="top_link_admin_selected"';
	}
	
	
	echo ' href="admin.php?function=show_about&tablename='.urlencode($table_name).'">&nbsp;About/Check upgrade&nbsp;</a> - <a href="'.$dadabik_main_file.'?function=search&tablename='.urlencode($table_name).'">Exit admin</a>';




	echo '</td></tr></table>';
}
elseif ($page_name === 'install') {
	//echo '<tr class="table_interface_container_tr_logo_admin"><td><tr><td><img src="images/logo.gif">';
	//echo '</td><td align="right"><font size="10">INSTALLATION</font>&nbsp;</td></tr></table>';
	
	echo '<tr class="table_interface_container_tr_logo_admin"><td><table width="100%" cellspacing="0" cellpadding="0"><tr><td><img src="images/logo.png">';
	echo '</td><td align="right"> <font size="10">INSTALLATION</font>&nbsp;<br/>';
	echo '</td></tr></table>';
}
elseif ($page_name === 'upgrade') {
	//echo '<tr class="table_interface_container_tr_logo_admin"><td><tr><td><img src="images/logo.gif">';
	//echo '</td><td align="right"><font size="10">UPGRADE</font>&nbsp;</td></tr></table>';
	
	echo '<tr class="table_interface_container_tr_logo_admin"><td><table width="100%" cellspacing="0" cellpadding="0"><tr><td><img src="images/logo.png">';
	echo '</td><td align="right"> <font size="10">UPGRADE<font>&nbsp;<br/>';
	echo '</td></tr></table>';
}
?>

</td>
</tr>

<?php
if ($page_name === 'login') {
?>

<tr class="table_interface_container_tr_top_menu" >
<td>
	<!--[if !lte IE 9]><!-->
	<table class="table_interface_container_table_top_menu">
	<!--<![endif]-->
	
	<!--[if lte IE 9]>
	<table class="table_interface_container_table_top_menu_ie9">
	<![endif]-->
	
	<tr><td>&nbsp;</td></tr>
	</table>
</td>
</tr>

<?php
}
elseif ($page_name === 'main') {
?>

<tr class="table_interface_container_tr_top_menu" >
<td>
	<!--[if !lte IE 9]><!-->
	<table  class="table_interface_container_table_top_menu" >
	<!--<![endif]-->
	
	<!--[if lte IE 9]>
	<table class="table_interface_container_table_top_menu_ie9">
	<![endif]-->
	
	<tr>
	
	<!--<td><a href="#" class="fa fa-bars fa-lg eos-pull-right" aria-hidden="true"></a></td>-->
	
	<?php
	
	$only_include_allowed = 1;
	$temp_ar = build_installed_table_infos_ar($only_include_allowed, 1);
	$allowed_table_infos_ar = array();

	foreach($temp_ar as $temp_ar_el){
		
		
		if ($enable_granular_permissions === 1 && $enable_authentication === 1){
			if ( user_is_allowed($_SESSION['logged_user_infos_ar'], 'table', $temp_ar_el['name_table'], '1') === 1 || user_is_allowed($_SESSION['logged_user_infos_ar'], 'table', $temp_ar_el['name_table'], '1') === 2 || $temp_ar_el['name_table'] === $users_table_name || $temp_ar_el['name_table'] === $groups_table_name || $temp_ar_el['name_table'] === $prefix_internal_table.'static_pages'){
				$allowed_table_infos_ar[] = $temp_ar_el;
			}
		}
		elseif($enable_granular_permissions === 0 || $enable_authentication === 0){
			
			$enabled_features_ar = build_enabled_features_ar($temp_ar_el['name_table']);
	
			if ($enabled_features_ar['list'] === '1'){
				$allowed_table_infos_ar[] = $temp_ar_el;
			}
		}
		else{
			echo "<p>An error occured";
		} // end else
		
	}
	
	?>
	
	<?php
	
	if (false && $home_available === 1){
	
	?>
	
	<td><a class="home" href="<?php echo $home_url; ?>">&nbsp;&nbsp;<?php echo $normal_messages_ar["home"]; ?>&nbsp;&nbsp;</a>
	
	<?php
	
	}
	
	?>

 
 
 
 
 <?php
if (!isset($is_items_table) || $is_items_table !== 1){ // if it's an item table no insert search show results and show all links

?>

 
 
  <?php
if ($function === 'search'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>
 
 <!--<td ><a class="<?php echo $class_temp; ?>" href="<?php $dadabik_main_file; ?>?function=search&tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo $normal_messages_ar["show_records"]; ?>&nbsp;&nbsp;</a></td>-->
 
 
 
<?php
if ($function === 'show_search_form'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>
 
 <!--</td><td ><a class="<?php echo $class_temp; ?>" href="<?php $dadabik_main_file; ?>?function=show_search_form&tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo $submit_buttons_ar["search_short"]; ?>&nbsp;&nbsp;</td>-->
 
 
<?php
	
 
 
if ($function === 'show_insert_form' || $function === 'insert'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>
<?php
if ($enable_insert == "1"){
?>
	 <!--</td><td ><a class="<?php echo $class_temp; ?>" href="<?php $dadabik_main_file; ?>?function=show_insert_form&tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo $submit_buttons_ar["insert_short"]; ?>&nbsp;&nbsp;</a>-->
<?php
}


foreach ($static_pages_ar as $static_page){
if ($static_page['enabled_static_page'] == 1){
if ($static_page['is_homepage_static_page'] == 'n'){


if ($function === 'show_static_page' && isset($id_static_page) && (int)$id_static_page === (int)$static_page['id_static_page']){
	$class_temp = 'static_pages_menu_active';
}
else{
	$class_temp = 'static_pages_menu';
}

//echo '</td><td ><a class="'.$class_temp.'" href="'.$dadabik_main_file.'?function=show_static_page&id_static_page='.$static_page['id_static_page'].'">&nbsp;&nbsp;'. $static_page['link_static_page'].'&nbsp;&nbsp;</a>';
 
 
}
}
}
?>

 
 
 
 
 
<?php
/*
if ( $table_name === $users_table_name && ($function === 'edit' || $function === 'show_insert_form' || $function === 'insert')){
?>
 </td><td nowrap><a class="bottom_menu" href="javascript:void(generic_js_popup('pwd.php','',600,300))">&nbsp;&nbsp;<?php echo $login_messages_ar['pwd_gen_link']; ?>&nbsp;&nbsp;</a>
 <?php
}
*/
}
?>
<?php

if ($current_user_is_administrator === 1) {


	//echo '</td><td style="width:*"><a class="bottom_menu" href="admin.php">&nbsp;&nbsp;'.$normal_messages_ar["administration"].'&nbsp;&nbsp;</a>';




} // end if
?>
 </td>
 <td style="width:100%">
 <?php
 
if ($menu_type === 'drop_down_menu'){

	echo '<form><select onchange="if (this.value) window.location.href=this.value">';
	
	echo $menu_drop_down;
	
	echo '</select></form>';

}
 ?>
 </td>
 

<?php if (count($languages_ar) > 1){ ?>
<td align="right"><form method="post" class="css_form" style="margin:auto;"  action="<?php echo $dadabik_main_file; ?>?function=change_language">
 <div  class="select_element select_element_change_language"  ><select name="language" onchange="this.form.submit()">
<?php
foreach ($languages_ar as $value){
	echo '<option value="'.$value.'"';
	if ($language === $value){
		echo ' selected';
	}
	echo '>'.ucfirst($value).'</option>';
}
?>
</select>
</div>
</form>
 </td>
 <?php } ?>

 
</tr>
</table>

</td>
</tr>
<?php
}
?>



<?php
// this is just for the admin area
if ($page_name === 'admin' || $page_name === 'interface_configurator' || $page_name === 'permissions_manager' || $page_name === 'tables_inclusion' || $page_name === 'db_synchro' || $page_name === 'datagrid_configurator') {
?>

<tr class="table_interface_container_tr_top_menu_admin_area">
<td>	
	<!--[if !lte IE 9]><!-->
	<table class="table_interface_container_table_top_menu_admin_area">
	<!--<![endif]-->
	
	<!--[if lte IE 9]>
	<table class="table_interface_container_table_top_menu_admin_area_ie9">
	<![endif]-->
	
	<tr>
	
 
  <?php
if ($page_name === 'admin' && $function === 'show_admin_home'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>
 
 <td ><a class="<?php echo $class_temp; ?>" href="admin.php?tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo 'Home'; ?>&nbsp;&nbsp;</a></td>
 
 
    <?php
if ($page_name === 'tables_inclusion'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>
 
 <td ><a class="<?php echo $class_temp; ?>" href="tables_inclusion.php?tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo 'Pages'; ?>&nbsp;&nbsp;</a></td>
 
 

 
    <?php
if ($page_name === 'datagrid_configurator'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>
 
 <td nowrap><a class="<?php echo $class_temp; ?>" href="datagrid_configurator.php?tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo 'Datagrid templates'; ?>&nbsp;&nbsp;</a></td>
 
 
 
   <?php
if ($page_name === 'interface_configurator'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>
 
 <td nowrap ><a class="<?php echo $class_temp; ?>" href="internal_table_manager.php?tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo 'Forms configurator'; ?>&nbsp;&nbsp;</a></td>
 

 
      <?php
if ($page_name === 'permissions_manager'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>

<td ><a class="<?php echo $class_temp; ?>" href="permissions_manager.php?tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo 'Permissions'; ?>&nbsp;&nbsp;</a></td>

    <?php
if ($page_name === 'db_synchro'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>
 
 <td nowrap><a class="<?php echo $class_temp; ?>" href="db_synchro.php?tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo 'DB Synchro'; ?>&nbsp;&nbsp;</a></td>

      <?php
if ($page_name === 'admin' && $function === 'show_users'){
	$class_temp = 'bottom_menu_active';
}
else{
	$class_temp = 'bottom_menu';
}
?>

<td ><a class="<?php echo $class_temp; ?>" href="admin.php?function=show_users&tablename=<?php echo urlencode($table_name); ?>">&nbsp;&nbsp;<?php echo 'Users'; ?>&nbsp;&nbsp;</a></td>
 
 
      
 
<?php




?>
 
 
 
 <td style="width:100%"></td>
</tr>
</table>

</td>
</tr>
<?php
}
?>

<?php
// this is just for the install page
if ($page_name === 'install') {
?>

<tr class="table_interface_container_tr_top_menu_admin_area">
<td>
	<table class="table_interface_container_table_top_menu_admin_area"><tr>
 <td style="width:100%"></td>
</tr>
</table>

</td>
</tr>
<?php
}
?>

<?php
// this is just for the upgrade page
if ($page_name === 'upgrade') {
?>

<tr class="table_interface_container_tr_top_menu_admin_area">
<td>
	<table class="table_interface_container_table_top_menu_admin_area"><tr>
 <td style="width:100%"></td>
</tr>
</table>

</td>
</tr>
<?php
}
?>










<tr>
<td class="table_interface_container_td_content">
<?php
if ($page_name === 'main' || $page_name === 'admin' || $page_name === 'permissions_manager' || $page_name === 'interface_configurator' || $page_name === 'install' || $page_name === 'tables_inclusion' || $page_name === 'db_synchro' || $page_name === 'datagrid_configurator'){
	echo '<table  class="table_interface_container_table_content">';
}
else{ // login
	echo '<table cellpadding="5" class="table_login_form">';
}
?>
<tr>
<?php
if ($page_name === 'main'){
	
	
	//if ($menu_type === 'left_side_menu'){	

	echo '<td class="td_left_menu">';
	echo '<div class="main-menu-container">';
	
	echo $menu_left_side;
	
	echo '</div>';
	echo '</td>';
	//}
}
?>
<td class="td_content" valign="top">
