<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Vložit nový záznam",
	"quick_search"    => "Rych. hledání",
	"search/update/delete" => "Hladat/upravit/vymazat záznamy",
	"insert_short"    => "Vložit",
	"search_short" => "Hledat",
	"insert_anyway"    => "Vložit tak",
	"search"    => "Hledat záznam",
	"update"    => "Uložit",
	"ext_update"    => "Změnit profil",
	"yes"    => "Ano",
	"no"    => "Ne",
	"go_back" => "Zpět",
	"edit" => "Změnit",
	"delete" => "Vymazat",
	"details" => "Detaily",
	"change_table" => "Změnit seznam"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "Nemůžete editovat tento záznam, je uzamčen uživatelem: ", // to change
	"lost_locked_not_safe_update" => "Nemáte uzamčen nebo jste ztratil zámek editovaného záznamu, pokračujte jeho editací.", // to change
	"insert_item" => "Vožit položku",
	"show_all_records" => "Zobrazit všechny záznamy",
	"show_records" => "Zobrazit položky",
	"remove_search_filter" => "smazat filtry hledání",
	"logout" => "Odhlásit",
	"top" => "Nahoru",
	"last_search_results" => "Poslední výsledky hledání",
	"show_all" => "Zobraz vše",
	"home" => "Start",
	"select_operator" => "Vyber operátor:",
	"all_conditions_required" => "Všechny podmínky jsou požadovány",
	"any_conditions_required" => "Některé podmínky jsou požadované",
	"all_contacts" => "Všechny kontakty",
	"removed" => "vymazané",
	"please" => "Prosím",
	"and_check_form" => "a zkontrolujte formulář.",
	"and_try_again" => "a zkuste znovu.",
	"none" => "nic",
	"are_you_sure" => "Jste si jistí?",
	"delete_all" => "vymazat vše",
	"really?" => "Opravdu?",
	"delete_are_you_sure" => "Chystáte se smazat záznam, jste si jistí?",
	"required_fields_missed" => "Nemáte vyplněné některé povinné položky!.",
	"alphabetic_not_valid" => "V textovém poli se nacházejí nějaká čísla.",
	"numeric_not_valid" => "V číselném poli se nachází jiné než číselné znaky.",
	"email_not_valid" => "E-mailova není platná.",
	"timestamp_not_valid" => "Vkládaný časový údaj není platný.",
	"url_not_valid" => "Url adresa je neplatná.",
	"phone_not_valid" => "Telefonní číslo je neplatné.<br>Prosím, pouzijte formát \"+(kod statu)(kod oblasti)(cislo)\"  napr. +420245005050, 00420245005050, 0245005050.",
	"date_not_valid" => "Vložili jste jeden nebo více nesprávných datumů.",
	"similar_records" => "Zaznam se zdá být podobný již uloženému..<br>Co si přejete provést?",
	"no_records_found" => "záznam nebyl nalezen.",
	"records_found" => "záznamů nalezených",
	"number_records" => "Počet záznamů: ",
	"details_of_record" => "Detaily záznamu",
	"details_of_record_just_inserted" => "Detaily záznamu byly uloženy",
	"edit_record" => "Zmenit záznam",
	"back_to_the_main_table" => "Zpět do hlavní tabulky",
	"last_search_results" => "Poslední výsledky hledání", 
	"previous" => "předchozí",
	"next" => "dále", 
	"edit_profile" => "Změnit údaje Vašeho profilu",
	"i_think_that" => "Myslim si že, ",
	"is_similar_to" => " je ",
	"page" => "Strana ",
	"of" => " z ",
	"records_per_page" => "záznamů na stránku", 
	"day" => "Den",
	"month" => "Měsíc",
	"year" => "Rok",
	"administration" => "Admin",
	"create_update_internal_table" => "Vytvořit, nebo změnit interní tabulku",
	"other...." => "jiný....",
	"insert_record" => "Vložit nový záznam",
	"search_records" => "Hladat záznamy",
	"exactly" => "přesně",
	"like" => "jako",
	"required_fields_red" => "Požadované údaje jsou červené.",
	"insert_result" => "Vložte výsledek:",
	"record_inserted" => "Záznam vložen korektně.",
	"update_result" => "Obnov vysledek:",
	"record_updated" => "Záznam obnovený korektně.",
	"profile_updated" => "Váš profil by obnoven korektně.",
	"delete_result" => "Vymazat vysledek:",
	"record_deleted" => "Záznam byl vymazán korektně.",
	"duplication_possible" => "Povolit duplikace",
	"fields_max_length" => "Příliž mnoho textu nebo položek.",
	"current_upload" => "Aktualní soubor",
	"delete" => "vymazat",
	"total_records" => "Celkový počet záznamů",
	"confirm_delete?" => "Souhlasíte s vymazáním?",
	"is_equal" => " je ",
	"is_different" => "is not equal to", // to change
	"is_not_null" => "is not null", // to change
	"is_not_empty" => "is not empty", // to change
	"contains" => "obsahuje",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "začina s",
	"ends_with" => "končí na",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Export do CSV",
	"new_insert_executed" => "Nový záznam proveden", 
	"new_update_executed" => "Nová změna provedena",
	"null" => "Null", // to change
	"is_null" => "is null", // to change
	"is_empty" => "is empty", // to change
	"continue" => "continue", // to change
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query, e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
	

// error messages
$error_messages_ar = array (
	"int_db_empty" => "Chyba, interní dadabáze je prázdná.",
	"get" => "Chyba v proměnných.",
	"no_functions" => "Chyba, ziadna funkcia nebola vybrata<br>Vrat sa na domovsku stranku.",
	"no_unique_key" => "Chyba, nemáte určený Primární klíč ve vaší tabulce.",	
	"upload_error" => "Chyba při obnovení souboru.",
	"no_authorization_update" => "Nemáte oprávnění změnit tento záznam.",
	"no_authorization_delete" => "Nemáte oprávnění vymazat tento záznam.",
	"no_authorization_view" => "Nemáte oprávnění zobrazit tento záznam.",
	"deleted_only_authorizated_records" => "Byly vymazány pouze záznamy, ke kterým máte patřičné oprávnění.",
	"record_from_which_you_come_no_longer_exists" => "Záznam, ze kterého jste vstoupil již neexistuje.", 
	"date_not_representable" => "Hodnota záznamu v položce datum není zobrazitelná interním systémem day-month-year listboxes, hodnota je: ", // to change
	"this_record_is_the_last_one" => "Tento záznam je poslední.", 
	"this_record_is_the_first_one" => "Tento záznam je první.",
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change 
	);

//login messages
$login_messages_ar = array(
	"username" => "Jméno",
	"password" => "Heslo",
	"please_authenticate" => "Pro pokračování se musíte přihlásit",
	"login" => "přihlásit",
	"username_password_are_required" => "Musíte zadat jméno a heslo",
	"pwd_gen_link" => "vytvoření hesla",
	"incorrect_login" => "Jméno nebo heslo nejsou správná!",
	"pwd_explain_text" =>"Napište slovo pro heslo a  <b>Zašifrujte ho!</b>.",
	"pwd_explain_text_2" =>"Stiskněte <b>Zapsat</b> pro zápis do formuláře",
	"pwd_suggest_email_sending"=>"Můžete si poslat e-mail pro zapamatování hesla",
	"pwd_send_link_text" =>"pošli e-mail!",
	"pwd_encrypt_button_text" => "Zašifruj!",
	"pwd_register_button_text" => "Zaregistruj heslo a ukonči.",
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.", // to change
	"warning_you_still_have" => "Warning, you still have just ", // to change
	"attempts_before_account_blocking" => " attempts before your account is blocked." // to change
);
?>
