<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Indsæt post",
	"quick_search"    => "Hurtig søgning",
	"search/update/delete" => "Søg/opdater/slet post",
	"insert_short"    => "Opret ny",
	"search_short" => "Søg",
	"insert_anyway"    => "Indsæt alligevel",
	"search"    => "Søg efter poster",
	"update"    => "Gem",
	"ext_update"    => "Opdater din profil",
	"yes"    => "Ja",
	"no"    => "Nej",
	"go_back" => "Gå tilbage",
	"edit" => "Ret",
	"delete" => "Slet",
	"details" => "Detaljer",
	"change_table" => "Skift tabel" 
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "Du kan ikke rette denne post da den er spærret af brugeren: ",
	"lost_locked_not_safe_update" => "Du har ikke låst denne post så det er ikke sikkert at opdatere den. Start veligst edit igen.",
	"insert_item" => "Dan ny post",
	"show_all_records" => "Vis alle poster",
	"show_records" => "Vis poster",
	"ldap_user_dont_update" => "Dette er en importeret LDAP bruger: Du kan kun ændre den gruppe han tilhører.",
	"remove_search_filter" => "fjern søgefilter",
	"logout" => "Logud",
	"top" => "Top",
	"last_search_results" => "Sidste søge resultater",
	"show_all" => "Vis alle",
	"home" => "Hjem",
	"select_operator" => "Vælg alle operatorer:",
	"all_conditions_required" => "Alle betingelser skal udfyldes",
	"any_conditions_required" => "En eller flere betingelser skal udfyldes",
	"all_contacts" => "Alle kontrakter",
	"removed" => "fjernet",
	"please" => "Please",
	"and_check_form" => "og kontroller formen.",
	"and_try_again" => "og prøv igen.",
	"none" => "ingen",
	"are_you_sure" => "Er du sikker?",
	"delete_all" => "slet alle",
	"really?" => "Mener du det?",
	"delete_are_you_sure" => "Du vil slette posten nedenfor. Er du sikker?",
	"required_fields_missed" => "Du har ikke udfyldt alle nødvendige felter.",
	"alphabetic_not_valid" => "Du har indsat et/flere tal i et alpha felt.",
	"numeric_not_valid" => "Du har indsat alpha karakterer i et numerisk felt.",
	"email_not_valid" => "Den email adresse du har angivet er ikke gyldig.",
	"timestamp_not_valid" => "Den tidsangivelse du har angivet er ikke gyldig.",
	"url_not_valid" => "Det link (URL) du har angivet er ikke gyldig.",
	"phone_not_valid" => "Det telefon nummer du har angivet er ikke gyldigt. <br> Angive \"+(lande kode)(område kode)(nummer)\" f.eks. +390523599318, +00390523599318, 0523599318.",
	"date_not_valid" => "Du har angivet en eller flere ugyldige datoer.",
	"similar_records" => "Posten nedenfor synes identisk til den du vil indsætte.<br> Hvad ønsker du at gøre?",
	"no_records_found" => "Ingen poster fundet.",
	"records_found" => "poster fundet",
	"number_records" => "Antal poster: ",
	"details_of_record" => "Detaljer for posten",
	"details_of_record_just_inserted" => "Detaljer for den post der lige er indsat",
	"edit_record" => "Ret posten",
	"back_to_the_main_table" => "Tilbage til hovedtabellen",
	"previous" => "Foregående",
	"next" => "Næste",
	"edit_profile" => "Opdater din profil",
	"i_think_that" => "Jeg tror at ",
	"is_similar_to" => " er identisk med ",
	"page" => "Side ",
	"of" => " af ",
	"records_per_page" => "poster per side",
	"day" => "Dag",
	"month" => "Måned",
	"year" => "År",
	"administration" => "Administration",
	"create_update_internal_table" => "Dan eller opdater intern tabel",
	"other...." => "andet....",
	"insert_record" => "Indsæt ny post",
	"search_records" => "Søg efter poster",
	"exactly" => "præcis",
	"like" => "minder om",
	"required_fields_red" => "Nødvendige felter er røde.",
	"insert_result" => "Insæt resultat:",
	"record_inserted" => "post korrekt indsat.",
	"update_result" => "Opdater resultat:",
	"record_updated" => "Posten er korrekt opdateret.",
	"profile_updated" => "Din profil er korrekt opdateret.",
	"delete_result" => "Slet resultat:",
	"record_deleted" => "Post slettet.",
	"duplication_possible" => "Dublering er muligt",
	"fields_max_length" => "Du har skrevet for meget tekst i et eller flere felter.",
	"current_upload" => "Aktuel fil",
	"delete" => "slet",
	"total_records" => "Total antal poster",
	"confirm_delete?" => "Bekræft sletning?",
	"is_equal" => "er lig med",
	"is_different" => "er ikke lig med",
	"is_not_null" => "er ikke null",
	"is_not_empty" => "er ikke tom",
	"contains" => "indeholder",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "starter med",
	"ends_with" => "slutter med",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Eksport til CSV",
	"new_insert_executed" => "Indsæt udført",
	"new_update_executed" => "Opdatering udført",
	"null" => "Null",
	"is_null" => "er null",
	"is_empty" => "er tom",
	"continue" => "fortsæt",
	'current_password' => 'nuværende password',
	'new_password' => 'nyt password', 
	'new_password_repeat' => 'nyt password (gentag)', 
	'password_changed' => 'password er rettet',
	'change_your_password' => 'ret dit password', 
	'your_info' => 'din information', 
	'sort_by' => 'sorteret efter', 
	'sort' => 'sorter', 
	'pie_chart' => 'Lagkage diagram', 
'bar_chart' => 'Søjle diagram', 
'line_chart' => 'Linie diagram', 
'doughnut_chart' => 'Doughnut diagram', 
'show_report' => 'Vis diagram', 
'show_labels' => 'Vis labels', 
'show_legend' => 'Vis legend', 
'group_data_by' => 'Aggreger data pr', 
'x_axis' => 'X-akse',
'y_axis' => 'Y-akse', 
'show' => 'vis', 
'percentage' => '%',
'count' => 'antal', 
'sum' => 'sum', 
'average' => 'gennemsnit', 
'min' => 'min', 
'max' => 'max', 
'variance' => 'varians', 
'standard_deviation' => 'standard afvigelse',
'of' => 'af', 
'simple_report' => 'simple rapport', 
'advanced_sql_report' => 'avanceret SQL rapport', 
'type_your_custom_sql_query_here' => 'Skriv dit eget SQL udtryk her: ', 
'advanced_sql_reports_are_disabled' => 'Avanceret SQL rapport er ikke aktiv', 
'advanced_sql_report_instructions_first_part' => 'Du kan skrive dit eget select query. Hvis du f.eks. har en <b>customers</b> tabel med et <b>age_customer</b> feld, kan du vise alders sammensætningen af dine kunder med følgende query:', 
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Husk at det første felt du vælger vil blive brugt som <b>x-akse</b> i grafen, det andet felt som <b>y-akse</b>.<br/><br/>Læs dokumentationen for flere eksempler.', 
'generate_report' => 'Dan diagram', 
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'Brug af semikolon (;) er ikke tilladt af sikkerhedsgrunde, du kan udelade det sidste semikolon.', 
'sql_report_must_start_with_select' => 'Din SQL rapport skal starte med "SELECT "', 
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Fejl, intern database er tom.",
	"get" => "Fejl ved læsning af poster.",
	"no_functions" => "Fejl, Der er ikke valgt nogen funktion <br> Gå tilbage til homepage.",
	"no_unique_key" => "Fejl. Der er ingen primær nøgle i tabellen.",	
	"upload_error" => "Der opstod en fejl ved upload en en fil.",
	"no_authorization_update" => "Du har ikke tilladelse til at opdatere denne post.",
	"no_authorization_delete" => "Du har ikke tilladelse til at slette denne post.",
	"no_authorization_view" => "Du har ikke tilladelse til at se denne post.",
	"deleted_only_authorizated_records" => "Kun de poster du har autorisation til er blevet slettet.",
	"record_from_which_you_come_no_longer_exists" => "Den post du kom fra findes ikke længere.",
	"date_not_representable" => "En dato i denne post kan ikke vises i DaDaBIK dag-måned-år listbox, værdien er: ",
	"this_record_is_the_last_one" => "Dette er den sidste post.",
	"this_record_is_the_first_one" => "Dette er den første post.",
	"current_password_wrong" => 'det nuværende password er forkert', 
	"passwords_are_different" => 'de to passwords er forskellige', 
	"new_password_is_empty" => 'det nye password er tomt'
	);

//login messages
$login_messages_ar = array(
	"username" => "Brugernavn",
	"password" => "Password",
	"please_authenticate" => "Du skal identifiere dig for at kunne fortsætte",
	"login" => "login",
	"username_password_are_required" => "Brugernavn og password er nødvendige",
	"pwd_gen_link" => "Opret password",
	"incorrect_login" => "Brugernavn eller password er forkert",
	"pwd_explain_text" =>"Indsæt det ord der skal bruges som password og tryk <b>Crypt it!</b>.",
	"pwd_explain_text_2" =>"Tryk <b>Register</b> for at overføre det til den anden form",
	"pwd_suggest_email_sending"=>"Du kan sende en email til dig selv for at du kan huske passwordet",
	"pwd_send_link_text" =>"send mail!",
	"pwd_encrypt_button_text" => "Cript it!",
	"pwd_register_button_text" => "Register password and exit",
	"too_many_failed_login_account_blocked" => "For mange fejlagtige forsøg. Din konto er blevet låst.",
	"warning_you_still_have" => "Advarsel, du har kun ",
	"attempts_before_account_blocking" => " forsøg tilbage inden din konto bliver spærret."
	
);
?>
