<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Insérer le nouvel enregistrement",
	"quick_search"    => "Recherche rapide",
	"search/update/delete" => "Chercher/Mettre à jour/Effacer un enregistrement",
	"insert_short"    => "Insérer",
	"search_short" => "Chercher",
	"insert_anyway"    => "Insérer quand même",
	"search"    => "Chercher un enregistrement",
	"update"    => "Mettre à jour un enregistrement",
	"ext_update"    => "Mettre à jour votre profil",
	"yes"    => "Oui",
	"no"    => "Non",
	"go_back" => "Retour",
	"edit" => "Editer",
	"delete" => "Effacer",
	"details" => "Détails",
	"change_table" => "Changer de table"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "Vous ne pouvez pas modifier cet enregistrement, il est verrouillé par l'utilisateur : ",
	"lost_locked_not_safe_update" => "Vous n'avez pas ou plus la priorité sur cet enregistrement, la modification n'est pas fiable, veuillez recommencer la modification",
	"insert_item" => "Insrer un lment",
	"show_all_records" => "Montrer tous les enregistrements",
	"show_records" => "Afficher",
	"ldap_user_dont_update" => "C'est un utilisateur importé par LDAP : son groupe est la seule information que vous pouvez modifier si nécessaire.",
	"remove_search_filter" => "supprimer le filtre de recherche",
	"logout" => "Se deconnecter",
	"top" => "Haut",
	"last_search_results" => "Résultats de la dernière recherche",
	"show_all" => "Tout Montrer",
	"home" => "Accueil",
	"select_operator" => "Sélectionner l'opérateur :", 
	"all_conditions_required" => "Toutes conditions requises",
	"any_conditions_required" => "N'importe quelle condition requise",
	"all_contacts" => "Tous les contacts",
	"removed" => "retiré",
	"please" => "SVP",
	"and_check_form" => "et contrôler le formulaire.",
	"and_try_again" => "et essayer à nouveau.",
	"none" => "aucun",
	"are_you_sure" => "Etes-vous sûr ? ",
	"delete_all" => "Effacer tout",
	"really?" => "Vraiment ? ",
	"delete_are_you_sure" => "Effacer l'enregistrement ci-dessous, êtes-vous sûr ? ", 
	"required_fields_missed" => "Vous n'avez pas rempli tous les champs requis.",
	"alphabetic_not_valid" => "Vous avez inséré un/plusieurs nombre(s) dans un champ lettre.",
	"numeric_not_valid" => "Vous avez inséré un/plusieurs caractères non numériques dans un champ numérique.",
	"email_not_valid" => "L'e-mail inséré n'est pas valide.",
	"timestamp_not_valid" => "L'horodatage insr n'est pas valide.",
	"url_not_valid" => "Le(s) URL insérée(s) ne sont pas valides.",
	"phone_not_valid" => "Numéro de téléphone non valide.",
	"date_not_valid" => "Date(s) non valide(s)",
	"similar_records" => "Les enregistrements ci-dessous semblent être identiques à celui que vous voulez inséré.<br>Que voulez-vous faire ? ", 
	"no_records_found" => "Pas d'enregistrement trouvé.",
	"records_found" => "enregistrements trouvés",
	"number_records" => "Nombre d'enregistrement : ", 
	"details_of_record" => "Détails de l'enregistrement",
	"details_of_record_just_inserted" => "Details de l'enregistrement qui vient d'etre inséré",
	"edit_record" => "Editer l'enregistrement",
	"back_to_the_main_table" => "Retour  la table principale",
	"previous" => "Précédent",
	"next" => "Suivant",
	"edit_profile" => "Mettre à jour vos informations de profil",
	"i_think_that" => "Je pense que ",
	"is_similar_to" => " est identique à ",
	"page" => "Page ",
	"of" => " de ",
	"records_per_page" => "enregistrements par page",
	"day" => "Jour",
	"month" => "Mois",
	"year" => "Année",
	"administration" => "Administration",
	"create_update_internal_table" => "Créer ou mettre à jour une table interne",
	"other...." => "autres....",
	"insert_record" => "Insérer un nouvel enregistrement",
	"search_records" => "Chercher les enregistrements",
	"exactly" => "exactement",
	"like" => "comme",
	"required_fields_red" => "Les champs requis sont en rouge.",
	"insert_result" => "Insérer le résultat : ", 
	"record_inserted" => "Enregistrement correctement inséré.",
	"update_result" => "Mettre à jour le résultat : ", 
	"record_updated" => "Enregistrement correctement mis à jour.",
	"profile_updated" => "Votre profil a correctement été mis à jour.",
	"delete_result" => "Effacer le résultat : ", 
	"record_deleted" => "Enregistrement correctement effacé.", 
	"duplication_possible" => "Duplication possible",
	"fields_max_length" => "Vous avez inséré trop de texte dans un ou plusieurs champs.",
	"current_upload" => "Fichier en cours",
	"delete" => "Effacer",
	"total_records" => "Total des enregistrements ",
	"confirm_delete?" => "Confirmer la supression ?",
	"is_equal" => "est égal à",
	"is_different" => "n'est pas égal à",
	"is_not_null" => "n'est pas NULL",
	"is_not_empty" => "n'est pas vide",
	"contains" => "contient",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "commence par",
	"ends_with" => "se termine par",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Exporte en format CSV",
	"new_insert_executed" => "Nouvelle insertion effectuée",
	"new_update_executed" => "Nouvelle mise à jour effectuée",
	"null" => "Null",
	"is_null" => "est NULL",
	"is_empty" => "est vide",
	"continue" => "continuer",
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query,  e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Erreur, la base interne est vide.",
	"get" => "Erreur dans la récupération des variables.",
	
	
	"no_functions" => "Erreur, pas de fonction sélectionnée.<br>Retournez à l'accueil.",
	"no_unique_key" => "Erreur, vous n'avez pas de clé primaire dans votre base.",	
	"upload_error" => "Une erreur est intervenue durant le transfert.",
	"no_authorization_update" => "Vous n'avez pas l'autorisation de modifier cet enregistrement.",
	"no_authorization_delete" => "Vous n'avez pas l'autorisation de detruire cet enregistrement.",
	"no_authorization_view" => "Vous n'avez pas l'autorisation de voir cet enregistrement.",
	"deleted_only_authorizated_records" => "Seuls les enregistrements pour lesquels vous etes autorise ont ete detruits.",
	"record_from_which_you_come_no_longer_exists" => "L'enregistrement d'où vous venez n'existe plus.",
	"date_not_representable" => "Une date dans cet enregistrement ne correspond pas au format 'Jour / Mois / Anne' de DaDaBIK. Sa valeur est :  ",
	"this_record_is_the_last_one" => "Cet enregistrement est le dernier.",
	"this_record_is_the_first_one" => "Cet enregistrement est le premier.",
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change
	);

//login messages
$login_messages_ar = array(
	"username" => "nom d'utilisateur",
	"password" => "mot de passe",
	"please_authenticate" => "Vous devez vous identifier pour continuer",
	"login" => "connection",
	"username_password_are_required" => "nom d'utilisateur et mot de passe sont obligatoires", 
	"pwd_gen_link" => "créer un mot de passe",
	"incorrect_login" => "Nom d'utilisateur ou mot de passe incorrect",
	"pwd_explain_text" =>"Tapez un mot à utiliser comme mot de passe et pressez <b>Cryptage !</b>.",
	"pwd_explain_text_2" =>"Pressez <b>Enregistrer le mot de passe et quitter</b> pour l'écrire sur le formulaire ci-dessous", 
	"pwd_suggest_email_sending"=>"Vous pouvez vous envoyer un email pour mémoriser le mot de passe", 
	"pwd_send_link_text" =>"Envoi courrier ! ",
	"pwd_encrypt_button_text" => "Cryptage ! ", 
	"pwd_register_button_text" => "Enregistrer le mot de passe et quitter" ,
	"too_many_failed_login_account_blocked" => "Trop de tentatives, votre compte est bloqué.",
	"warning_you_still_have" => "Attention, il ne vous reste plus que  ",
	"attempts_before_account_blocking" => " tentative avant le blocage de votre compte."
)
?>
