<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Sett inn post",
	"quick_search"    => "Hurtigsøk",
	"search/update/delete" => "Søk/oppdater/slett",
	"insert_short"    => "Sett inn",
	"search_short" => "Søk",
	"insert_anyway"    => "Sett inn likevel",
	"search"    => "Søk",
	"update"    => "Lagre",
	"ext_update"    => "Oppdater profil",
	"yes"    => "Ja",
	"no"    => "Nei",
	"go_back" => "Tilbake",
	"edit" => "Rediger",
	"delete" => "Slett",
	"details" => "Detaljer",
	"change_table" => "Rediger tabell" 
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "Du kan ikke redigere denne posten, den er låst for redigering av: ",
	"lost_locked_not_safe_update" => "Du har ikke låst denne post så det er ikke trygt å oppdatere den. Start på nytt.",
	"insert_item" => "Sett inn post",
	"show_all_records" => "Vis alle poster",
	"show_records" => "Vis poster",
	"ldap_user_dont_update" => "Dette er en importeret LDAP bruker: Du kan kun endre gruppen den tilhører.",
	"remove_search_filter" => "fjern søkefilter",
	"logout" => "Logg ut",
	"top" => "Topp",
	"last_search_results" => "Siste søkeresultater",
	"show_all" => "Vis alle",
	"home" => "Hjem",
	"select_operator" => "Velg operatorer:",
	"all_conditions_required" => "Alle betingelser skal fylles ut",
	"any_conditions_required" => "En eller flere betingelser skal fylles ut",
	"all_contacts" => "Alle kontakter",
	"removed" => "fjernet",
	"please" => "Venligst",
	"and_check_form" => "og sjekk skjemaet.",
	"and_try_again" => "og prøv igen.",
	"none" => "ingen",
	"are_you_sure" => "Er du sikker?",
	"delete_all" => "slette alt",
	"really?" => "Mener du det?",
	"delete_are_you_sure" => "Du vil slette posten nedenfor. Er du sikker?",
	"required_fields_missed" => "Du har ikke fylt ut alle nødvendige felt.",
	"alphabetic_not_valid" => "Du har satt inn et/flere tall i et alpha felt.",
	"numeric_not_valid" => "Du har satt inn alpha bokstaver i et numerisk felt.",
	"email_not_valid" => "Emailadressen du har angitt er ikke gyldig.",
	"timestamp_not_valid" => "Den tidsangivelse du har angitt er ikke gyldig.",
	"url_not_valid" => "Linken (URL) du har angitt er ikke gyldig.",
	"phone_not_valid" => "Telefonnummeret du har angitt er ikke gyldig. <br> Angi \"+(landkode)(områdekode)(nummer)\" f.eks. +390523599318, +00390523599318, 0523599318.",
	"date_not_valid" => "Du har angitt en eller flere ugyldige datoer.",
	"similar_records" => "Posten nedenfor er identisk til den du vil sette inn.<br> Hva ønsker du å gjøre?",
	"no_records_found" => "Fant ingen poster.",
	"records_found" => "poster funnet",
	"number_records" => "Antall poster: ",
	"details_of_record" => "Postdetaljer",
	"details_of_record_just_inserted" => "Detaljer for posten som ble satt inn",
	"edit_record" => "Rediger posten",
	"back_to_the_main_table" => "Tilbake til hovedtabellen",
	"previous" => "Forrige",
	"next" => "Neste",
	"edit_profile" => "Oppdater profilen din",
	"i_think_that" => "Jeg tror at ",
	"is_similar_to" => " er identisk med ",
	"page" => "Side ",
	"of" => " av ",
	"records_per_page" => "poster pr. side",
	"day" => "Dag",
	"month" => "Måned",
	"year" => "År",
	"administration" => "Administrasjon",
	"create_update_internal_table" => "Lag eller oppdater intern tabell",
	"other...." => "annet....",
	"insert_record" => "Sett inn ny post",
	"search_records" => "Søk etter poster",
	"exactly" => "presis",
	"like" => "minner om",
	"required_fields_red" => "Nødvendige felter er røde.",
	"insert_result" => "Sett inn resultat:",
	"record_inserted" => "post korrekt satt inn.",
	"update_result" => "Oppdater resultat:",
	"record_updated" => "Posten er korrekt oppdatert.",
	"profile_updated" => "Din profil er korrekt oppdatert.",
	"delete_result" => "Slett resultat:",
	"record_deleted" => "Post slettet.",
	"duplication_possible" => "Dobbling er mulig",
	"fields_max_length" => "Du har skrevet for mye tekst i et eller flere felter.",
	"current_upload" => "Aktuell fil",
	"delete" => "slett",
	"total_records" => "Totalt antall poster",
	"confirm_delete?" => "Bekreft sletting?",
	"is_equal" => "er lik med",
	"is_different" => "er ikke lik med",
	"is_not_null" => "er ikke null",
	"is_not_empty" => "er ikke tom",
	"contains" => "inneholder",
	"starts_with" => "starter med",
	"ends_with" => "slutter med",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Eksport til CSV",
	"new_insert_executed" => "Innsetting utført",
	"new_update_executed" => "Oppdatering utført",
	"null" => "Null",
	"is_null" => "er null",
	"is_empty" => "er tom",
	"continue" => "fortsett",
	'current_password' => 'nåværende passord',
	'new_password' => 'nytt passord', 
	'new_password_repeat' => 'nytt passord (gjenta)', 
	'password_changed' => 'passord er endret',
	'change_your_password' => 'endre passord', 
	'your_info' => 'din informasjon', 
	'sort_by' => 'sortert etter', 
	'sort' => 'sorter', 
	'pie_chart' => 'Kakediagram', 
'bar_chart' => 'Søylediagram', 
'line_chart' => 'Linjediagram', 
'doughnut_chart' => 'Smultringdiagram', 
'show_report' => 'Vis diagram', 
'show_labels' => 'Vis navn', 
'show_legend' => 'Vis legend', 
'group_data_by' => 'Grupper data pr', 
'x_axis' => 'X-akse',
'y_axis' => 'Y-akse', 
'show' => 'vis', 
'percentage' => '%',
'count' => 'antall', 
'sum' => 'sum', 
'average' => 'gjennomsnitt', 
'min' => 'min', 
'max' => 'maks', 
'variance' => 'variasjon', 
'standard_deviation' => 'standard avvik',
'of' => 'av', 
'simple_report' => 'enkel rapport', 
'advanced_sql_report' => 'avansert SQL rapport', 
'type_your_custom_sql_query_here' => 'Skriv ditt eget SQL uttrykk her: ', 
'advanced_sql_reports_are_disabled' => 'Avansert SQL rapport er ikke aktiv', 
'advanced_sql_report_instructions_first_part' => 'Du kan skrive din egen select spørring. Hvis du f.eks. har en <b>kunde</b> tabell med et <b>år_kunde</b> felt, kan du vise alderssammensetningen av dine kunder med følgende spørring:', 
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Husk at det første felt du vælger vil bli brukt som <b>x-akse</b> i grafen, det andre feltet som <b>y-akse</b>.<br/><br/>Les dokumentasjonen for flere eksempler.', 
'generate_report' => 'Lag diagram', 
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'Bruk av semikolon (;) er ikke tillatt av sikkerhetsgrunner, du kan utelate det siste semikolon.', 
'sql_report_must_start_with_select' => 'Din SQL rapport skal starte med "SELECT "', 
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'Mai';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Okt';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Des';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Man';
$normal_messages_ar['days_short'][2] = 'Tir';
$normal_messages_ar['days_short'][3] = 'Ons';
$normal_messages_ar['days_short'][4] = 'Tor';
$normal_messages_ar['days_short'][5] = 'Fre';
$normal_messages_ar['days_short'][6] = 'Lør';
$normal_messages_ar['days_short'][7] = 'Søn';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Feil, intern database er tom.",
	"get" => "Feil ved lesing av poster.",
	"no_functions" => "Feil, Det er ikke valgt noen funksjon <br> Gå tilbake til forside.",
	"no_unique_key" => "Feil. Det er ingen primærnøkkel i tabellen.",	
	"upload_error" => "Det oppstod en feil ved uplasting af en fil.",
	"no_authorization_update" => "Du har ikke tillatelse til å oppdatere denne posten.",
	"no_authorization_delete" => "Du har ikke tillatelse til å slette denne posten.",
	"no_authorization_view" => "Du har ikke tillatelse til å se denne posten.",
	"deleted_only_authorizated_records" => "Kun de poster du har autorisasjon til er blitt slettet.",
	"record_from_which_you_come_no_longer_exists" => "Den post du kom fra finnes ikke lengre.",
	"date_not_representable" => "En dato i denne post kan ikke vises i dag-måned-år listboksen, verdien er: ",
	"this_record_is_the_last_one" => "Dette er den siste posten.",
	"this_record_is_the_first_one" => "Dette er den første posten.",
	"current_password_wrong" => 'det nåværende passord er feil', 
	"passwords_are_different" => 'de to passordene er forskjellige', 
	"new_password_is_empty" => 'det nye passordet er tomt'
	);

//login messages
$login_messages_ar = array(
	"username" => "Brukernavn",
	"password" => "Passord",
	"please_authenticate" => "Du skal identifisere deg for å kunne fortsette",
	"login" => "logg inn",
	"username_password_are_required" => "Brukernavn og passord er nødvendig",
	"pwd_gen_link" => "Lag password",
	"incorrect_login" => "Brukernavn eller passord er feil",
	"pwd_explain_text" =>"Sett inn ordet som skal brukes som passord og trykk <b>Krypter det!</b>.",
	"pwd_explain_text_2" =>"Trykk <b>Registrer</b> for å overføre det til det andre feltet",
	"pwd_suggest_email_sending"=>"Du kan sende en email til deg selv med passordet",
	"pwd_send_link_text" =>"send mail!",
	"pwd_encrypt_button_text" => "Krypter det!",
	"pwd_register_button_text" => "Registrer passord and avslutt",
	"too_many_failed_login_account_blocked" => "For mange uriktige forsøk. Din konto er blitt sperret.",
	"warning_you_still_have" => "Advarsel, du har kun ",
	"attempts_before_account_blocking" => " forsøk igjen før kontoen din blir sperret."
	
);
?>
