<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Inserir",
	"quick_search"    => "Quick search", // to change
	"search/update/delete" => "Buscar/atualizar/cancelar",
	"insert_short"    => "Inserir",
	"search_short" => "Buscar",
	"insert_anyway"    => "Inserir sempre",
	"search"    => "Buscar",
	"update"    => "Atualizar",
	"ext_update"    => "Estender atualização",
	"yes"    => "Sim",
	"no"    => "Nao",
	"go_back" => "Retornar",
	"edit" => "Editar",
	"delete" => "Cancelar",
	"details" => "Detalhes",
	"change_table" => "Modificar tabela"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "You can't edit this record, the record is locked by user: ", // to change
	"lost_locked_not_safe_update" => "You dont't have or have lost your lock on this record, it is not safe to update, please start again the edit", // to change
	"insert_item" => "Insert item", // to change
	"show_all_records" => "Visualizar todos os dados",
	"show_records" => "Show items", // to change
	"ldap_user_dont_update" => "This is an imported LDAP user: his group is the only information which you should change, if needed.", // to change
	"remove_search_filter" => "remove search filter", // to change
	"logout" => "Logout",
	"top" => "Top",
	"last_search_results" => "Resultados da última pesquisa",
	"show_all" => "Visualizar todos",
	"home" => "Início",
	"select_operator" => "Selecionar operador",
	"all_conditions_required" => "Todas as condições necessárias",
	"any_conditions_required" => "Quaisquer condições necessárias",
	"all_contacts" => "Todos os contatos",
	"removed" => "Cancelado",
	"please" => "Por favor",
	"and_check_form" => "E verificar a forma",
	"and_try_again" => "E tentar novamente",
	"none" => "Nenhum",
	"are_you_sure" => "Tem certeza?",
	"delete_all" => "Cancelar todos",
	"really?" => "Tem certeza?",
	"delete_are_you_sure" => "Tem certeza de que quer cancelar este dado?",
	"required_fields_missed" => "Faltam alguns campos necessários",
	"alphabetic_not_valid" => "alfabéticos não válidos",
	"numeric_not_valid" => "Você inseriu um/alguns caráter/es não numéricos em um campo numérico",
	"email_not_valid" => "Email não vãlido",
	"timestamp_not_valid" => "The timestamp/s you have inserted is/are not valid.", // to change
	"url_not_valid" => "Url não válida",
	"phone_not_valid" => "Numero de telefone não válido",
	"date_not_valid" => "Data não válida",
	"similar_records" => "Dados semelhantes",
	"no_records_found" => "Os dados não foram encontrados",
	"records_found" => "Dados encontrados",
	"number_records" => "Número de dados",
	"details_of_record" => "Detalhes do dado",
	"details_of_record_just_inserted" => "Details of the record just inserted", // to change
	"edit_record" => "Modificar o dado",
	"previous" => "Anteriores",
	"next" => "Próximos",
	"back_to_the_main_table" => "Back to the main table", // to change
	"edit_profile" => "Editar o perfil",	
	"i_think_that" => "Eu acho que",
	"is_similar_to" =>" É parecido com ",
	"page" => "Página ",
	"of" => " de ",
	"records_per_page" => "registros por página",
	"day" => "Dia",	
	"month" => "Mês",
	"year" => "Ano",
	"administration" => "Administração",
	"create_update_internal_table" => "Criar ou atualizar a tabela interna",
	"other...." => "outro....",
	"insert_record" => "Inserir un novo dado",
	"search_records" => "Buscar dados",	
	"exactly" => "Exatamente",
	"like" => "parecido",
	"required_fields_red" => "Os campos necessários estão em vermelho",
	"insert_result" => "Inserir o resultado",
	"record_inserted" => "Dado inserido",
	"update_result" => "Resultado da atualização",
	"record_updated" => "Dado atualizado",
	"profile_updated" => "Perfil atualizado",
	"delete_result" => "Cancelar resultado",
	"record_deleted" => "Dado cancelado",
	"duplication_possible" => "Duplicaçao possível",
	"fields_max_length" => "Campos_máximo_comprimento",
	"current_upload" => "Upload corrente",
	"delete" => "Cancelar",
	"total_records" => "Dados totais",
	"confirm_delete?" => "Confirmar o cancelamento?",
	"is_equal" => "è igual a",
	"is_different" => "is not equal to", // to change
	"is_not_null" => "is not null", // to change
	"is_not_empty" => "is not empty", // to change
	"contains" => "Contém",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "Começa com",
	"ends_with" => "Termina com",
	"greater_than" => "Maior do que",
	"less_then" => "Menos que",
	"export_to_csv" => "Exportar a CSV",
	"new_insert_executed" => "Novos dados inseridos",
	"new_update_executed" => "Novas atualizações inseridas",
	"null" => "Nulo",
	"is_null" => "è nulo",
	"is_empty" => "è vazio",
	"continue" => "continue", // to change
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query, e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "A base de dados interna está vazia",
	"get" => "obter",
	"no_functions" => "nenhuma função ",
	"no_unique_key" => "nenhuma tecla específica ",	
	"upload_error" => "erro de upload ",
	"no_authorization_update" => "não foi autorizado, atualizar ",
	"no_authorization_delete" => "não foi autorizado, cancelamento ",
	"no_authorization_view" => "não existe visualização de autorização",
	"deleted_only_authorizated_records" => "somente cancelados dados autorizados ",
	"record_from_which_you_come_no_longer_exists" => "O registro de onde você vem não existe mais.",
	"date_not_representable" => "A date value in this record can't be represented with DaDaBIK day-month-year listboxes, the value is: ", // to change
	"this_record_is_the_last_one" => "Este registro é o último.",
	"this_record_is_the_first_one" => "Este registro é o primeiro.",
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change
	);
	
//login messages
$login_messages_ar = array(
	"username" => "nome do usuário",
	"password" => "senha",
	"please_authenticate" => "Por favor autenticar",
	"login" => "nome do usuário",
	"username_password_are_required" => "Username and password são necessárias",
	"pwd_gen_link" => "criar senha",
	"incorrect_login" => "nome do usuário incorreto.",
	"pwd_explain_text" =>"Inserir uma palavra para ser usada como senha e apertar <b>Crypt it!</b>.",
	"pwd_explain_text_2" =>"Apertar <b>Registrar</b> para escreve-la na forma abaixo",
	"pwd_suggest_email_sending"=>"Sugerir mensagem a ser enviada",
	"pwd_send_link_text" =>"enviar mensagem!",
	"pwd_encrypt_button_text" => "cifrar o proximo botão",
	"pwd_register_button_text" => "Registrar a senha e sair",
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.", // to change
	"warning_you_still_have" => "Warning, you still have just ", // to change
	"attempts_before_account_blocking" => " attempts before your account is blocked." // to change
)
?>
