<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Вставить новую запись",
	"quick_search"    => "Быстрый поиск", // changed
	"search/update/delete" => "Поиск/обновить/удалить",
	"insert_short"    => "Создать новый",
	"search_short" => "Поиск",
	"insert_anyway"    => "Вставить принудительно",
	"search"    => "Поиск записи",
	"update"    => "Сохранить",
	"ext_update"    => "Обновить профиль",
	"yes"    => "Да",
	"no"    => "Нет",
	"go_back" => "Назад",
	"edit" => "Правка",
	"delete" => "Удалить",
	"details" => "Детали",
	"change_table" => "Изменить таблицу"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "Вы не можете редактировать эту запись, она заблокирована пользователем: ", // changed
	"lost_locked_not_safe_update" => "Вы не заблокировали или утратили блокировку этой записи, это не безопасно, для обновления, начните снова редактировать", // changed
	"insert_item" => "Создать новый",
	"show_all_records" => "Показать все записи",
	"show_records" => "Показать записи", // changed
	"ldap_user_dont_update" => "Ипортированный LDAP пользователь: при необходимости можете изменить его группу", // changed
	"remove_search_filter" => "Сбросить фильтр поиска", // changed
	"logout" => "Выход",
	"top" => "Верх",
	"last_search_results" => "Последний поиск",
	"show_all" => "Показать все",
	"home" => "Назад",
	"select_operator" => "Выбрать оператор:",
	"all_conditions_required" => "Поиск по нескольким полям",
	"any_conditions_required" => "Поиск по одному полю",
	"all_contacts" => "Все контакты",
	"removed" => "удалено",
	"please" => "Пожалуйста",
	"and_check_form" => "и проверте форму.",
	"and_try_again" => "и попробуйте снова.",
	"none" => "нет",
	"are_you_sure" => "Вы уверены?",
	"delete_all" => "удалить все",
	"really?" => "Уверены?",
	"delete_are_you_sure" => "Вы собираетесь удалить запись, вы уверены?",
	"required_fields_missed" => "Вы не заполнили некоторые обязательные поля.",
	"alphabetic_not_valid" => "Вы вставили число в текстовую область",
	"numeric_not_valid" => "Вы вставили не цифровое значение в цифровое поле",
	"email_not_valid" => "Не верный адрес e-mail.",
	"timestamp_not_valid" => "Не верный timestamp",
	"url_not_valid" => "Ссылка, которую вы вставили не верна.",
	"phone_not_valid" => "Неверный номер телефона.<br>Надо так \"+(код страны)(код области)(номер)\" например +79222359931, 0079222359931, 222359931.",
	"date_not_valid" => "Неверная дата",
	"similar_records" => "Есть совпадающие записи.<br>Что вы хотите?",
	"no_records_found" => "Не найдено записей",
	"records_found" => "записей найдено",
	"number_records" => "Номеров записей: ",
	"details_of_record" => "Детали записей",
	"details_of_record_just_inserted" => "Детали записи вставлены", // changed
	"edit_record" => "Редактировать запись",
	"back_to_the_main_table" => "Назад в главную таблицу",
	"previous" => "Предыдущий",
	"next" => "Следующий",
	"edit_profile" => "Обновить профиль",
	"i_think_that" => "Я думаю, что ",
	"is_similar_to" => " подробно ",
	"page" => "страница ",
	"of" => " из ",
	"records_per_page" => "записей на странице",
	"day" => "День",
	"month" => "Месяц",
	"year" => "год",
	"administration" => "Администрирование",
	"create_update_internal_table" => "Создать или обновить таблицу",
	"other...." => "другие...",
	"insert_record" => "Вставить новую запись",
	"search_records" => "Поиск записей",
	"exactly" => "точно",
	"like" => "содержит",
	"required_fields_red" => "Обязательные поля в красном",
	"insert_result" => "Вставить результат:",
	"record_inserted" => "Запись успешно добавлена.",
	"update_result" => "Обновить результат:",
	"record_updated" => "Запись удачно обновлена.",
	"profile_updated" => "Ваш профиль обновлен.",
	"delete_result" => "Удалить результаты:",
	"record_deleted" => "Запись благополучно удалена",
	"duplication_possible" => "Дублирование возможно",
	"fields_max_length" => "Слишком длинный текст.",
	"current_upload" => "Текущий файл", // changed 
	"delete" => "удалить",
	"total_records" => "Всего записей",
	"confirm_delete?" => "Точно удалить?",
	"is_equal" => "полностью",
	"is_different" => "не равно", // changed
	"is_not_null" => " NULL-значение не представлено в поле", // changed
	"is_not_empty" => "не пусто", // changed
	"contains" => "часть",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "с начала",
	"ends_with" => "с конца",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Экспорт в CSV формат",
	"new_insert_executed" => "Запись добавлена",
	"new_update_executed" => "Запись обновлена",
	"null" => "Без записи",
	"is_null" => "без значения",
	"is_empty" => "пусто",
	"continue" => "продолжить", // changed
	'current_password' => 'текущий пароль', // changed
	'new_password' => 'новый пароль', // changed
	'new_password_repeat' => 'новый пароль (повторите)', // changed
	'password_changed' => 'пароль изменен', // changed
	'change_your_password' => 'поменяй свой пароль', // changed
	'your_info' => 'Ваши данные', // changed
	'sort_by' => 'сортировать по', // changed
	'sort' => 'сортировать', // changed
	'pie_chart' => 'Круговая диаграмма', // changed
'bar_chart' => 'Гистограмма', // changed
'line_chart' => 'Линейный график', // changed
'doughnut_chart' => 'Кольцевая диаграмма', // changed
'show_report' => 'Показать диаграмму', // changed
'show_labels' => 'Показать метки', // changed
'show_legend' => 'Показать описание', // changed
'group_data_by' => 'Группировка данных по', // changed
'x_axis' => 'X-координата', // changed
'y_axis' => 'Y-координата', // changed
'show' => 'показать', // changed
'percentage' => '%', // changed
'count' => 'количество', // changed
'sum' => 'сумма', // changed
'average' => 'среднее', // changed
'min' => 'минимум', // changed
'max' => 'максимум', // changed
'variance' => 'отклонение', // changed
'standard_deviation' => 'стандартное отклонение', // changed
'of' => 'из', // changed
'simple_report' => 'простой отчет', // changed
'advanced_sql_report' => 'расширенный SQL отчет', // changed
'type_your_custom_sql_query_here' => 'Введите свой SQL запрос здесь: ', // changed
'advanced_sql_reports_are_disabled' => 'Расширенные SQL запросы отключены', // changed
'advanced_sql_report_instructions_first_part' => 'Вы можете написать собственный SQL запрос на выборку, например, у вас есть таблица <b>customers</b>  в которой поле <b>age_customer</b>,  можно показать возрастной состав клиентов, используя следующий запрос:', // changed
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Внимание, первое поле используется для <b>X-координат</b> диаграммы, второе поле для <b>Y-координат</b>.<br/><br/>Примеры приведены в документации.', // changed
'generate_report' => 'Сформировать график', // changed
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'Использование символа точка с запятой (;) не допускается по соображениям безопасности, вы можете не указывать последнюю точку с запятой.', // changed
'sql_report_must_start_with_select' => 'SQL запрос должен начинаться с оператора "SELECT "', // changed
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Ошибка, внутренняя база данных пуста.",
	"get" => "Ошибка получения переменной",
	"no_functions" => "Выбранная функция<br>Вернитесь на главную страницу.",
	"no_unique_key" => "Нет ключа в таблице",	
	"upload_error" => "Ошибка загрузки файла",
	"no_authorization_update" => "Нужна авторизация для правки записи",
	"no_authorization_delete" => "Нужна авторизация для удаления записи",
	"no_authorization_view" => "Вы не авторизированы для просмотра этой записи",
	"deleted_only_authorizated_records" => "Записи, на которых у Вас есть разрешение, были удалены.",
	"record_from_which_you_come_no_longer_exists" => "Отчет, из которого Вы не происходите больше, существует.",
	"date_not_representable" => "Дата в этой записи не может быть представлена в поле со списком DaDaBIK, значение: ",
	"this_record_is_the_last_one" => "Этот отчет - последний.",
	"this_record_is_the_first_one" => "Этот отчет - первый.",
	"current_password_wrong" => 'неправильный пароль', // changed
	"passwords_are_different" => 'пароли не совпадают', // changed
	"new_password_is_empty" => 'не заполнен новый пароль' // changed
	);

//login messages
$login_messages_ar = array(
	"username" => "Логин",
	"password" => "Пароль",
	"please_authenticate" => "Нужно авторизоваться",
	"login" => "Вход",
	"username_password_are_required" => "Требуется авторизация",
	"pwd_gen_link" => "создать пароль",
	"incorrect_login" => "Введите логин и пароль",
	"pwd_explain_text" =>"Введите пароль и нажмите <b>Записать!</b>.",
	"pwd_explain_text_2" =>"Нажмите <b>Регистрация</b> для записи в форму",
	"pwd_suggest_email_sending"=>"Вы можете отправить себе email с паролем",
	"pwd_send_link_text" =>"Отправить почту!",
	"pwd_encrypt_button_text" => "Записать!",
	"pwd_register_button_text" => "Зарегистрировать пароль и выйти",
	"too_many_failed_login_account_blocked" => "Превышено число попыток входа, аккаун заблокирован.", // changed
	"warning_you_still_have" => "Внимание, у Вас есть только", // changed
	"attempts_before_account_blocking" => " попыток, после чего Ваш аккаунт будет заблокирован." // changed
);
?>
