<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Vlozit novy zaznam",
	"quick_search"    => "Quick search", // to change
	"search/update/delete" => "Hladat/upravit/vymazat zaznamy",
	"insert_short"    => "Vlozit",
	"search_short" => "Hladat",
	"insert_anyway"    => "Vlozit aj tak",
	"search"    => "Hladat zaznam",
	"update"    => "Ulozit",
	"ext_update"    => "Zmenit profil",
	"yes"    => "Ano",
	"no"    => "Nie",
	"go_back" => "Spat",
	"edit" => "Zmenit",
	"delete" => "Vymazat",
	"details" => "Detaily",
	"change_table" => "Zmenit zoznam"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "You can't edit this record, the record is locked by user: ", // to change
	"lost_locked_not_safe_update" => "You dont't have or have lost your lock on this record, it is not safe to update, please start again the edit", // to change
	"insert_item" => "Insert item", // to change
	"show_all_records" => "Ukaz vsetky zaznamy",
	"show_records" => "Show items", // to change
	"ldap_user_dont_update" => "This is an imported LDAP user: his group is the only information which you should change, if needed.", // to change
	"remove_search_filter" => "remove search filter", // to change
	"logout" => "Odhlasit",
	"top" => "Hore",
	"last_search_results" => "Posledne vysledky hladania",
	"show_all" => "Ukaz vsetko",
	"home" => "Start",
	"select_operator" => "Vyber operator:",
	"all_conditions_required" => "Vsetky podmienky su pozadovane",
	"any_conditions_required" => "Niektore podmienky su pozadovane",
	"all_contacts" => "Vsetky kontakty",
	"removed" => "vymazane",
	"please" => "Prosim",
	"and_check_form" => "a skontroluj formular.",
	"and_try_again" => "a skus znova.",
	"none" => "nic",
	"are_you_sure" => "Si si isty?",
	"delete_all" => "vymazat vsetko",
	"really?" => "Naozaj?",
	"delete_are_you_sure" => "Ides vymazat zaznam, si si isty?",
	"required_fields_missed" => "Nemas vyplnene niektore pozadovane polozky!.",
	"alphabetic_not_valid" => "Mas nejake cisla v pismenovom poli.",
	"numeric_not_valid" => "V ciselnom poli mas nejake ine znaky.",
	"email_not_valid" => "E-mailova adresa nie je platna.",
	"timestamp_not_valid" => "The timestamp/s you have inserted is/are not valid.", // to change
	"url_not_valid" => "Url adresa nie je platna.",
	"phone_not_valid" => "Telefonne cislo nie je platne.<br>Prosim, pouzi format \"+(kod tatu)(kod oblasti)(cislo)\"  napr. +4210523599318, 004210523599318, 10523599318.",
	"date_not_valid" => "Vlozil si jeden alebo viac nespravnych datumov.",
	"similar_records" => "Zaznam sa zda byt podobny uz zapisanemu udaju.<br>Co chces urobit?",
	"no_records_found" => "nenajdeny ziadny zaznam.",
	"records_found" => "zaznamov najdenych",
	"number_records" => "Pocet zaznamov: ",
	"details_of_record" => "Detaily zaznamu",
	"details_of_record_just_inserted" => "Details of the record just inserted", // to change
	"edit_record" => "Zmenit zaznam",
	"back_to_the_main_table" => "Back to the main table", // to change
	"last_search_results" => "Posledne vysledky hladania", 
	"previous" => "previous", // to change
	"next" => "dalej", 
	"edit_profile" => "Zmenit udaje Tvojho profilu",
	"i_think_that" => "Myslim si ze, ",
	"is_similar_to" => " je ",
	"page" => "Strana ",
	"of" => " z ",
	"records_per_page" => "záznamov na stranku", 
	"day" => "Den",
	"month" => "Mesiac",
	"year" => "Rok",
	"administration" => "Administrator",
	"create_update_internal_table" => "Vytvorit, alebo zmenit internu tabulku",
	"other...." => "iny....",
	"insert_record" => "Vlozit novy zaznam",
	"search_records" => "Hladat zaznamy",
	"exactly" => "presne",
	"like" => "podobne",
	"required_fields_red" => "Pozadovane udaje su cervene.",
	"insert_result" => "Vloz vysledok:",
	"record_inserted" => "Zaznam vlozeny korektne.",
	"update_result" => "Obnov vysledok:",
	"record_updated" => "Zaznam obnoveny korektne.",
	"profile_updated" => "Tvoj profil bol obnoveny korektne.",
	"delete_result" => "Vymaz vysledok:",
	"record_deleted" => "Zaznam bol vymazany korektne.",
	"duplication_possible" => "Povolit duplikacie",
	"fields_max_length" => "Privela textu alebo poloziek.",
	"current_upload" => "Aktualny subor",
	"delete" => "vymazat",
	"total_records" => "Celkovy pocet zaznamov",
	"confirm_delete?" => "Potvrdzujes vymazanie?",
	"is_equal" => " je ",
	"is_different" => "is not equal to", // to change
	"is_not_null" => "is not null", // to change
	"is_not_empty" => "is not empty", // to change
	"contains" => "obsahuje",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "zacina s",
	"ends_with" => "konci na",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Export do CSV",
	"new_insert_executed" => "Novy zaznam vykonany", 
	"new_update_executed" => "Nova zmena vykonana",
	"null" => "Null", // to change
	"is_null" => "is null", // to change
	"is_empty" => "is empty", // to change
	"continue" => "continue", // to change
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query,  e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Chyba, interna databaza je prazdna.",
	"get" => "Chyba v premennych.",
	"no_functions" => "Chyba, ziadna funkcia nebola vybrata<br>Vrat sa na domovsku stranku.",
	"no_unique_key" => "Chyba, nemas urèeny primary key v Tvojej tabulke.",	
	"upload_error" => "Chyba pri obnovovani suboru.",
	"no_authorization_update" => "Nemas opravnenie zmenit tento zaznam.",
	"no_authorization_delete" => "Nemas opravnenie vymazat tento zaznam.",
	"no_authorization_view" => "Nemas opravnenie vidiet tento zaznam.",
	"deleted_only_authorizated_records" => "Boli vymazane len zaznamy, na ktore mas opravnenie.",
	"record_from_which_you_come_no_longer_exists" => "Zaznam, z ktoreho si prisiel uz neexistuje.", 
	"date_not_representable" => "A date value in this record can't be represented with DaDaBIK day-month-year listboxes, the value is: ", // to change
	"this_record_is_the_last_one" => "Tento zaznam je posledny.", 
	"this_record_is_the_first_one" => "Tento zaznam je prvy." ,
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change
	);

//login messages
$login_messages_ar = array(
	"username" => "meno",
	"password" => "heslo",
	"please_authenticate" => "Musis sa prihlasit pre pokracovanie",
	"login" => "prihlasit",
	"username_password_are_required" => "Musis vypnit meno a heslo",
	"pwd_gen_link" => "vytvorenie hesla",
	"incorrect_login" => "Meno alebo heslo su nespravne!",
	"pwd_explain_text" =>"Napis slovo pre heslo a  <b>Zasifruj to!</b>.",
	"pwd_explain_text_2" =>"Stlac <b>Register</b> pre zapisanie do formulara",
	"pwd_suggest_email_sending"=>"Mozes si poslat mail pre zapamatanie hesla",
	"pwd_send_link_text" =>"posli mail!",
	"pwd_encrypt_button_text" => "Zasifruj!",
	"pwd_register_button_text" => "Zaregistruj heslo a ukonc",
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.", // to change
	"warning_you_still_have" => "Warning, you still have just ", // to change
	"attempts_before_account_blocking" => " attempts before your account is blocked." // to change
);
?>
