<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Inserte un nuevo registro",
	"quick_search"    => "Quick search", // to change
	"search/update/delete" => "Buscar/actualizar/borrar registros",
	"insert_short"    => "Insertar", 
	"search_short" => "Buscar",
	"insert_anyway"    => "Insertar de todos modos",
	"search"    => "Buscar registro",
	"update"    => "Actualizar",
	"ext_update"    => "Actualizar su perfil",
	"yes"    => "Si",
	"no"    => "No",
	"go_back" => "Atrás",
	"edit" => "Editar",
	"delete" => "Borrar",
	"details" => "Detalles",
	"change_table" => "Cambiar tabla" 
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "You can't edit this record, the record is locked by user: ", // to change
	"lost_locked_not_safe_update" => "You dont't have or have lost your lock on this record, it is not safe to update, please start again the edit", // to change
	"insert_item" => "Insert item", // to change
	"show_all_records" => "Mostrar todos los registros",
	"show_records" => "Show items", // to change
	"ldap_user_dont_update" => "This is an imported LDAP user: his group is the only information which you should change, if needed.", // to change
	"remove_search_filter" => "remove search filter", // to change
	"logout" => "Cerrar sesión",
	"top" => "Tope",
	"last_search_results" => "últimos resultados",
	"show_all" => "Mostrar todo", 
	"home" => "Principal",
	"select_operator" => "Seleccione el operador:",
	"all_conditions_required" => "Todas las condiciones requeridas",
	"any_conditions_required" => "Cualquiera de las condiciones requeridas",
	"all_contacts" => "Todos los contactos", 
	"removed" => "removido",
	"please" => "Por Favor",
	"and_check_form" => "y revise la forma.",
	"and_try_again" => "e intente de nuevo.",
	"none" => "ninguno",
	"are_you_sure" => "¿Esta seguro?",
	"delete_all" => "borrar todo",
	"really?" => "Seguro?",
	"delete_are_you_sure" => "Esta a punto de borrar el registro inferior, esta seguro?",
	"required_fields_missed" => "No ha llenado algunos de los campos requeridos.",
	"alphabetic_not_valid" => "Ha insertado números en un campo alfabético.",
	"numeric_not_valid" => "Ha insertado caracteres no numéricos en un campo numérico.",
	"email_not_valid" => "La dirección de e-mail que especificó no es valida.",
	"timestamp_not_valid" => "The timestamp/s you have inserted is/are not valid.", // to change
	"url_not_valid" => "la(s) URL(s) especificadas no es/son valida(s)",
	"phone_not_valid" => "El numero telefonico insertado no es valido.",
	"date_not_valid" => "Ha insertado una o mas fechas erradas.",
	"similar_records" => "Los registros inferiores son similares a los que esta a puntop de agregar.<br>¿Qué desea hacer?",
	"no_records_found" => "No se encontraron registos.",
	"records_found" => "registros encontrados",
	"number_records" => "Numero de registros: ",
	"details_of_record" => "Detalles del registro",
	"details_of_record_just_inserted" => "Details of the record just inserted", // to change
	"edit_record" => "Editar el registro",
	"back_to_the_main_table" => "Back to the main table", // to change
	"previous" => "Anterior",
	"next" => "Siguiente",
	"edit_profile" => "Editar su perfil",
	"i_think_that" => "Creo que ",
	"is_similar_to" => " es similar a ",
	"page" => "Página ",
	"of" => " de ",
	"records_per_page" => "registros por página",
	"day" => "Día",
	"month" => "Mes",
	"year" => "Año",
	"administration" => "Administración",
	"create_update_internal_table" => "Crear o modificar tabla interna",
	"other...." => "other....",
	"insert_record" => "Agregar nuevo registro",
	"search_records" => "Buscar registros",
	"exactly" => "exacto",
	"like" => "similar",
	"required_fields_red" => "Los campos requeridos estan en rojo.",
	"insert_result" => "Insertar resultado:",
	"record_inserted" => "registro exitosamente agregado.",
	"update_result" => "Actualizar resultado:",
	"record_updated" => "Reistro actualizado.",
	"profile_updated" => "Su perfil ha sido actualizado.",
	"delete_result" => "Borrar resultado:",
	"record_deleted" => "Reistro eliminado.",
	"duplication_possible" => "Es posible duplicar",
	"fields_max_length" => "Ha insertado demasiado texto en uno o mas campos.",
	"current_upload" => "Archivo actual",
	"delete" => "Borrar",
	"total_records" => "Total de registros",
	"confirm_delete?" => "Confirma el borrado?",
	"is_equal" => "es igual a",
	"is_different" => "is not equal to", // to change
	"is_not_null" => "is not null", // to change
	"is_not_empty" => "is not empty", // to change
	"contains" => "contiene",
	"doesnt_contain" => "no contiene",
	"starts_with" => "comienza con",
	"ends_with" => "termina con",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Exportar a CSV",
	"new_insert_executed" => "Inserción ejecutada",
	"new_update_executed" => "modificación ejecutada",
	"null" => "Null", // to change
	"is_null" => "is null", // to change
	"is_empty" => "is empty", // to change
	"continue" => "continue", // to change
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query,  e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Error, la base de datos interna esta vacia.",
	"get" => "Error obteniendo variables.",
	"no_functions" => "Error, no se eligieron funciones<br>Por favor vuelva a la pagina principal.",
	"no_unique_key" => "Error, no se determino clave primaria en su tabla.",
	"upload_error" => "Un error ha ocurrido mientras se subia el archivo.",
	"no_authorization_update" => "No tienes autorización para modificar este registro.",
	"no_authorization_delete" => "No tienes autorización para eliminar este registro.",
	"no_authorization_view" => "No tienes autorización para consultar este registro.",
	"deleted_only_authorizated_records" => "Han sido borrados los registros sobre los cuales tienes autorización.",
	"record_from_which_you_come_no_longer_exists" => "El registro del que proviene ya no existe.",
	"date_not_representable" => "A date value in this record can't be represented with DaDaBIK day-month-year listboxes, the value is: ", // to change
	"this_record_is_the_last_one" => "Este es el último registro.",
	"this_record_is_the_first_one" => "Este es el primer registro.",
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change
	);

//login messages
$login_messages_ar = array(
	"username" => "usuario",
	"password" => "clave",
	"please_authenticate" => "Necesitas identificarte para continuar",
	"login" => "login",
	"username_password_are_required" => "Se requiere Usuario y Clave",
	"pwd_gen_link" => "crear clave",
	"incorrect_login" => "Usuario o clave incorrectos",
	"pwd_explain_text" =>"Inserte una palabra a ser usada como clave y presione <b>Encriptar!</b>",
	"pwd_suggest_email_sending"=>"Si lo desea puede enviar un mensaje usted mismo para recordar la clave",
	"pwd_send_link_text" =>"enviar mensaje!",
	"pwd_encrypt_button_text" => "Encriptar!",
	"pwd_register_button_text" => "Registrar clave y salir",
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.", // to change
	"warning_you_still_have" => "Warning, you still have just ", // to change
	"attempts_before_account_blocking" => " attempts before your account is blocked." // to change
)
?>
