<?php
/*
***********************************************************************************
This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
// submit buttons
$submit_buttons_ar = array (
	"insert"    => "Infoga ny datapost",
	"quick_search"    => "Quick search", // to change
	"search/update/delete" => "Sök/uppdatera/radera dataposter",
	"insert_short"    => "Infoga",
	"search_short" => "Sök",
	"insert_anyway"    => "Infoga ändå",
	"search"    => "Sök",
	"update"    => "Spara",
	"ext_update"    => "Uppdatera din profil",
	"yes"    => "Ja",
	"no"    => "Nej",
	"go_back" => "gå tillbaka",
	"edit" => "Editera",
	"delete" => "Radera",
	"details" => "Detaljer",
	"change_table" => "Ändra tabell"
);

// normal messages
$normal_messages_ar = array (
	"cant_edit_record_locked_by" => "You can't edit this record, the record is locked by user: ", // to change
	"lost_locked_not_safe_update" => "You dont't have or have lost your lock on this record, it is not safe to update, please start again the edit", // to change
	"insert_item" => "Insert item", // to change
	"show_all_records" => "Visa alla poster",
	"show_records" => "Show items", // to change
	"ldap_user_dont_update" => "This is an imported LDAP user: his group is the only information which you should change, if needed.", // to change
	"remove_search_filter" => "remove search filter", // to change
	"logout" => "Logout",
	"top" => "Top",
	"last_search_results" => "Senaste sökningen", 
	"show_all" => "Visa alla",
	"home" => "Hem",
	"select_operator" => "Välj operator:",
	"all_conditions_required" => "Alla villkor sanna",
	"any_conditions_required" => "Något vilkor sant",
	"all_contacts" => "Alla kontakter",
	"removed" => "borttaget",
	"please" => "Vänligen",
	"and_check_form" => "och kolla formuläret.",
	"and_try_again" => "och prova igen.",
	"none" => "ingen",
	"are_you_sure" => "Är du säker?",
	"delete_all" => "radera allt",
	"really?" => "Verkligen?",
	"delete_are_you_sure" => "Du kommer att radera nedanstående datapost, är du säker?",
	"required_fields_missed" => "Du har inte fyllt i vissa nödvändiga fält.",
	"alphabetic_not_valid" => "Du har infogat nummer i ett textfält.",
	"numeric_not_valid" => "Du har infogat nonnumeriska tecken i ett nummerfält.",
	"email_not_valid" => "Den infogade utskicksadressen är ogiltig.",
	"timestamp_not_valid" => "The timestamp/s you have inserted is/are not valid.", // to change
	"url_not_valid" => "Den infogade url är oglitig.",
	"phone_not_valid" => "Det infogade telefonnumret är ogiltigt.<br>Använd formatet \"+(landskod)(riktnummer)(nummer)\" formatet d.v.s +390523599318, 00390523599318, +0523599318.",
	"date_not_valid" => "Du har infogat ett ogiltigt datum.",
	"similar_records" => "Dataposterna nedanför liknar den du vill infoga.<br>Vad vill du göra?",
	"no_records_found" => "Hittar inga dataposter.",
	"records_found" => "dataposter hittats",
	"number_records" => "Antal dataposter: ",
	"details_of_record" => "Detaljer för datapost",
	"details_of_record_just_inserted" => "Details of the record just inserted", // to change
	"edit_record" => "Ändra datapost",
	"back_to_the_main_table" => "Back to the main table", // to change
	"last_search_results" => "Senaste sökningen",
	"previous" => "Previous", // to change
	"next" => "Nästa",
	"edit_profile" => "Uppdatera din profil",
	"i_think_that" => "Jag tror att ",
	"is_similar_to" => " liknar ",
	"page" => "Sida ",
	"of" => " av ",
	"records_per_page" => "poster / sida",
	"day" => "dag",
	"month" => "månad",
	"year" => "år",
	"administration" => "Administration",
	"create_update_internal_table" => "Skapa eller ändra intern tabell",
	"other...." => "annan....",
	"insert_record" => "Infoga ny datapost",
	"search_records" => "Sök dataposter",
	"exactly" => "exakt",
	"like" => "liknar",
	"required_fields_red" => "Nödvändiga fält är röda.",
	"insert_result" => "Infoga resultat:",
	"record_inserted" => "Datapost infogad.",
	"update_result" => "Uppdatera resultatet:",
	"record_updated" => "Datapost uppdaterad.",
	"profile_updated" => "Din profil har uppdaterats.",
	"delete_result" => "Radera resultatet:",
	"record_deleted" => "Datapost raderad.",
	"duplication_possible" => "En möjlig dubblering",
	"fields_max_length" => "För mycket text i något fält.",
	"current_upload" => "Aktuell fil",
	"delete" => "radera",
	"total_records" => "Totalt antal dataposter",
	"confirm_delete?" => "Bekräfta radering?",
	"is_equal" => "är lika med",
	"is_different" => "is not equal to", // to change
	"is_not_null" => "is not null", // to change
	"is_not_empty" => "is not empty", // to change
	"contains" => "innehåller",
	"doesnt_contain" => "doesn't contain", // to change
	"starts_with" => "börjar med",
	"ends_with" => "slutar med",
	"greater_than" => ">",
	"less_then" => "<",
	"export_to_csv" => "Export till CSV",
	"new_insert_executed" => "Ny infogning klar",
	"new_update_executed" => "Ny uppdatering klar",
	"null" => "Null",
	"is_null" => "ä null",
	"is_empty" => "är tom",
	"continue" => "continue", // to change
	'current_password' => 'current password', // to change
	'new_password' => 'new password', // to change
	'new_password_repeat' => 'new password (repeat)', // to change
	'password_changed' => 'the password has been changed', // to change
	'change_your_password' => 'change your password', // to change
	'your_info' => 'your info', // to change
	'sort_by' => 'sort by', // to change
	'sort' => 'sort', // to change
	'pie_chart' => 'Pie chart', // to change
'bar_chart' => 'Bar chart', // to change
'line_chart' => 'Line chart', // to change
'doughnut_chart' => 'Doughnut chart', // to change
'show_report' => 'Show chart', // to change
'show_labels' => 'Show labels', // to change
'show_legend' => 'Show legend', // to change
'group_data_by' => 'Aggregate data by', // to change
'x_axis' => 'X-axis', // to change
'y_axis' => 'Y-axis', // to change
'show' => 'show', // to change
'percentage' => '%', // to change
'count' => 'count', // to change
'sum' => 'sum', // to change
'average' => 'average', // to change
'min' => 'min', // to change
'max' => 'max', // to change
'variance' => 'variance', // to change
'standard_deviation' => 'standard deviation', // to change

'simple_report' => 'simple report', // to change
'advanced_sql_report' => 'advanced SQL report', // to change
'type_your_custom_sql_query_here' => 'Type your custom SQL query here: ', // to change
'advanced_sql_reports_are_disabled' => 'Advanced SQL reports are disabled', // to change
'advanced_sql_report_instructions_first_part' => 'You can write a custom SQL select query, e.g. suppose you have a <b>customers</b> table having an <b>age_customer</b> field, you can show the age composition of your customers using the following query:', // to change
'advanced_sql_report_instructions_query_part' => '<br/><br/><div class=&quot;code_snippet&quot; // to change>SELECT age_customer, count(*) FROM customers GROUP BY age_customer</div><br/><br/>', // to change // DON'T TRANSLATE, LEAVE IT UNCHANGED
'advanced_sql_report_instructions_second_part' => 'Remember, the first field you select will be used for the <b>X axis</b> of the graph, the second field for the <b>Y axis</b>.<br/><br/>Read the documentation for further examples.', // to change
'generate_report' => 'Generate chart', // to change
'use_semicolon_forbidden_omit_trailing_semicolmn' => 'The use of semicolon (;) is not allowed for security reason, you can omit the final semicolon.', // to change
'sql_report_must_start_with_select' => 'The custom SQL report must start with "SELECT "', // to change
);	
$normal_messages_ar['months_short'][1] = 'Jan';
$normal_messages_ar['months_short'][2] = 'Feb';
$normal_messages_ar['months_short'][3] = 'Mar';
$normal_messages_ar['months_short'][4] = 'Apr';
$normal_messages_ar['months_short'][5] = 'May';
$normal_messages_ar['months_short'][6] = 'Jun';
$normal_messages_ar['months_short'][7] = 'Jul';
$normal_messages_ar['months_short'][8] = 'Aug';
$normal_messages_ar['months_short'][9] = 'Sep';
$normal_messages_ar['months_short'][10] = 'Oct';
$normal_messages_ar['months_short'][11] = 'Nov';
$normal_messages_ar['months_short'][12] = 'Dec';

// please don't change the indexes (1,2,3,...) if you want your week to start on Sunday, set $weeks_start_on_sunday = 1 in config.php
$normal_messages_ar['days_short'][1] = 'Mon';
$normal_messages_ar['days_short'][2] = 'Tue';
$normal_messages_ar['days_short'][3] = 'Wed';
$normal_messages_ar['days_short'][4] = 'Thu';
$normal_messages_ar['days_short'][5] = 'Fri';
$normal_messages_ar['days_short'][6] = 'Sat';
$normal_messages_ar['days_short'][7] = 'Sun';
// error messages
$error_messages_ar = array (
	"int_db_empty" => "Fel, interna databasen är tom.",
	"get" => "Fel i get variables.",
	"no_functions" => "Fel, ingen funktion vald<br>Vänligen gå tillbaka till hemsidan.",
	"no_unique_key" => "Fel, du har ingen primärnyckel i tabellen.",	
	"upload_error" => "Fel uppstod under uppladdning av filen.",
	"no_authorization_update" => "Du är inte auktoriserad för att ändra denna datapost.",
	"no_authorization_delete" => "Du är inte auktoriserad för att radera denna datapost.",
	"no_authorization_view" => "Du är inte auktoriserad för att se denna datapost.",
	"deleted_only_authorizated_records" => "Endast dataposter för vilka du har auktorisation har raderats.",
	"record_from_which_you_come_no_longer_exists" => "Den ursprungliga posten finns inte kvar.",
	"date_not_representable" => "A date value in this record can't be represented with DaDaBIK day-month-year listboxes, the value is: ", // to change
	"this_record_is_the_last_one" => "Detta är den sista posten.",
	"this_record_is_the_first_one" => "Detta är den första posten.",
	"current_password_wrong" => 'the current password is wrong', // to change
	"passwords_are_different" => 'the two passwords are different', // to change
	"new_password_is_empty" => 'the new password is empty' // to change
	);

//login messages
$login_messages_ar = array(
	"username" => "användarnamn",
	"password" => "passord",
	"please_authenticate" => "Du måste identifiera dig för att kunna gå vidare",
	"login" => "login",
	"username_password_are_required" => "Användarnamn och passord krävs",
	"pwd_gen_link" => "skapa passord",
	"incorrect_login" => "Användarnamn eller passord felaktiga",
	"pwd_explain_text" =>"Mata in ett ord som ska användas till passord och tryck <b>Kryptera!</b>.",
	"pwd_explain_text_2" =>"Tryck <b>Registrera</b> för att skriva in det i formuläret nedan",
	"pwd_suggest_email_sending"=>"Du kanske vill skicka dig själv ett epost meddelande för att minnas passordet",
	"pwd_send_link_text" =>"skicka epost!",
	"pwd_encrypt_button_text" => "Kryptera!",
	"pwd_register_button_text" => "Registrera passordet och avsluta",
	"too_many_failed_login_account_blocked" => "Too many failed attempts, your account has been blocked.", // to change
	"warning_you_still_have" => "Warning, you still have just ", // to change
	"attempts_before_account_blocking" => " attempts before your account is blocked." // to change
);
?>
