<?php
/*
***********************************************************************************
DaDaBIK (DaDaBIK is a DataBase Interfaces Kreator) https://dadabik.com/
Copyright (C) 2001-2017  Eugenio Tacchini

This program is distributed "as is" and WITHOUT ANY WARRANTY, either expressed or implied, without even the implied warranties of merchantability or fitness for a particular purpose.

This program is distributed under the terms of the DaDaBIK license, which is included in this package (see dadabik_license.txt). For all the details see dadabik_license.txt.

If you are unsure about what you are allowed to do with this license, feel free to contact eugenio.tacchini@gmail.com
***********************************************************************************
*/
?>
<?php
include ("./include/config.php");
include ("./include/functions.php");
include ("./include/common_start.php");
include ("./include/check_installation.php");
include ("./include/check_admin_login.php");


// get the array containing the names of the tables installed
$installed_tables_ar = build_tables_names_array(0, 1, 1);

// variables:
// GET
// $table_name from admin.php and internal_table_manager.php


if (isset($_GET["tablename"])){
	$table_name = $_GET["tablename"];
} // end if
else{
	if (count($installed_tables_ar)>0){
		// get the first table
		$table_name = $installed_tables_ar[0];
		
		// override if there is at least one non admin table
		foreach ($installed_tables_ar as $installed_tables_ar_el){
			if ($installed_tables_ar_el !== $users_table_name && $installed_tables_ar_el !== $groups_table_name && $installed_tables_ar_el !== $prefix_internal_table.'static_pages' ){
				$table_name = $installed_tables_ar_el;
				break;
			}
		}
		
	} // end if
} // end else

if (!in_array($table_name, $installed_tables_ar)){
	header('Location:'.$site_url.'permissions_manager.php');
}

$table_internal_name = $prefix_internal_table.$table_name;

$page_name = 'interface_configurator';

$_SESSION['current_admin_page'] = 'internal_table_manager.php';

include ("./include/header.php");

 // POST
// $save (1 if the user submitted the form) from this file
// $show_all_fields (1 if the user want to show all the fields) from this file
// $field_position (the position in the internal table of the field the user want to show) from this file


if (!isset($_POST["show_all_fields"])){
	$show_all_fields = "";
} // end if
else{
	$show_all_fields = $_POST["show_all_fields"];
} // end else

// the position of the field the user wants to manage
if (!isset($_POST["field_position"])){
	$field_position = "";
} // end if
else{
	$field_position = $_POST["field_position"];
} // end else

// I need this the first time I load the page, $save is unset
if (isset($_POST["save"])){
	$save = $_POST["save"];
} // end if
else{
	$save = "0";
} // end if

/*
reset ($_POST);
while (list($key, $value) = each ($_POST)){
	$$key = $value;
} // end while
*/
// include internal table fields definition
include ("./include/internal_table.php");

// get the array containg label ant other information about the fields
$fields_labels_ar = build_fields_labels_array($table_internal_name, "1");

if ($field_position == "" and $show_all_fields != "1"){
	$field_position = 0; // set the $field_name to the first field
} // end if

$confirmation_message = "";
$error_message = "";
$alert_message = '';


if (isset($_GET['function']) &&  $_GET['function'] === 'copy_settings'){

		
}
else{

	if ($save == "1"){

	
	
	
		// enterprise
		// pro
		// check for errors
		for ($i=0; $i<count($fields_labels_ar); $i++){ // for each field, even if now I am showing just one field each time so it is pretty useless
			if (isset($_POST[$int_fields_ar[1][1]."_".$i])){ // if isset the label field, we are looping in the field we are showing now

				for ($j=0; $j<count($int_fields_ar); $j++){
			
					if ($int_fields_ar[$j][1] == 'label_field' && $_POST[$int_fields_ar[$j][1]."_".$i] === ''){
				
						$error_message .= 'Error: label is a required parameter ';
						break;
					}
				
				

					if ($int_fields_ar[$j][1] == 'calculated_function_field' && $_POST[$int_fields_ar[$j][1]."_".$i] !== ''){
				
						$error_message .= 'Calculated fields are available only with DaDaBIK ENTERPRISE';
						break;
					}

				
					if ($int_fields_ar[$j][1] == 'calculated_function_field' && $_POST[$int_fields_ar[$j][1]."_".$i] !== '' &&  substr_custom($_POST[$int_fields_ar[$j][1]."_".$i], 0, 8) !== 'dadabik_'){
				
						$error_message .= 'Error: you have specified a calculated field function name which doesn\'t start with "dadabik_" ';
						break;
					}
				
					if($int_fields_ar[$j][1] == 'calculated_function_field' && $_POST[$int_fields_ar[$j][1]."_".$i] !== '' && ( $_POST['custom_validation_function_field_'.$i] !== '' || $_POST['custom_required_function_field_'.$i] !== ''  ) ){
						$error_message .= 'Error: custom required and custom validation functions are not compatible with calculated fields';
						break;
					
					}
				
					if($int_fields_ar[$j][1] == 'calculated_function_field' && $_POST[$int_fields_ar[$j][1]."_".$i] !== '' && ( $_POST['type_field_'.$i] !== 'select_single' && $_POST['type_field_'.$i] !== 'text' && $_POST['type_field_'.$i] !== 'textarea' ) ){
						$error_message .= 'Error: calculated fields are only compatbile with text, textarea and select_single field types.';
						break;
					
					}
				

				
					if ($int_fields_ar[$j][1] == 'custom_validation_function_field' && $_POST[$int_fields_ar[$j][1]."_".$i] !== '' &&  substr_custom($_POST[$int_fields_ar[$j][1]."_".$i], 0, 8) !== 'dadabik_'){
				
						$error_message .= 'Error: you have specified a custom validation function name which doesn\'t start with "dadabik_" ';
						break;
					}
				
				
					if ($int_fields_ar[$j][1] == 'custom_formatting_function_field' && $_POST[$int_fields_ar[$j][1]."_".$i] !== '' &&  substr_custom($_POST[$int_fields_ar[$j][1]."_".$i], 0, 8) !== 'dadabik_'){
				
						$error_message .= 'Error: you have specified a custom formatting function name which doesn\'t start with "dadabik_" ';
						break;
					}
				
				
					if ($int_fields_ar[$j][1] == 'custom_csv_formatting_function_field' && $_POST[$int_fields_ar[$j][1]."_".$i] !== '' &&  substr_custom($_POST[$int_fields_ar[$j][1]."_".$i], 0, 8) !== 'dadabik_'){
				
						$error_message .= 'Error: you have specified a custom CSV formatting function name which doesn\'t start with "dadabik_" ';
						break;
					}
				
				
					if ($int_fields_ar[$j][1] == 'custom_required_function_field' && $_POST[$int_fields_ar[$j][1]."_".$i] !== '' &&  substr_custom($_POST[$int_fields_ar[$j][1]."_".$i], 0, 8) !== 'dadabik_'){
				
						$error_message .= 'Error: you have specified a custom required function name which doesn\'t start with "dadabik_" ';
						break;
					}
				
					if ($int_fields_ar[$j][1] == 'default_value_field' && $_POST[$int_fields_ar[$j][1]."_".$i] !== '' &&  substr_custom($_POST[$int_fields_ar[$j][1]."_".$i], 0, 4) == 'SQL:' &&  substr_custom($_POST[$int_fields_ar[$j][1]."_".$i], 0, 10) !== 'SQL:SELECT'){
				
						$error_message .= 'Error: you have specified a custom SQL default value which doesn\'t start with "SELECT" ';
						break;
					}
				
					if ($int_fields_ar[$j][1] == 'separator_field' &&  strlen_custom($_POST[$int_fields_ar[$j][1]."_".$i]) !== 1){
				
						$error_message .= 'Error: the separator must be a single character';
						break;
					}
				
					if ($int_fields_ar[$j][1] == 'primary_key_table_field' && ( $_POST['type_field_'.$i] === 'select_single' ||  $_POST['type_field_'.$i] === 'select_single_radio' ||  $_POST['type_field_'.$i] === 'select_multiple_menu' ||  $_POST['type_field_'.$i] === 'select_multiple_checkbox' ) &&  $_POST[$int_fields_ar[$j][1]."_".$i] !== '' &&  ( $_POST['primary_key_field_field_'.$i] === '' || $_POST['linked_fields_field_'.$i.'_0'] === '')  ){
				
						$error_message .= 'Error: if you specify a lookup table, you also have to set the fields "Lookup table primary key field" and "Lookup table linked fields"';
						break;
					}
				
					if ($int_fields_ar[$j][1] == 'items_table_names_field'){
					
						for ($c=0; $c<$_POST['number_master_details']; $c++){
							if (isset($_POST[$int_fields_ar[$j][1]."_".$i."_".$c])){  // for each of the master/details view set
								if ( $_POST[$int_fields_ar[$j][1]."_".$i."_".$c] !== '' && $_POST['items_table_fk_field_names_field_'.$i."_".$c] === '' ){ // if the items table name is not empty and the FK is empty, error
									$error_message .= 'Error: if you set an Items table name, you also have to set its foreign key field name';
									break;
								}
							}
						}
					}
				
				} // end for
			} // end if
		
			if ($error_message !== '') break;
		} // end for
		// enterprise
		// pro
	
		if ($error_message !== ''){
		
		}
		else{
			begin_trans_db();
		
			// save the configuration of the internal table
			for ($i=0; $i<count($fields_labels_ar); $i++){ // for each field, even if now I am showing just one field each time so it is pretty useless
			
				if (isset($_POST[$int_fields_ar[1][1]."_".$i])){ // if isset the label field, we are looping in the field we are showing now
	
					$sql = "";
					$sql .= "update ".$quote.$prefix_internal_table.'forms'.$quote." set ";
	
					for ($j=0; $j<count($int_fields_ar); $j++){
					
						// if the relative POST value is set (could be not set if disabled), add the field and teh value to the update query
						if (isset($_POST[$int_fields_ar[$j][1]."_".$i]) || $int_fields_ar[$j][1] === 'linked_fields_field' && isset($_POST[$int_fields_ar[$j][1]."_".$i.'_0']) || $int_fields_ar[$j][1] === 'items_table_names_field' && isset($_POST[$int_fields_ar[$j][1]."_".$i.'_0']) || $int_fields_ar[$j][1] === 'items_table_fk_field_names_field' && isset($_POST[$int_fields_ar[$j][1]."_".$i.'_0'])){
					
							if ($int_fields_ar[$j][1] === 'linked_fields_field' || $int_fields_ar[$j][1] === 'items_table_names_field' || $int_fields_ar[$j][1] === 'items_table_fk_field_names_field' ){ // special case, we need to join the values of several listbox into one value e.g. first_name_customer~last_name_customer
						
							
						
								$value_to_store = '';
							
							
							
								if ($int_fields_ar[$j][1] === 'items_table_names_field' || $int_fields_ar[$j][1] === 'items_table_fk_field_names_field'){
									$number_items = $_POST['number_master_details'];
								}
								else{
									$number_items = $_POST['number_linked_fields'];
								}
						
								for ($z=0;$z<$number_items;$z++){;
									if (isset($_POST[$int_fields_ar[$j][1]."_".$i.'_'.$z]) && $_POST[$int_fields_ar[$j][1]."_".$i.'_'.$z] !== ''){
										$value_to_store .= $_POST[$int_fields_ar[$j][1]."_".$i.'_'.$z].'~';
									}
								}
								if ($z > 0){ // at least one linked field, remove hte last ~
									$value_to_store = substr_custom($value_to_store, 0, (strlen_custom($value_to_store)-1));
								}
							
							}
							else{ // normal case 
								$value_to_store = $_POST[$int_fields_ar[$j][1]."_".$i];
							}
						
							if($int_fields_ar[$j][1] === 'order_form_field'){
						
								// get the order_form_field of the field
								$field_old_position = (int)$fields_labels_ar[$i]["order_form_field"];
								$field_new_position = (int)$_POST[$int_fields_ar[$j][1]."_".$i];

								if ($field_new_position < $field_old_position){
									// increase the order_form_field of all the following record by one
									for ($k=$field_old_position-1; $k>=$field_new_position; $k--){
										$sql2 ="update ".$quote.$prefix_internal_table."forms".$quote." set ".$quote."order_form_field".$quote." = ".$quote."order_form_field".$quote."+1 where ".$quote."order_form_field".$quote." = '".$k."' and ".$quote."table_name".$quote." = '".$table_name."'";
										$res_update = execute_db($sql2, $conn);
									} // end for
								} // end if
								elseif ($field_new_position > $field_old_position){
									// decrease the order_form_field of all the previous record by one
									for ($k=$field_old_position+1; $k<=$field_new_position; $k++){
										$sql2 ="update ".$quote.$prefix_internal_table."forms".$quote." set ".$quote."order_form_field".$quote." = ".$quote."order_form_field".$quote."-1 where ".$quote."order_form_field".$quote." = '".$k."' and ".$quote."table_name".$quote." = '".$table_name."'";
										$res_update = execute_db($sql2, $conn);
									} // end for
								} // end if
					
							}
						
						
						}
					
						$sql .= $quote.$int_fields_ar[$j][1]."".$quote." = '".$value_to_store."', ";
					} // end for
					$sql = substr_custom($sql, 0, strlen_custom($sql)-2);
	
					$sql .= " where ".$quote."name_field".$quote." = '".$fields_labels_ar[$i]["name_field"]."' AND ".$quote."table_name".$quote." = '".substr_custom($table_internal_name, strlen_custom($prefix_internal_table))."'";
				
					// execute the update select
					$res_update = execute_db($sql, $conn);
				
				
				} // end if
			} // end for
		
			complete_trans_db();
		
			$confirmation_message .=  'Configuration correctly saved';
		}
	} // end if

	?>

	<span id="confirmation_message_container">
	<?php
	if ($confirmation_message != ""){
		echo '<div class="msg_ok" id="confirmation_message"><p>'.$confirmation_message.'<br/><br/><a href="javascript:{}" id="confirmation_message_close_link">Ok, close</a></p></div>';
	} // end if
	if ($error_message != ""){
		echo '<div class="msg_error" id="error_message"><p>'.$error_message.'<br/><br/><a href="javascript:{}" id="error_message_close_link">Ok, close</a></p></div>';
	} // end if
	if ($alert_message != ""){
		echo '<div class="msg_alert" id="alert_message"><p>'.$alert_message.'<br/><br/><a href="javascript:{}" id="alert_message_close_link">Ok, close</a></p></div>';
	} // end if
	?>
	</span>

	<?php

	// re-get the array containg label ant other information about the fields
	$fields_labels_ar = build_fields_labels_array($table_internal_name, "1");


	$change_table_select = build_change_table_select(0, 1);

	if (isset($field_new_position)){
		$field_position = $field_new_position-1;
	}

	$change_field_select = build_change_field_select($fields_labels_ar, $field_position);

	$int_table_form = '<p><font size="+1">Configure the form elements for the table <b>'.$table_name.'</b>';



	$int_table_form .= '</font></p>';

	$int_table_form .= "<table cellpadding=\"3\"><tr><td><form method=\"get\" action=\"internal_table_manager.php\" name=\"change_table_form\">Choose a table: ".$change_table_select;

	if (  false && $autosumbit_change_table_control == 0) {

	$int_table_form .= " <input type=\"submit\" value=\"Change table\">";

	}

	$int_table_form .= "</form></td><td>&nbsp;&nbsp;</td><td><form method=\"post\" action=\"internal_table_manager.php?tablename=".urlencode($table_name)."\" name=\"change_field_form\">Choose a field: ".$change_field_select;

	//$int_table_form .= "</form></td><td>&nbsp;&nbsp;</td><td><form method=\"post\" action=\"internal_table_manager.php?tablename=".urlencode($table_name)."\"><input type=\"hidden\" name=\"show_all_fields\" value=\"1\"><input type=\"submit\" value=\"Show all fields of ".$table_name." in a page\"></form></td></tr></table><form method=\"post\" action=\"internal_table_manager.php?tablename=".urlencode($table_name)."\">";
	$int_table_form .= "</form></td><td>&nbsp;&nbsp;</td><td></td></tr></table><form method=\"post\" action=\"internal_table_manager.php?tablename=".urlencode($table_name)."\">";

	$int_table_form .= "<input type=\"submit\" style=\"font-size: 1.5em\" value=\"SAVE CONFIGURATION\"><br><br>(*) = required parameters";

	if ($show_all_fields == "1"){ // not available anymore
		// main loop through each record of the internal table
		for ($i=0; $i<count($fields_labels_ar); $i++){
			$int_table_form .= build_int_table_field_form($i, $int_fields_ar, $fields_labels_ar, $_POST, $error, $table_name, $installed_tables_ar);
			$int_table_form .= '<p></p><p></p>';
		} // end for
	} // end if
	else{
		$int_table_form .= build_int_table_field_form($field_position, $int_fields_ar, $fields_labels_ar, $_POST, $error_message, $table_name, $installed_tables_ar);
	} // end else


	$int_table_form .= "<input type=\"hidden\" id=\"field_position\" name=\"field_position\" value=\"".$field_position."\">";
	$int_table_form .= "<input type=\"hidden\" name=\"show_all_fields\" value=\"".$show_all_fields."\">";
	$int_table_form .= "<input type=\"submit\" style=\"font-size: 1.5em\" value=\"SAVE CONFIGURATION\">";
	$int_table_form .= "<input type=\"hidden\" name=\"save\" value=\"1\">";
	$int_table_form .= "</form>";

	// display the tabled form
	echo $int_table_form;
}
?>
<?php
// include footer
include ("./include/footer.php");
?>
